2003-06-02  Rodrigo Moya <rodrigo@ximian.com>

	Fixes part of #43388

	* importers/icalendar-importer.c (prepare_events):
	(prepare_tasks): use external iterators for removing components from
	the main component.

2003-05-29  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #43763

	* gui/e-week-view.c (e_week_view_init): use g_signal_connect_after
	for "button_press_event" callback.

	* gui/e-day-view.c (e_day_view_init): ditto.

2003-05-29  JP Rosevear  <jpr@ximian.com>

	Fixes #43775
	
	* gui/weekday-picker.c (get_day_text): calculate the characters to
	display correctly
	(configure_items): use it
	(weekday_picker_style_set): ditto

	* gui/print.c (format_date): use e_utf8_strftime
	(print_week_view_background): ditto
	(print_month_summary): ditto
	(range_selector_new): ditto
	(print_comp_item): ditto

	* gui/itip-utils.c (comp_description): the translation is already
	utf8

	* gui/e-itip-control.c (write_label_piece): the string is already
	in utf8

	* gui/e-day-view.c (e_day_view_style_set): use e_utf8_strftime
	(e_day_view_recalc_cell_sizes): ditto

	* gui/e-day-view-top-item.c (e_day_view_top_item_draw): use
	e_utf8_strftime

	* gui/e-cell-date-edit-text.c (ecd_get_text): return the
	duplicated buffer (its already utf8)
	(show_date_warning): use e_utf8_strftime

	* gui/calendar-model.c (date_value_to_string): return the
	duplicated buffer (its already utf8)
	(calendar_model_value_to_string): the translations should already
	be in utf8

	* gui/calendar-config.c
	(calendar_config_locale_supports_12_hour_format): use
	e_utf8_strftime

	* gui/calendar-commands.c (calendar_set_folder_bar_label): use
	e_utf8_strftime

2003-05-28  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #43455

	* gui/tasks-control.c (confirm_expunge): converted to a GtkMessageDialog
	and removed object weak's ref code, not needed anymore.
	
2003-05-20  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #43308
 	
 	* gui/e-meeting-time-sel.c (e_meeting_time_selector_style_set):
 	adjust row heights to reflect changes in etable row heights and
 	set display top to align properly
	
2003-05-22  JP Rosevear  <jpr@ximian.com>
 
 	* gui/dialogs/comp-editor-page.c (comp_editor_page_destroy): unref
 	not ref the client
	
2003-05-22  JP Rosevear  <jpr@ximian.com>

	Fixes #41329
	
	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_on_zoomed_out_toggled): make sure the
	meeting time is shown afterwards
	(e_meeting_time_selector_on_working_hours_toggled): ditto

2003-05-21  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41234

	* gui/dialogs/e-delegate-dialog.glade: changed button ordering.

2003-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_setup_view_menus): Removed
	debugging message.

2003-05-20  Anna Marie Dirks  <anna@ximian.com>

	* gui/dialogs/save-comp.c (save_component_dialog): Change this
	dialog from using a gnome_message_box (which has been deprecated), 
	to using a gtk_message_dialog. This HIG-ifies this dialog, and 
	fixes bug #42046.

2003-05-20  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #42056

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	Don't create accel groups for menuitem mnemonics. Don't use
	deprecated functions where we actually need accel groups.

2003-05-19  Dan Winship  <danw@ximian.com>

	* pcs/cal-backend.c (cal_backend_finalize): Don't double-free
	newly-added categories that the gui hasn't been told about yet.
	#43321

2003-05-19  Rodrigo Moya <rodrigo@ximian.com>

	* gui/main.c (factory): set 'initialized' to TRUE when initialization
	is done, or we get the initialization code called over and over.

2003-05-19  Anna Marie Dirks  <anna@ximian.com>

	* gui/e-meeting-time-sel.c:  (e_meeting_time_selector_construct): 
	Added HIG-blessed padding to (some of) the widgets in the
	dialog.

	* gui/dialogs/meeting-page.glade: Added HIG-blessed border width
	and spacing to the meeting page of the event editor.

	* gui/dialogs/schedule-page.glade: Added HIG-blessed border width
	to the schedule page on the event editor. 


2003-05-19  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_destroy): remove the query time
	out if its still alive
	(update_query_timeout): update the query and clear the time out
	(client_cal_opened_cb): add the query update timeout

2003-05-19  JP Rosevear  <jpr@ximian.com>
	
	Fixes #43103
	
	* gui/e-day-view.c (e_day_view_init): connect normally instead of
	after so that our boolean return values afffect the action signal
	emmissions properly
	(e_day_view_on_top_canvas_drag_motion): fix proto to be a gboolean
	(e_day_view_on_main_canvas_drag_motion): ditto

	* gui/e-week-view.c (e_week_view_init): connect normally instead
	of after so that our boolean return values afffect the action
	signal emmissions properly

2003-05-16  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/comp-editor.c (make_title_from_comp): the title is
	already in UTF-8

2003-05-16  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #42220

	* gui/e-day-view.c (e_day_view_finish_resize): hide canvas items and
	update internal fields before updating the object.

2003-05-15  JP Rosevear  <jpr@ximian.com>
 
	* gui/dialogs/comp-editor.c (comp_editor_finalize): unref the
	client and the ui component
	
2003-05-15  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #41935
 	
	* gui/e-week-view.c (e_week_view_init): listen for scroll events
	on the canvas
	(e_week_view_on_button_press): don't scroll here
	(e_week_view_on_scroll): scroll here
 
	* gui/e-day-view.c (e_day_view_init): listen for scroll events on
	the time and main canvases
	(e_day_view_on_main_canvas_button_press): don't scroll here
	(e_day_view_on_main_canvas_scroll): scroll here
	(e_day_view_on_time_canvas_scroll): and here
	
2003-05-15  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #43029
 	
	* gui/e-week-view.c (e_week_view_init): don't listen for destroy
	signal
	(e_week_view_destroy): check for NULL and make invisible NULL
	after we destroy it, unref cursors and NULL them out as well,
	guard against freeing events multiple times
 
	* gui/e-day-view.c (e_day_view_destroy): check for NULL and make
	invisible NULL after we destroy it, unref cursors and NULL them
	out as well, guard against freeing events multiple times
	(e_day_view_init): don't listen for destroy signal
 
	* gui/e-calendar-table.c (e_calendar_table_init): don't listen for
	destroy signal
	(e_calendar_table_destroy): check for NULL and make invisible NULL
	after we destroy it
	
2003-05-15  JP Rosevear	 <jpr@ximian.com>
 
	Fixes #41930
	
	* idl/evolution-calendar.idl: Make sure everything that can raise
	a NotFound exception lists it
	
2003-05-15  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_refresh_free_busy): ref ourselves the
	number of times we'll get called back

2003-05-14  JP Rosevear  <jpr@ximian.com>

	* gui/e-tasks.c (e_tasks_destroy): guard against multiple destroys

	* cal-client/cal-client.c (cal_client_finalize): unref the
	bonobo listener

	* gui/gnome-cal.c (gnome_calendar_destroy): guard against multiple
	destroy calls

	* gui/e-week-view.c (e_week_view_init): connect after destroy
	(invisible_destroyed): don't unref, its already destroyed

	* gui/e-day-view.c (e_day_view_init): connect after destroy
	(invisible_destroyed): don't unref, its already destroyed

	* gui/e-calendar-table.c (e_calendar_table_class_init): make sure
	we set the parent class
	(e_calendar_table_init): connect after the destroy handler runs
	(e_calendar_table_destroy): guard against multiple destroys
	(invisible_destroyed): don't unref the invisible, its already
	being destroyed

	* gui/calendar-offline-handler.c (backend_cal_set_mode): unref the
	client, we are done with it now
	(backend_cal_opened_online): ditto
	(impl_dispose): unref our main client

	* gui/calendar-commands.c (control_util_set_folder_bar_label):
	release/unref the shell view once we are done with it
	(control_util_show_settings): ditto

2003-05-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-queue.c (notify_dialog_cb): fixed memory
	leak introduced by previous commit.

2003-05-12  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41760

	* gui/alarm-notify/alarm-queue.c (create_snooze): don't add a new
	alarm, but update the already existing one.
	(notify_dialog_cb): make sure we don't remove the alarm if we are
	snoozing.
	
2003-05-07  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/task-page.glade: fix button conversion problem

	* gui/dialogs/task-details-page.c
	(task_details_page_fill_widgets): only free the percent if its
	non-null

2003-05-07  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_discard_alarm): added missing
	assignment.

2003-05-05  JP Rosevear  <jpr@ximian.com>

	Fixes #41811
	
	* gui/alarm-notify/Makefile.am: don't dist idl generated files

2003-05-01  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/task-editor.c (task_editor_finalize): unref the
	model again
	(task_editor_edit_comp): don't allow editing if the assignee has
	delegated

	* gui/dialogs/meeting-page.c (popup_delete_cb): set the new
	non-delegator to be editable

	* gui/dialogs/event-editor.c (event_editor_edit_comp): don't allow
	editing if the attendee has delegated
	(event_editor_finalize): unref the model again

	* gui/e-meeting-model.c: remove e-table-without related functions
	(finalize): don't create without table
	(e_meeting_model_etable_from_model): build the table with this as
	model
	(e_meeting_model_etable_model_to_view_row): directly use the
	model_to_view call
	(e_meeting_model_etable_view_to_model_row): as above
	(attendee_changed_cb): make sure pre change is alwasy called

	* gui/e-meeting-model.h: use DECLS, remove protos for long dead
	functions, don't include config.h

2003-04-30  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-notify.c (alarm_notify_add_calendar): removed
	unused code.
	
2003-04-29  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/task-editor.c (task_editor_finalize): ditto

	* gui/dialogs/event-editor.c (event_editor_finalize): don't unref
	the model here

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_destroy): null
	up the display_top and display_main for re-entrancy purposes

2003-04-25  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): kill warnings

2003-04-28  Anna Marie Dirks  <anna@ximian.com>

	* gui/dialogs/alarm-options.glade: Added HIG-blessed padding
	to the alarm options dialog. Fixes bug #41221.

2003-04-28  Anna Marie Dirks  <anna@ximian.com>

	* gui/dialogs/cal-prefs-dialog.glade: Added appropriate spacing
	and padding to the calendar/tasks page of the settings dialog. 
	Fixes bug #41129


2003-04-28  Anna Marie Dirks  <anna@ximian.com>
	
	* gui/dialogs/task-page.glade: Finishes up fixing #41256 by
	adding appropriate spacing/padding to the main task page.

	* gui/dialogs/task-details-page.glade: Added appropriate
	spacing and padding to the task-details page. Partially 
	fixes #41256.


2003-04-28  Anna Marie Dirks  <anna@ximian.com>

	* gui/dialogs/recurrence-page.glade: Added padding/spacing
	to this page as specified by the HIG. Partially fixes #41215.

	* gui/dialogs/alarm-page.glade: Added padding/spacing/stock 
	buttons to the alarm page. Partially fixes #41215.

	* gui/dialogs/event-page.glade: Added padding/spacing to the
	event-page (partially fixes #41215)


2003-04-27  Rodney Dawes  <dobey@ximian.com>

	Fixes #35814
	
	* gui/calendar-component.c: Change mnemonic/keybinding for
	New Meeting to not conflict with other items in the File->New menu
	
2003-04-24  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41661

	* idl/evolution-calendar.idl: added discardAlarm method to
	GNOME:Evolution:Calendar:Cal interface.

	* pcs/cal.c (cal_class_init): set new epv's method.
	(impl_Cal_discardAlarm): implementation of new CORBA method.

	* pcs/cal-backend.[ch]: added 'discard_alarm' virtual method, and
	CAL_BACKEND_RESULT_NOT_IMPLEMENTED to CalBackendResult enum.
	(cal_backend_class_init): initialize new class method.
	(cal_backend_discard_alarm): new method.
	(cal_backend_update_objects, cal_backend_remove_object): return
	proper CalBackendResult values.

	* pcs/cal-backend-file.c (cal_backend_file_class_init): initialize
	new class method.
	(cal_backend_file_discard_alarm): implementation of new method.
	
	* pcs/cal-client.[ch] (cal_client_discard_alarm): new function.

	* gui/alarm-notify/alarm-queue.c (remove_qeueud_alarm): don't remove
	the alarm directly from the component, call cal_client_discard_alarm
	and let the backend deal with it.

2003-04-24  JP Rosevear  <jpr@ximian.com>
 
 	* gui/apps_evolution_calendar.schemas: set the hpane default to
 	32000 so we never see a pane no matter the start up window size
 	unless the user changes it

2003-04-24  JP Rosevear  <jpr@ximian.com>

	Fixes #37552
	
	* gui/dialogs/Makefile.am: build delete-error.[hc]

	* gui/e-tasks.c: wrap calls to cal_client_remove_object with
	delete_error_dialog

	* gui/e-itip-control.c: ditto

	* gui/e-calendar-table.c: ditto

	* gui/e-week-view.c: ditto

	* gui/e-day-view.c: ditto

	* gui/dialogs/delete-error.[hc]: gemerate an error message based
	on result

2003-04-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (e_day_view_on_delete_occurrence): removed
	unused variable..

2003-04-23  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #41641

	* gui/e-day-view.c (e_day_view_focus_in): Remove assert an old
	input method code.
	(e_day_view_focus_out): Ditto.
	(e_day_view_reshape_long_event): Set input method context.
	(e_day_view_reshape_day_event): Ditto.
	(e_day_view_on_editing_started): Let EText handle the context popup.
	(e_day_view_on_editing_stopped): Turn off EText's handling of context
	popup.

	* gui/e-week-view.c (e_week_view_reshape_event_span): Set input
	method context.
	(e_week_view_on_text_item_event): Let the EText item handle
	right-click context popup if we're editing it.
	(e_week_view_on_editing_started): Let the EText item handle the
	context popup.
	(e_weeK_view_on_editing_stopped): Turn off EText's handling of
	context popup.

2003-04-23  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41671

	* gui/alarm-notify/notify-main.c (main): added calls to gnome_sound_init
	and gnome_sound_shutdown.

	* gui/alarm-notify/alarm-queue.c (audio_notification): check that the
	sound file exists, and gdk_beep if not.

2003-04-22  Rodrigo Moya <rodrigo@ximian.com>

	Fixes part of #41148, #41216 and #41235

	* gui/e-itip-control.c (init):
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct,
	  e_meeting_time_selector_add_key_color):
	* gui/e-timezone-entry.c (e_timezone_entry_init):
	* gui/gnome-cal.c (setup_widgets):
	* gui/tasks-control.c (confirm_expunge):
	* gui/dialogs/comp-editor.c (setup_widgets):
	* gui/dialogs/e-delegate-dialog.c (e_delegate_dialog_construct):
	* gui/dialogs/meeting-page.c (meeting_page_construct):
	* gui/dialogs/recurrence-page.c (make_weekly_special,
	  make_monthly_special, make_ending_count_special):
	* gui/dialogs/schedule-page.c (schedule_page_construct):
	use HIG-suggested spacing.

2003-04-21  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #22444

	* gui/calendar-commands.c: added new verbs for occurrence-related
	menu items.
	(delete_occurrence_cmd): added callback for "Delete this occurrence"
	menu item. "Delete all occurrences" is just the same as "Delete".
	(sensitize_calendar_commands): sensitive ocurrence-related menu items.

	* gui/gnome-cal.[ch] (gnome_calendar_delete_selected_occurrence): new
	function.
	(gnome_calendar_get_current_view_widget): made this public.

	* gui/e-week-view.[ch] (e_week_view_get_selected_event):
	(e_week_view_delete_occurrence): new functions.
	(e_week_view_delete_occurrence_internal): real implementation of the
	'Delete Occurrence' logic.
	(e_week_view_on_delete_occurrence): call delete_instance_internal.

	* gui/e-day-view.[ch] (e_day_view_get_selected_event):
	(e_day_view_delete_occurrence): new functions.
	(e_week_view_delete_occurrence_internal): real implementation of the
	'Delete Occurrence' logic.
	(e_week_view_on_delete_occurrence): call delete_occurrence_internal.

2003-04-18  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-notify.glade: removed 'heading' and
	'message' labels.

	* gui/alarm-notify/alarm-notify-dialog.c: removed deleted widgets.
	(alarm_notify_dialog): don't load the removed widgets.

2003-04-18  Rodney Dawes  <dobey@ximian.com>

	Fixes #21499

	* gui/Makefile.am:
	* gui/calendar-commands.c:
	* gui/tasks-control.c:
	* gui/dialogs/Makefile.am:
	* gui/dialogs/comp-editor.c:
	Use PREFIX instead of EVOLUTION_DATADIR for bonobo_ui_util_set_ui ()
	
2003-04-17  JP Rosevear  <jpr@ximian.com>

	Fixes #41459
	
	* gui/dialogs/meeting-page.c: comment out delegation stuff

2003-04-17  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #34498

	* gui/alarm-notify/alarm-queue.c: added a 'uid' field to the
	CompQueuedAlarms structure.
	(remove_queued_alarm): free the 'uid' field when freeing the
	structure.
	(add_component_alarms): g_strdup the component's UID and use that as
	the key for the hash table.

2003-04-16  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #41129, #41215, #41221, #41256

	* gui/alarm-notify/alarm-notify.glade:
	* gui/dialogs/alarm-options.glade:
	* gui/dialogs/alarm-page.glade:
	* gui/dialogs/cal-prefs-dialog.glade:
	* gui/dialogs/e-delegate-dialog.glade:
	* gui/dialogs/meeting-page.glade:
	* gui/dialogs/recurrence-page.glade:
	* gui/dialogs/schedule-page.glade:
	* gui/dialogs/task-details-dialog.glade:
	* gui/dialogs/task-page.glade:
	* gui/dialogs/event-page.glade: set spacing to 6 pixels
	everywhere.

2003-04-16  JP Rosevear  <jpr@ximian.com>
 
	Fixes #41230
 	
 	* gui/e-itip-control.c (show_current): make sure to pass TRUE for
 	tasks
 	(start_calendar_server): make sure we don't gtk_main_quit if we
 	haven't gtk_main'ed
 	(start_calendar_server_cb): ditto

2003-04-15  JP Rosevear  <jpr@ximian.com>

	Fixes #39735 and 40257
	
	* gui/gnome-cal.c: convert float pane positions to ints
	(setup_widgets): set the initial position after realization and
	track the drags to get the new position, pack the panes slightly
	differently
	(gnome_calendar_set_pane_positions): set purely pixel oriented
	positions
	(gnome_calendar_update_config_settings): no need to update quanta
	setting
	(gnome_calendar_hpane_realized): realization callback
	(gnome_calendar_vpane_realized): ditto
	(gnome_calendar_vpane_resized): resize callback, store new size
	(gnome_calendar_hpane_resized): ditto

	* gui/calendar-model.c (get_due_status): handle an error getting
	the timezone

	* gui/calendar-config.c (calendar_config_get_hpane_pos): return an int
	(calendar_config_set_hpane_pos): take an int
	(calendar_config_get_vpane_pos): return an int
	(calendar_config_set_vpane_pos): take an int

	* gui/calendar-config.h: update protos

	* gui/apps_evolution_calendar.schemas: update defaults for pane
	positions

2003-04-15  Hans Petter Jansson  <hpj@ximian.com>

	* gui/calendar-component.c (owner_set_cb): If we already have an
	evolution_dir, free the old one before setting it anew.

	* gui/e-day-view-time-item.c (e_day_view_time_item_draw): Unref the
	metrics.

	* gui/e-day-view.c (e_day_view_style_set): Unref the metrics.
	(e_day_view_recalc_cell_sizes): We don't need font metrics here.
	(e_day_view_reshape_long_event): Ditto.

	* gui/e-meeting-model.c (init): Don't dup the string passed to
	e_table_without_hide().

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_style_set):
	Unref the metrics.
	(e_meeting_time_selector_recalc_date_form): Doesn't need metrics.

	* gui/e-week-view-main-item.c (e_week_view_main_item_draw_day):
	Unref the metrics.

	* gui/e-week-view.c (e_week_view_style_set): Unref metrics.
	(e_week_view_recalc_cell_sizes): Ditto.
	(e_week_view_reshape_event_span): Move Pango stuff to where it
	can't be leaked due to an early return. Unref metrics.

	* gui/weekday-picker.c (weekday_picker_style_set): Unref metrics.

	* gui/dialogs/meeting-page.c (meeting_page_finalize): Free default
	address.

2003-04-11  Dan Winship  <danw@ximian.com>

	* gui/dialogs/Makefile.am (IDL_GENERATED, etc): Oops. Add this
	back. Turns out it's still needed by other parts.

2003-04-11  Dan Winship  <danw@ximian.com>

	* gui/dialogs/task-page.glade: Remove the "Contacts" button and
	entry from here too. Supposed to have been part of #35926

	* gui/dialogs/task-page.c: Remove all code pertaining to the
	contacts button

	* gui/dialogs/comp-editor-util.c: 
	* gui/dialogs/comp-editor-util.h: Likewise

	* gui/dialogs/Makefile.am (IDL_GENERATED, etc): Remove
	select-names stuff, which is no longer used.

2003-04-11  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.h: added missing capabilities.

	* cal-client/cal-client.c (cal_client_get_one_alarm_only,
	  cal_client_get_organizer_must_attend,
	  cal_client_get_save_schedules):
	* gui/itip-utils.c (itip_organizer_is_user):
	* gui/e-calendar-table.c (e_calendar_table_on_right_click):
	* gui/dialogs/task-editor.c (set_menu_sens):
	* gui/dialogs/event-page.c (event_page_fill_widgets):
	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets):
	* gui/dialogs/alarm-page.c (button_options_clicked_cb): use the macros
	defined in cal-util.h for static capabilities.

2003-04-11  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-model.c (start_addressbook_server): load the
	default book to look for additional free/busy info in
	(init): ugly hack to make sure we get destroyed, set idle id to 0
	(process_callbacks): unref the im because we are now done with it
	(refresh_busy_periods): set idle id to 0, ref the model and handle
	e_book_get_cursor error

2003-04-11  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_destroy): guard against multiple
	destroy calls

2003-04-11  JP Rosevear  <jpr@ximian.com>
	
	* cal-client/cal-client.c (cal_client_get_free_busy): only print a
	message if the exception isn't the reasonable NotFound

2003-04-11  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/schedule-page.c (schedule_page_finalize): unref the
	main widget since we ref it when we un-parent it

	* gui/dialogs/alarm-page.c (alarm_page_finalize): ditto

	* gui/dialogs/task-page.c (task_page_finalize): ditto

	* gui/dialogs/event-page.c (event_page_finalize): ditto

	* gui/dialogs/task-details-page.c (task_details_page_finalize):
	ditto

	* gui/dialogs/recurrence-page.c (recurrence_page_finalize): ditto

	* gui/dialogs/meeting-page.c (meeting_page_finalize): ditto

2003-04-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_options_menu_position_callback):
	(e_meeting_time_selector_autopick_menu_position_callback): added the
	allocation's X and Y position to the calculated coordinates.

2003-04-10  JP Rosevear  <jpr@ximian.com>

	Fixes #41127
	
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_refresh_cb):
	unref here, when the callback is done
	(e_meeting_time_selector_refresh_free_busy): don't unref here

	* gui/e-meeting-model.c (process_free_busy): if the type is
	unexpected, make sure we cleanup properly

2003-04-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-queue.c (remove_queued_alarm): only remove
	the alarm for backends that want it (Exchange).

2003-04-10  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.h: added #define's for static capabilities.

	* pcs/cal-backend-file.c (cal_backend_file_get_static_capabilities):
	use the #define's above.

2003-04-09  Chris Toshok  <toshok@ximian.com>

	Fixes #40133
	
	* pcs/cal-backend.c (cal_backend_class_init): use G_TYPE_INT
	instead of G_TYPE_ENUM as a parameter type for the signal to get
	rid of runtime warning.

2003-04-09  JP Rosevear  <jpr@ximian.com>

	Fixes #40915
	
	* gui/calendar-model.c (get_due_status): when getting the current
	time for date values, use a timezone aware function

2003-04-09  JP Rosevear  <jpr@ximian.com>
	
	Fixes #40952
	
	* pcs/cal-backend-file.c (cal_backend_file_open): check for file
	method instead of is_local

2003-04-08  JP Rosevear  <jpr@ximian.com>

	Fixes #40894
	
	* gui/gnome-cal.c
	(gnome_calendar_on_date_navigator_selection_changed): update the
	selection for all view types

2003-04-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/alarm-options.c: Remove button_ok, button_cancel,
	canceled members from struct Dialog.
	(get_widgets): Do not initialize.
	(close_dialog): Destroy the toplevel.
	(toplevel_delete_event_cb): Removed.
	(button_cancel_clicked_cb): Removed.
	(button_ok_clicked_cb): Removed.
	(close_dialog): Removed.
	(alarm_options_dialog_run): Use gtk_dialog_run.
	(init_widgets): Do not init ->canceled, do not connect OK/Cancel
	buttons.
	(alarm_to_dialog): No need to make the file entry modal from here
	anymore.

	* gui/dialogs/alarm-options.glade: Turned into a GtkDialog.  Set
	the "modal" property to True for the file entry.

2003-04-07  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #35926.

	* gui/dialogs/event-page.glade: Remove contacts entry/chooser.

	* gui/dialogs/event-page.c: Remove contacts entry/chooser.
	(event_page_init): Remove references.
	(event_page_finalize): Ditto.
	(event_page_fill_widgets): Ditto.
	(event_page_fill_component): Ditto.
	(get_widgets): Ditto.
	(init_widgets): Ditto.
	(contacts_clicked_cb): Remove wholesale.
	(contacts_changed_cb): Ditto.

2003-04-07  JP Rosevear  <jpr@ximian.com>

	Fixes #40876
	
	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_refresh_free_busy): guard against
	callbacks after destruction
	(e_meeting_time_selector_refresh_cb): ditto

2003-04-07  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/event-page.glade: create buttons properly

	* gui/itip-utils.c (comp_server_send): for errors other than busy,
	we want to email the results

	* pcs/cal-backend.c (cal_backend_ref_categories): insert the new
	category in the category list as well
	(idle_notify_categories_changed): reset idle id

2003-04-07  Not Zed  <NotZed@Ximian.com>
 
 	Fixes #40252
 
 	* conduits/todo/todo-conduit.c: Same as below.
 
 	* conduits/calendar/calendar-conduit.c: Change the LOG macro to a
 	single arg macro which copies its arg.  Fix all callers.  Change
 	WARN and INFO to simply g_warning/g_message.  Init G_LOG_DOMAIN
 	before including anything.
	
2003-04-07  Dan Winship  <danw@ximian.com>

	* gui/GNOME_Evolution_Calendar.server.in.in: Clean up server names

	* gui/alarm-notify/GNOME_Evolution_Calendar_AlarmNotify.server.in.in: 
	Likewise

	* importers/GNOME_Evolution_Calendar_Importer.server.in.in:
	Likewise. Also mark the evolution:menu_name for i18n

2003-04-07  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-meeting-attendee.[ch]: GObjectify. Eliminates ref/sink
	warnings from the meeting editor.

2003-04-06  Hans Petter Jansson  <hpj@ximian.com>

	Week view part of fix for #39895.

	* gui/e-week-view-main-item.c (e_week_view_main_item_draw_day):
	Use the UNFOCUSSED colour if we're not focused, rather than not
	drawing anything.

	* gui/e-week-view.c: Set up the UNFOCUSSED colour.

	* gui/e-week-view.h: Add the UNFOCUSSED colour.

2003-04-04  JP Rosevear  <jpr@ximian.com>

	Fixes #40790
	
	* gui/alarm-notify/alarm-queue.c (procedure_notification_dialog):
	return based on the response code (not old button stuff)

2003-04-04  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/alarm-options.c (alarm_to_dialog): Make the file
	entry modal.  [#40792]
  
2003-04-04  JP Rosevear  <jpr@ximian.com>
	
	Fixes #40789
	
	* gui/dialogs/alarm-options.c (alarm_to_dalarm_widgets):
	description is a text buffer
	(alarm_to_malarm_widgets): ditto
	(dalarm_widgets_to_alarm): ditto
	(malarm_widgets_to_alarm): ditto
	(alarm_to_repeat_widgets): check repeat status correctly

2003-04-04  Dan Winship  <danw@ximian.com>

	* gui/e-itip-control.c (write_html): Don't free static string.

2003-04-04  JP Rosevear  <jpr@ximian.com>

	* gui/cal-search-bar.c (cal_search_bar_destroy): guard against
	multiple destroy calls

2003-04-04  JP Rosevear  <jpr@ximian.com>
	
	* cal-client/cal-client.c (get_default_uri): guard against empty
	uri as well

2003-04-04  JP Rosevear  <jpr@ximian.com>
	
	Fixes #40722
	
	* gui/e-meeting-time-sel.c (e_meeting_time_selector_destroy):
	guard against multiple destroy calls

2003-04-02  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/control-factory.c (set_prop): Add a check to see if the view
	should be the day-view and change the default to be whatever
	calendar_config_get_default_view() returns. Should fix bug #39735.

	* gui/calendar-config.h: calendar_config_write() and
	calendar_config_write_on_exit() no longer exist. Removed
	prototypes.

	* gui/control-factory.c (set_prop): g_strcasecmp() is
	deprecated. Since the values can never be anything other than all
	lowercase anyway, just use strcmp.

2003-04-02  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #39262
	
	* importers/icalendar-importer.c (load_file_fn, vcal_load_file_fn):
	use folder_type argument to determine what to import.
	
2003-04-02  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c (load_file_fn, vcal_load_file_fn):
	added "folder_type" parameter to EvolutionImporterLoadFileFn.
	
2003-04-02  JP Rosevear  <jpr@ximian.com>

	Fixes #39955
	
	* gui/itip-utils.c (comp_sentby): don't unref the the account

2003-04-02  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #40661
	
	* gui/itip-utils.c: added missing header for Forte compilation.

2003-04-01  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-day-view-main-item.c (e_day_view_main_item_draw):
	Nuke GdkFont and use Pango's font measuring.

	* gui/e-day-view-time-itme.c (e_day_view_time_item_get_column_width)
	(e_day_view_time_item_draw): Ditto.

	* gui/e-day-view-top-item.c (e_day_view_top_item_draw)
	(e_day_view_top_item_draw_long_event): Ditto.

	* gui/e-day-view.c (e_day_view_style_set)
	(e_day_view_recalc_cell_sizes)
	(e_day_view_reshape_long_event)
	(e_day_view_update_top_canvas_drag)
	(e_day_view_update_main_canvas_drag): Ditto.

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_style_set)
	(e_meeting_time_selector_recalc_date_form): Ditto.

	* gui/e-week-view-event-item.c (e_week_view_draw_time): Ditto.

	* gui/e-week-view-main-item.c (e_week_view_main_item_draw_day):
	Ditto.

	* gui/e-week-view-titles-item.c (e_week_view_titles_item_draw):
	Ditto.

	* gui/e-week-view.c (e_week_view_style_set)
	(e_week_view_recalc_cell_sizes)
	(e_week_view_reshape_event_span): Ditto.

	* gui/weekday-picker.c (weekday_picker_style_set): Ditto.

2003-04-01  JP Rosevear  <jpr@ximian.com>

	Fix for #17231 (Evo portion)
	
	* conduits/todo/todo-conduit.c (comp_from_remote_record): test for
	secret flag properly

	* conduits/calendar/calendar-conduit.c (comp_from_remote_record):
	ditto

2003-04-01  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c (load_file_fn, vcal_load_file_fn):
	added filename (tasks.ics/calendar.ics) to the URI if it does not
	contain it.

2003-03-31  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #39961

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_options_menu_position_callback):
	(e_meeting_time_selector_autopick_menu_position_callback): use the
	button's allocation to position the popup menu.

2003-03-29  Not Zed  <NotZed@Ximian.com>

	Fixes #39895

	* gui/e-day-view.h (EDayViewColors): add an unfocussed colour to
	draw the selection in when we're not focussed.

	* gui/e-day-view.c (e_day_view_realize): Initialise
	E_DAY_VIEW_COLOR_BG_SELECTED_UNFOCUSSED to be 1/2 saturation of
	the focussed colour.

	* gui/e-day-view-main-item.c (e_day_view_main_item_draw): Use the
	UFOCUSSED colour if we aren't focussed, rather than just not
	drawing anything.

2003-03-28  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (get_servers): the shell client is a
	g_object now, ref appropriately

2003-03-28  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-day-view.c (comp_destroy_cb)
	(e_day_view_on_long_event_button_press)
	(e_day_view_on_event_button_press)
	(e_day_view_on_long_event_click)
	(e_day_view_on_event_click)
	(e_day_view_on_event_double_click)
	(e_day_view_on_delete_appointment): Hold weak references to the
	CalComponent instead of connecting to the "destroy" signal.

	* gui/e-week-view.c (comp_destroy_cb)
	(e_week_view_on_text_item_event): Ditto.

2003-03-28  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #39954
	
	* gui/dialogs/recurrence-page.c (make_recurrence_special):
	Destroy would-be children of the container before the container.

2003-03-28  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/meeting-page.c (meeting_page_init): init new members
	(get_current_account): get a matching account for the currently
	selected user in the combo
	(meeting_page_finalize): unref the meeting attendee if there is
	one
	(meeting_page_fill_widgets): don't set the combo list here
	(clear_widgets): set the default organizer here and if we don't
	have an organizer, add the default organizer as an attendee
	(meeting_page_fill_component): use get_current_account
	(org_changed_cb): if this is a new meeting and the organizer
	changes, change the attendee
	(change_clicked_cb): no need to set the default here
	(init_widgets): reflect changed callback name
	(meeting_page_construct): set the combo strings here
	(popup_delete_cb): remove the organizer attendee if the user
	explicitly deletes it

	* gui/e-meeting-model.c (attendee_changed_cb): set row properly

	* gui/itip-utils.c (comp_to_list): skip the user themselves if
	cancelling or requesting

2003-03-26  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c (gnome_calendar_import_data_fn): use
	g_object_unref for CalClient's.
	(create_checkboxes_control): use g_signal_connect.

	* cal-client/cal-client.c (cal_client_get_load_state): return correct
	values in g_return_val_if_fail.

2003-03-26  Jack Jia <jack.jia@sun.com>

	* calendar/gui/dialogs/alarm-options.c
	(malarm_widgets_to_alarm): add a parameter(TC_CORBA_string) to
	the bonobo_widget_get_property.
	
2003-03-25  Dan Winship  <danw@ximian.com>

	* gui/itip-utils.c: Update for e_notice move

	* gui/tasks-control.c (confirm_expunge): Move the code that used
	to be e_gnome_dialog_set_parent here, since it was marked
	deprecated and this was the only place using it.

	* gui/dialogs/comp-editor.c: Update for e_notice move
	(page_changed_cb, page_summary_changed_cb, page_dates_changed_cb):
	Pass a parent_window to e_notice.

	* gui/dialogs/meeting-page.c: Update for e_notice move.
	(meeting_page_fill_component, meeting_page_fill_component,
	popup_delegate_cb): Pass a parent_window to e_notice

2003-03-25  Dan Winship  <danw@ximian.com>

	* cal-util/cal-util.c (cal_util_parse_ics_file): Utility wrapper
	around icalparser.

	* cal-util/test-recur.c (main): Use it

	* pcs/cal-backend-file.c (open_cal): Likewise

	* gui/comp-editor-factory.c (open_client): Add the OpenClient to
	the hash before calling cal_client_open_calendar, since in some
	failure cases, that will call cal_opened_cb (which will free the
	oc) with a failure immediately, causing a crash if we then try to
	deref it.

2003-03-21  JP Rosevear  <jpr@ximian.com>

	Fixes #32248
	
	* conduits/todo/todo-conduit.c (comp_from_remote_record): make
	sure the due date is actually a date

2003-03-21  JP Rosevear  <jpr@ximian.com>
	
	Fixes #31660
	
	* conduits/calendar/calendar-conduit.c (rrules_mostly_equal):
	check if the rrules are equal other than until/count
	(find_last_cb): update the data with the start timet
	(local_record_from_comp): handle the case where the recurrence
	rule ends after a certain number occurrences
	(comp_from_remote_record): same

2003-03-20  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c
	(e_calendar_context_destroy): calcomponents are gobjects now
	(calconduit_load_configuration): ref and sink to avoid warnings

	* conduits/todo/todo-conduit.c (todoconduit_load_configuration):
	ref and sink to avoid warnings
	(e_todo_context_destroy): calcomponents are gobjects now

2003-03-20  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/cancel-comp.c (cancel_component_dialog): use a
	GtkMessageDialog and deal correctly with the dialog's reponses.

2003-03-20  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #39770

	* gui/itip-utils.c (itip_Send_comp): check the CORBA exception instead
	of the g_return_val_if_fail. Also, use a CORBA_Object for the value
	returned from bonobo_activation_activate_from_id.

2003-03-20  Rodrigo Moya <rodrigo@ximian.com>

	* importers/ical-importer.c: removed activation of shell_client.
	(importer_destroy_cb): no need to unref shell_client.
	(connect_to_shell): removed.
	(ical_importer_new, vcal_importer_new): don't call connect_to_shell.

2003-03-20  Rodrigo Moya <rodrigo@ximian.com>

	* importers/ical-importer.c (get_uri_from_folder_path): removed.
	(load_file_fn, vcal_load_file_fn): use physical_uri instead of
	folderpath.

2003-03-19  Ettore Perazzoli  <ettore@ximian.com>

	* importers/GNOME_Evolution_Calendar_Importer.server.in.in:
	Replace "evolution:menu-name" prop with "evolution:menu_name".
	[#39692]

2003-03-18  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/send-comp.c (send_component_dialog): use GtkMessageDialog
	instead of gnome_question_dialog, and deal correctly with the dialog's
	response.

2003-03-18  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #34505

	* gui/alarm-notify/alarm-queue.c (remove_queued_alarm): added removal
	of the alarm itself in the calendar if the (new) argument says so.
	Also, set expecting_update flag to TRUE.
	(add_component_alarms): initialize expecting_update to FALSE.
	(remove_alarms): don't remove the component if expecting_update is
	TRUE.
	(obj_updated_cb, notify_dialog_cb, procedure_notification): adapted
	to changes in remove_queued_alarm.
	
2003-03-17  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #34095

	* gui/e-meeting-model.c (append_row): Don't leak meeting attendees;
	unref the attendee after it's assigned to model.

	* gui/dialogs/meeting-page.c (meeting_page_destroy): Free the actual
	array of deleted attendees.

	* gui/dialogs/event-editor.c (event_editor_destroy): Free the private
	structure.

	* gui/itip-utils.c (comp_description): Rework free/busy information
	composer so we can free date/time information after use. Then free it.
	(itip_send_comp): Free the allocated CORBA buffer for attachment data.

	* gui/dialogs/comp-editor-util.c (comp_editor_contacts_to_component):
	Free the destination contacts string once we're done with it.

	* gui/e-calendar-table.c (invisible_destroyed): Unref the invisible.

	* gui/e-day-view.c (invisible_destroyed): Ditto.

	* gui/e-week-view.c (invisible_destroyed): Ditto.

2003-03-17  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #39757

	* gui/dialogs/alarm-page.c (sensitize_buttons): Somehow this code
	reverted to thinking it was dealing with a GtkCList, when in reality
	it's a GtkTreeView. Fix that, so the buttons are sensitized correctly.

2003-03-17  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #39736

	* gui/e-day-view.c: Reduce the size of the large-digits font so it's
	en par with the one in 1.2.

2003-03-14  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #39740

	* gui/e-meeting-model.c (is_cell_editable): check row number is valid
	before using it as index for the GPtrArray.

2003-03-14  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #39356

	* gui/Makefile.am:
	* gui/tasks-migrate.[ch]: removed tasks migration obsolete stuff.

	* gui/calendar-component.c (owner_set_cb): don't call tasks_migrate.

2003-03-14  Rodrigo Moya <rodrigo@ximian.com>
	
	* pcs/cal-factory.c (impl_CalFactory_uriList): set_release
	on the sequence we create.

	* cal-client/cal-client.c (cal_client_uri_list): don't leak the
	string sequence returned by CalFactory_uriList.

2003-03-13  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query-backend.c (query_backend_new): use a weak ref instead
	of connecting to backend's "destroy" signal.
	(backend_destroyed_cb, query_destroyed_cb): changed to be weak
	reference callbacks.

2003-03-12  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/save-comp.c (save_component_dialog): don't use
	GNOME_STOCK_* defines, but GTK_STOCK_*.

2003-03-12  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/save-comp.[ch] (save_component_dialog): corrected
	button ordering and changed the return type to be a GtkResponseType.

	* gui/dialogs/comp-editor.c (prompt_to_save_changes): adapted to
	changes in save_component_dialog.

2003-03-11  Dan Winship  <danw@ximian.com>

	* gui/calendar-config.c (on_timezone_set): Update for timezone
	dialog API changes.

	* gui/e-timezone-entry.c: Likewise

2003-03-11  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): issue more descriptive
	warnings.

2003-03-09  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-notify.c (alarm_notify_add_calendar): if we
	already have the client loaded, don't remove it, just increment its
	reference count.

	* gui/alarm-notify/alarm-queue.c (remove_queued_alarm): added new
	argument to specify whether we want the component's structure removed
	if no more alarms exist, and only free the structure if TRUE.
	(remove_alarms): added same new argument and pass it over to
	remove_queued_alarm.
	(remove_comp, obj_updated_cb): passed new argument to remove_alarms.
	(procedure_notification): passed new argument to remove_queued_alarm.
	(obj_removed_cb): set all freed pointers to NULL.
	(notify_dialog_cb): only remove the alarm if the pointers are not NULL.

2003-03-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/save.c (get_calendars_to_load): create the array
	to be returned only once.

2003-03-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-queue.c (display_notification): ref the CalClient.
	(notify_dialog_cb): unref the CalClient.

2003-03-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-notify-dialog.[ch]
	(alarm_notify_dialog_disable_buttons): new function.
	(alarm_notify_dialog): made it return a pointer to the dialog structure.

	* gui/alarm-notify/alarm-queue.c (remove_alarms, remove_comp): splitted
	alarm removal out of remove_comp.
	(obj_updated_cb): remove the component only when needed. In normal
	updates, just update the internal structure.
	(edit_component): don't get a CompQueuedAlarms as argument, since it
	might be removed.
	(on_dialog_obj_updated_cb, on_dialog_obj_removed_cb): callbacks for
	modifications during dialog display.
	(notify_dialog_cb): disconnect from "obj_*ed" signals and call
	edit_component with the new set of arguments.
	(display_notification): added more data to the closure structure.

2003-03-05  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #31382

	* gui/e-meeting-model.c (async_read): don't assume the buffer is
	always full, but use GNOME_VFS_ERROR_EOF instead for knowing when
	the read has finished.

2003-03-05  JP Rosevear  <jpr@ximian.com>

	* gui/apps_evolution_calendar.schemas: fix defaults and
	descriptions to match what calendar-config wants them to be

2003-03-05  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-itip-control.c (show_current): g_objectify ref/unref

	* gui/itip-bonobo-control.c (set_data_idle_cb): as above
	(pstream_load): ditto

	* gui/dialogs/alarm-options.c (alarm_to_malarm_widgets): as above

2003-03-05  JP Rosevear  <jpr@ximian.com>
 
 	* gui/e-itip-control.c (class_init): override finalize, not
 	destroy
 	(start_calendar_server): take itip as a param and gtk_main_quit if
 	it gets destroyed while we are waiting for the cal client to load
 	(start_default_server): ditto
 	(get_servers): take itip as a param and don't load if we've been
 	destroyed, check for an except when retrieving the folder list
 	(init): ref the html control
	(destroy): mark ourselves as destroyed
 	(finalize): clean up, unref html control
 	(write_html): if the html widget has been destroyed, don't write
 	anything out
 	(show_current_todo): pass extra param
 	(show_current): ref/unref the itip control to avoid finalization while
 	we are working, pass extra param
 	(button_selected_cb): pass extra param
 	(object_requested_cb): ditto

2003-03-05  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-offline-handler.c (backend_go_offline,
	backend_go_online): cast CalClient's to GObject, not GtkObject.

2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets): don't
 	let the user change to an email organizer if the back end is not
 	an email addres
	
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #37881
 	
 	* gui/e-meeting-model.c (process_section): if the attendee is the
 	empty string, try to get the email
	
2003-03-04  JP Rosevear  <jpr@ximian.com>

	* gui/calendar-offline-handler.c (backend_cal_opened_online): set
	the backend to REMOTE mode when it opens
	(backend_go_online): prepare to set calendar mode to REMOTE
	(impl_goOnline): get all the local calendars and set to REMOTE

2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #37881
 	
 	* gui/e-meeting-model.c (process_section): if the attendee is the
 	empty string, try to get the email
 
2003-03-04  JP Rosevear  <jpr@ximian.com>
  
 	Fixes #37883
 	
 	* idl/evolution-calendar.idl: getLdapAttribute can raise NotFound
 
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	Fixes #37806, #37697
 	
 	* gui/e-itip-control.c (e_itip_control_set_data): if the text is
 	null or the empty string, just clear the widget
 	(init): set the html widget to initially be blank
 
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	* pcs/cal.c (impl_Cal_get_ldap_attribute): implement
 
 	* pcs/cal-backend.h: add virtual method
 
 	* pcs/cal-backend.c (cal_backend_get_ldap_attribute): call
 	get_ldap_attribute_method
 
 	* pcs/cal-backend-file.c (cal_backend_file_class_init): overrid
 	get_ldap_attribute method
 
 	* idl/evolution-calendar.idl: add getLdapAttribute method
 
 	* gui/e-meeting-model.c (process_section): take simple card list
 	as arg and try to use the ldap attribute (if any) as the attendee,
 	else use the email address
 	(select_names_ok_cb): get the simple card list 
 
 	* cal-client/cal-client.h: add proto
 
 	* cal-client/cal-client.c (cal_client_init): init ldap_attribute
 	to NULL
 	(cal_client_destroy): free ldap_attribute
 	(cal_client_get_ldap_attribute): accessor
	
2003-03-04  JP Rosevear  <jpr@ximian.com>

       * gui/itip-utils.c (itip_organizer_is_user): call
       cal_client_get_cal_address instead of cal_client_get_email_address

       * gui/dialogs/meeting-page.c (meeting_page_construct): ditto

       * pcs/cal.c (impl_Cal_get_cal_address): implement updated method
       name
       (cal_class_init): set method implementation

       * pcs/cal-backend.c (cal_backend_class_init): init get_cal_address
       virtual function
       (cal_backend_get_cal_address): call proper function

       * pcs/cal-backend.h: update proto, rename get_email_address
       virtual function to get_cal_address virtual function

       * pcs/cal-backend-file.c (cal_backend_file_class_init): match
       get_cal_address call
       (cal_backend_file_get_cal_address): rename from
       cal_backend_file_get_email_address

       * cal-client/cal-client.c: rename email_address private member to
       cal_address
       (cal_client_init): init cal_address
       (cal_client_destroy): free cal_address and properly free
       alarm_email_address
       (cal_client_get_cal_address): rename from
       cal_client_get_email_address and call proper corba function
       
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
  	* idl/evolution-calendar.idl: fix comment
	
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	* gui/calendar-model.c (calendar_model_append_row): update FIXME
 	note
	
2003-03-04  JP Rosevear  <jpr@ximian.com>
 
 	* gui/dialogs/recur-comp.h: fix copyright
 
 	* gui/dialogs/recur-comp.c: fix copyright
 	(recur_component_dialog): say "recurring journal entry" instead of
 	just "recurring journal"

2003-03-04  JP Rosevear  <jpr@ximian.com>
 
        Partially  Fixes #23606 (from Jack Jia <jack.jia@sun.com>)
 	
 	* gui/dialogs/schedule-page.c (update_time): handle no end date if
 	the start is date only
 
 	* gui/dialogs/event-page.c (update_time): ditto
	
2003-03-04  JP Rosevear  <jpr@ximian.com>

	Merging in 1.2 stuff
	
	Fixes #35598
	
	* gui/dialogs/task-details-page.c
	(task_details_page_fill_widgets): count a status of needs action
	as a status of none (not started)
	(date_changed_cb): set the option menu to a status of none
	(status_changed): no need to handle needs action status now

	* gui/dialogs/task-details-page.glade: remove needs-action menu
	item

	Fixes #36763	
		
	* gui/dialogs/alarm-page.c (add_clicked_cb): if no address was set
	for an email alarm, set the default
	(button_options_clicked_cb): pass the default email address

	* gui/dialogs/alarm-options.h (alarm_options_dialog_run): update proto

	* gui/dialogs/alarm-options.c (alarm_to_malarm_widgets): if there
	are no email attendees, default to the passed in value
	(alarm_options_dialog_run): take and track an email param

	* pcs/cal.c (impl_Cal_get_alarm_email_address): implement by
	calling backend method
	(cal_class_init): set alarm email address method implementation

	* pcs/cal-backend.h: add new virtual proto

	* pcs/cal-backend.c (cal_backend_class_init): set alarm email
	address virtual method to NULL
	(cal_backend_get_alarm_email_address): call backend method

	* pcs/cal-backend-file.c (cal_backend_file_class_init): set alarm
	email address method
	(cal_backend_file_get_alarm_email_address): implement by returning
	NULL

	* idl/evolution-calendar.idl: add getAlarmEmailAddress method
 
	Fixes #37102
	
	* gui/dialogs/task-editor.c (set_menu_sens): don't allow task
	assignment if the backend says not to

	* gui/dialogs/recurrence-page.c (fill_component): kill warning
	(preview_recur): display the recurrences in the dtstart timezone
	if possible

	* gui/gnome-cal.c (dn_query_obj_updated_cb): pass NULL to use
	default tag zone

	* gui/tag-calendar.c (tag_calendar_by_comp): allow display zone
	for the tagged calendar to be passed in
	(prepare_tag): use the passed in timezone for display if non-null

	* gui/tag-calendar.h (tag_calendar_by_comp): update proto

	* gui/dialogs/recurrence-page.c (recurrence_page_set_dates): make
	sure we always update the preview

	* conduits/todo/todo-conduit.c (add_record): make sure to create a
	unique uid for the record

	* conduits/calendar/calendar-conduit.c (add_record): ditto

	* conduits/todo/todo-conduit.c (e_todo_context_new): init default
	comp and timezone to NULL
	(e_todo_context_destroy): unref default comp
	(pre_sync): et the default comp via the client and set the default
	timezone
	(add_record): pass the default comp as the base comp

	* conduits/calendar/calendar-conduit.c (e_calendar_context_new):
	init default comp to NULL
	(e_calendar_context_destroy): unref default comp
	(pre_sync): get the default comp via the client
	(add_record): pass the default comp as the base comp

	* conduits/calendar/calendar-conduit.c (local_record_from_comp):
	only add the recurrence rule if its not an instance

	* gui/itip-control-factory.c (set_data_idle_cb): idle call back to
	set control data
	(pstream_load): set the data in an idle callback to avoid deadlock
	(get_prop): handle view_only
	(set_prop): ditto
	(itip_control_factory): add view_only

	* gui/e-itip-control.h: add protos

	* gui/e-itip-control.c (write_html): only write out the options if
	we aren't in view_only mode
	(e_itip_control_set_view_only): accessor
	(e_itip_control_get_view_only): ditto
	
	Fixes #36909
	
	* gui/dialogs/alarm-page.c (button_options_clicked_cb): indicate
	whether the options dialog should allow repeating

	* gui/dialogs/alarm-options.h: update proto

	* gui/dialogs/alarm-options.c (alarm_to_repeat_widgets): if
	repeating is not allowed, sensitize the widgets appropriately
	(alarm_options_dialog_run): store the repeat param

	* gui/calendar-model.c (calendar_model_append_row): guard against
	saving before the calendar is open

	* gui/e-day-view.c (e_day_view_key_press): ditto
	
	* gui/dialogs/comp-editor.c (page_changed_cb): change warning
	dialog to not mention email
	(page_summary_changed_cb): ditto
	(page_dates_changed_cb): ditto

	* gui/itip-utils.c (itip_organizer_is_user): make the compare case
	insensitive

	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets): don't
	allow the organizer to be changed if its not an email address

	* gui/e-day-view.c, calendar-model.c, e-week-view.c,
	task-editor.c, event-editor.c, comp-editor.c, meeting-page.c: pass
	additional param

	* gui/itip-utils.c (itip_organizer_is_user): take client as param,
	and if organizer-not-email-address and email address and organizer
	match, assume the user is the organizer

	* gui/itip-utils.h: update proto

	* pcs/cal.c (build_fb_seq): set the max

	* gui/e-meeting-model.c
	(e_meeting_model_add_attendee_with_defaults): correct typo and set
	rsvp appropriately

	* gui/dialogs/send-comp.c (send_component_dialog): if save
	schedules, return FALSE for now

	* gui/dialogs/recurrence-page.c (sensitize_recur_widgets):
	de-sensitize the preview widget if we are viewing an instance
	(preview_recur): return if the comp is an instance

	* gui/dialogs/event-page.glade: name the show time frame

	* gui/dialogs/event-page.c (event_page_fill_widgets) 
	(event_page_init): init show time frame
	(event_page_fill_widgets): hide/show frame as needed
	(get_widgets): get the frame

	* gui/alarm-notify/alarm-queue.c (mail_notification): kill mail
	notification code

	* cal-client/cal-client.c (load_static_capabilities): grab static
	capabilities string
	(check_capability): see if a capability is in the string
	(cal_client_get_one_alarm_only): accessor
	(cal_client_get_organizer_must_attend): use check_capability
	(cal_client_get_static_capability): ditto

	* cal-client/cal-client.h: new, changed protos

	* idl/evolution-calendar.idl: change over getSchedulingInformation
	to a more general getStaticCapabilities call

	* pcs/cal-backend-file.c
	(cal_backend_file_get_static_capabilities): return
	"no-email-alarms"

	* pcs/cal-backend.c (cal_backend_get_static_capabilities): ditto

	* pcs/cal-backend.h: ditto

	* pcs/cal.c (impl_Cal_get_static_capabilities): ditto

	* gui/alarm-notify/alarm-queue.c (get_default_address): utility
	routine to snag address info

	* gui/alarm-notify/Makefile.am: build composer idl

	* *.c: pass client param for send an cancel params
	
	* gui/dialogs/send-comp.c (send_component_dialog): take client as
	a parm and if save schedules return true right away

	* gui/dialogs/send-comp.h: update proto

	* gui/dialogs/cancel-comp.c (cancel_component_dialog): take client
	as a param and if we are deleting and schedule saves, return true
	right away

	* gui/dialogs/cancel-comp.h (cancel_component_dialog): update proto

	* gui/dialogs/alarm-options.glade: add Send To: button

	* gui/dialogs/alarm-options.c (addressbook_clicked_cb): display
	dialog
	(setup_select_names): attach above to Send To: button clicked
	signal

	* gui/dialogs/alarm-options.c (get_widgets): get mail alarm
	widgets
	(setup_select_names): add the select names widget
	(alarm_to_malarm_widgets): show the attendees and description
	(alarm_to_dialog): set the title for mail alarms properly
	(malarm_widgets_to_alarm): save attendees and descriptions in
	alarm
	(alarm_options_dialog_run): call setup_select_names

	* gui/dialogs/alarm-page.c: add email to alarm types

	* gui/dialogs/alarm-options.glade: add mail alarm widgets

	* gui/dialogs/alarm-page.glade: add email to alarm types

	* cal-util/cal-component.c (scan_attendee): kill unnecessary
	CalComponent param
	(scan_property): don't pass same
	(set_attendee_list): take an icalcomp instead of a CalComponent
	(cal_component_set_attendee_list): pass same
	(scan_alarm_property): if its an attendee, scan it
	(make_alarm): set attendee_list member to null
	(cal_component_alarm_new): ditto
	(cal_component_alarm_free): free attendee list
	(cal_component_alarm_get_attendee_list): return attendee list
	(cal_component_alarm_set_attendee_list): set attendee list
	(cal_component_alarm_has_attendees): return true if alarm has attendees

	* cal-util/cal-component.h: new protos

	* gui/calendar-model.c (calendar_model_append_row): use
	cal_comp_task_new_with_defaults

	* gui/comp-editor-factory.c (get_default_task): ditto

	* gui/e-tasks.c (e_tasks_new_task): ditto

	* gui/gnome-cal.c (gnome_calendar_new_task): ditto

	* gui/comp-util.h (cal_comp_task_new_with_defaults): new proto

	* gui/comp-util.c (cal_comp_task_new_with_defaults): new utility
	routine

	* cal-util/cal-util.c (generate_absolute_triggers): skip omitted
	alarm types
	(add_alarm_occurrences_cb): ditto
	(cal_util_generate_alarms_for_list): take/pass omit param
	(cal_util_generate_alarms_for_comp): ditto

	* cal-util/cal-util.h: update protos

	* pcs/cal-backend-file.c (cal_backend_file_get_alarms_for_object):
	add omit param
	(cal_backend_file_get_alarms_in_range): ditto

	* pcs/cal-backend.c (cal_backend_get_scheduling_information):
	remove dead param

	* gui/dialogs/meeting-page.h: delete proto

	* gui/dialogs/meeting-page.c: remove dead routine

	* gui/dialogs/event-editor.c (event_editor_edit_comp): we don't
	need to add the organizer as an attendee ourselves, just set the
	edit level properly

	* gui/dialogs/task-editor.c (task_editor_edit_comp): ditto

	* gui/comp-util.c (cal_comp_event_new_with_defaults): take client
	as arg so we can obtain the default from the backend
	
	* gui/comp-editor-factory.c (get_default_event): pass
	cal_comp_event_new_with_defaults the new param

	* gui/gnome-cal.c (gnome_calendar_new_appointment_for): ditto

	* gui/e-week-view.c (e_week_view_key_press): ditto

	* gui/e-day-view.c (e_day_view_key_press): ditto

	* gui/calendar-model.c (calendar_model_append_row): ditto

	* gui/comp-util.h (cal_comp_event_new_with_defaults): update proto

	* pcs/cal-backend-file.c (cal_backend_file_get_default_object):
	return appropriate default object

	* pcs/cal-backend.c (cal_backend_get_default_object): call
	get_default_backend class method

	* pcs/cal-backend.h: add proto

	* pcs/cal.c (impl_Cal_get_default_object): implement
	(cal_class_init): set handler for getDefaultObject call

	* idl/evolution-calendar.idl: remove always schedule from
	SchedulingInformation and add getDefaultObject call

	* cal-client/cal-client.c (cal_client_get_default_object): gets a
	default object from the server
	(cal_client_init): remove always_schedule
	(load_scheduling_info): ditto

	* cal-client/cal-client.h: add a proto, delete a proto

	* gui/dialogs/meeting-page.c (right_click_cb): if the attendee is
	not fully editable, don't allow deletion
	(meeting_page_construct): keep the default organizer as an itip
	address
	(meeting_page_get_default_organizer): return the default organizer

	* gui/dialogs/meeting-page.h: new proto

	* gui/dialogs/event-editor.c (event_editor_edit_comp): we set
	appropriate edit levels now for users and if the backend always
	schedules we always show the meeting pages and add the organizer
	as an attendee

	* gui/dialogs/task-editor.c (task_editor_edit_comp): same

	* gui/e-meeting-model.c (is_cell_editable): use the edit level of
	the attendee to determine if cell is editable
	(init): we no longer keep the attendee list of restricted

	* gui/e-meeting-attendee.c (e_meeting_attendee_get_edit_level): accessor
	(e_meeting_attendee_set_edit_level): ditto

	* gui/e-meeting-attendee.h: new protos and edit level enum

	* cal-client/cal-client.c (load_scheduling_info): load the
	scheduling info
	(cal_client_get_always_schedule): accessor
	(cal_client_get_organizer_must_attend): ditto
	(cal_client_get_save_schedules): ditto
	(cal_client_init): init scheduling data members

	* cal-client/cal-client.h: accessors for scheduling information

	* pcs/cal-backend-file.c
	(cal_backend_file_get_scheduling_information): implement the new
	virtual method

	* pcs/cal-backend.c (cal_backend_get_scheduling_information): call
	the class specific method

	* pcs/cal-backend.h: add virtual method

	* idl/evolution-calendar.idl: add a getSchedulingInformation call
	which describes how the backend does its scheduling

	* pcs/cal.c (impl_Cal_get_scheduling_information): implement above

	* gui/e-day-view.c: pass NULL as parent to recur dialog

	* gui/e-week-view.c: ditto

	* gui/dialogs/comp-editor.c (prompt_to_save_changes): show recur
	dialog after prompting, not before
	(save_cmd): ditto
	(save_close_cmd): ditto
	(real_edit_comp): don't show recur dialog before opening

	* gui/dialogs/recur-comp.h (recur_component_dialog): update proto

	* gui/dialogs/recur-comp.c (recur_component_dialog): take a parent
	argument and set the dialog parent if non-null
	
 	* gui/e-week-view.c (e_day_view_on_editing_stopped): Don't update
 	appointment if both the old and the new summary texts are empty.
 
	* gui/e-week-view.c (e_week_view_show_popup_menu): mask out "make
	moveable" if its an instance

	* gui/e-day-view.c (e_day_view_on_event_right_click): ditto

	* gui/e-week-view.c (e_week_view_on_editing_stopped): if its
	an instance, show the recur comp dialog and modify it based on the
	response (or not if cancel is hit)

	* gui/e-day-view.c (e_day_view_finish_long_event_resize): if its
	an instance, show the recur comp dialog and modify it based on the
	response (or not if cancel is hit)
	(e_day_view_finish_resize): ditto
	(e_day_view_on_editing_stopped): ditto
	(e_day_view_on_top_canvas_drag_data_received): ditto
	(e_day_view_on_main_canvas_drag_data_received): ditto

	* gui/dialogs/comp-editor.c (real_edit_comp): reflect changes in
	proto of recur_component_dialog

	* gui/dialogs/recur-comp.c (recur_component_dialog): use ok/cancel
	instead and radio buttons for the mod type

	* gui/dialogs/recur-comp.h: update proto

	* gui/e-day-view.c (e_day_view_on_long_event_click): allow
	dragging if its an instance
	(e_day_view_on_event_click): ditto
	(e_day_view_on_top_canvas_motion): ditto
	(e_day_view_on_main_canvas_motion): ditto

	* gui/dialogs/comp-editor.c (save_comp): if its an instance,
	update with the mod type
	(real_edit_comp): ask the user what instances they want to change

	* gui/dialogs/recur-comp.[hc]: new dialog to ask user what
	recurrences to modify

	* gui/dialogs/Makefile.am: Compile new files
	
	* gui/e-day-view.c (e_day_view_on_delete_occurrence): if its an
	instance, just remove with THIS mod

	* gui/e-week-view.c (e_week_view_on_delete_occurrence): ditto
	
	* cal-client/cal-client.c (cal_client_remove_object_with_mod):
	send the mod parameter to the backend
	(cal_client_remove_object): implement with above
	(cal_client_update_object_with_mod): send the mod parameter to the
	backend
	(cal_client_update_object): implement with above

	* cal-client/cal-client.h: new protos

	* cal-client/cal-client.c (cal_client_is_read_only): return
	booleans in the pre conditions
	(cal_client_update_object): pass mod param
	(cal_client_update_objects): ditto
	(cal_client_remove_object): ditto
	(cal_client_ensure_timezone_on_server): ditto

	* pcs/cal.c (impl_Cal_update_objects): take mod param
	(impl_Cal_remove_object): ditto

	* pcs/cal-backend.h: fix protos

	* pcs/cal-backend.c (cal_backend_update_objects): take mod param
	(cal_backend_remove_object): ditto

	* pcs/cal-backend-file.c (cal_backend_file_update_objects): take
	mod param
	(cal_backend_file_remove_object): ditto

	* cal-util/cal-util.h: add mod enum

	* cal-util/cal-recur.c (cal_recur_generate_instances_of_rule): if
	its an instance, just report the instance

	* cal-util/cal-component.h: new protos

	* cal-util/cal-component.c (cal_component_is_instance): indicate
	whether the component is an instance or not
	(cal_component_free_range): free a range

	* idl/evolution-calendar.idl: get remove and update to take mod
	type 

2003-03-03  Hans Petter Jansson  <hpj@ximian.com>

	* gui/dialogs/alarm-page.c
	* gui/dialogs/event-page.c
	* gui/dialogs/meeting-page.c
	* gui/dialogs/recurrence-page.c
	* gui/dialogs/schedule-page.c
	* gui/dialogs/task-details-page.c
	* gui/dialogs/task-page.c (get_widgets): gtk_widget_unparent() ->
	gtk_container_remove(). The former caused crashes in the
	addressbook's name-selector.

2003-03-01  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am: Do importers after the other dirs, as it relies on
	generated files from there. This is still not optimal... Should
	probably introduce dependencies.

2003-02-28  Hans Petter Jansson  <hpj@ximian.com>

	* importers/Makefile.am: Shlibify.

	* importers/GNOME_Evolution_Calendar_Importer.server.in.in:
	Shlibify.

	* importers/icalendar-importer.c: Add necessary includes.
	(importer_destroy_cb): This is now a GWeakNotify func. gtk_ -> g_.
	(ical_importer_new)
	(vcal_importer_new)
	(gnome_calendar_importer_destroy_cb): Destroy signal -> weak ref.

	* importers/main.c: Add necessary includes. Shlibify.

2003-02-28  Dan Winship  <danw@ximian.com>

	* gui/dialogs/Makefile.am: build libcal-dialogs as an uninstalled
	shared library
	($(IDL_GENERATED_H), etc): Only generate
	Evolution-Addressbook-SelectNames.h, not the corresponding .c
	files, or we'll get duplicate symbol errors trying to link this
	into libevolution_calendar.la

	* gui/Makefile.am (libevolution_calendar_la_LIBADD): Update for
	that (and eliminate libtool portability warnings)

2003-02-28  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am (SUBDIRS): Add importers/.

	* importers/Makefile.am (server_in_files)
	(server_DATA): Insert $(libexecdir).

	* importers/icalendar-importer.c (connect_to_shell):
	oaf_activate_from_id() -> bonobo_activation_activate_from_id().
	(load_vcalendar_file): U_() -> _().

	* importers/GNOME_Evolution_Calendar_Importer.server.in:
	Renamed to corresponding .in.in.

2003-02-28  Dan Winship  <danw@ximian.com>

	* gui/Makefile.am (libevolution_calendar_la_LIBADD): Remove
	libalarm.a, which was not being used by the calendar.

	* gui/main.c: Remove unneeded alarm.h include.

	* gui/alarm-notify/Makefile.am (noinst_LIBRARIES): Stop building
	libalarm.a
	(evolution_alarm_notify_SOURCES): Add alarm.c, alarm.h
	(evolution_alarm_notify_LDADD): Remove libalarm.a

2003-02-27  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/Makefile.am: link to versist libtool object

	* conduits/calendar/Makefile.am: ditto
	
2003-02-26  Hans Petter Jansson  <hpj@ximian.com>

	This makes alarm notification work.

	* gui/alarm-notify/notify-main.c (main): Initialize GTK. Don't
	initialize bonobo activation - bonobo_init() does that for us.

2003-02-26  Hans Petter Jansson  <hpj@ximian.com>

	This makes creating appointments and tasks from the "New" button work.

	* gui/main.c (comp_editor_factory_fn): Doesn't need to take any args.
	(factory): Add a handler for CompEditorFactory.

2003-02-26  Hans Petter Jansson  <hpj@ximian.com>

	Fixes Ximian #37895.

	* gui/e-day-view.c (e_day_view_destroy): g_object_unref () ->
	pango_font_description_free ().
	(e_day_view_style_set): Ditto.

	* gui/e-week-view.c (e_week_view_destroy): Ditto.

2003-02-26  Hans Petter Jansson  <hpj@ximian.com>

	Fixes Ximian #38306.

	* gui/e-itip-control.c (clean_up): Do nothing if the private structure
	has been freed. Don't call non-g_free() freers with NULL pointers.
	(destroy): Do nothing if the private structure has been freed. Clear
	pointers to freed blocks.

2003-02-25  Hans Petter Jansson  <hpj@ximian.com>

	* gui/print.c (print_calendar): Use fixed margins of 5% of page
	width/height. This is the same cheat as gtkhtml employs to get
	around the fact that GNOME_PRINT_KEY_PAGE_MARGIN_* don't return
	useful values (I think). It sort of sucks, but is better than
	no margins at all.
	(print_comp): Ditto.

2003-02-25  Hans Petter Jansson  <hpj@ximian.com>

	* gui/calendar-config.c (calendar_config_get_default_view): Get
	default view from correct key.

2003-02-25  Hans Petter Jansson  <hpj@ximian.com>

	* gui/dialogs/cal-prefs-dialog.c (get_widgets): Show start/end-of-day
	widgets.
	
2003-02-23  Hans Petter Jansson  <hpj@ximian.com>

	* cal-client/cal-client.c (cal_client_is_read_only): Don't warn
	if calendar isn't loaded... Doesn't seem to hurt, but this should
	probably be investigated further.

	* gui/dialogs/comp-editor-util.c (comp_editor_contacts_to_widget):
	If we have no contacts, don't bother trying to set them in the
	widget. Used to pass a NULL list, which would lead to much anxiety
	in callees.

	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets):
	If we have no potential organizers, emit a sensible warning.

	* gui/dialogs/task-page.c (init_widgets): Don't try to connect to
	the "changed" signal of the GtkTextView -- we listen to the
	GtkTextBuffer now.

2003-02-20  Not Zed  <NotZed@Ximian.com>

	* gui/e-itip-control.c (destroy): dont unref accounts anymore.
	(change_status): itipAddress -> EAccount.

	* gui/calendar-model.c (calendar_model_destroy): dont unref
	accounts anymore.
	(calendar_model_value_at): simplify logic using account_list_find.

	* gui/dialogs/task-editor.c (task_editor_edit_comp): use new
	itip_addresses interfaces.

	* gui/dialogs/meeting-page.c (meeting_page_construct): use new
	itip_addresses_* interfaces.  Should probably be using e_account
	directly.
	(meeting_page_finalize): dont unref the accounts list.

	* gui/dialogs/event-editor.c (event_editor_edit_comp): dont unref
	accounts anymore.

	* gui/itip-utils.c (itip_addresses_get_default): Just use
	e_account_list_get_default.
	(itip_addresses_get): dont ref the account object, just keep 1 ref
	to it.
	(find_account): remove.
	(itip_organizer_is_user): use e_account_list_find now.
	(itip_sentby_is_user): "
	(comp_limit_attendees): "

2003-02-19  Not Zed  <NotZed@Ximian.com>

	* gui/dialogs/meeting-page.c: addresses->accounts
	(meeting_page_finalize): unref accounts.

	* gui/dialogs/event-editor.c: Use EAccountList api's

	* pcs/cal-backend-util.c (cal_backend_mail_account_get): Removed,
	use a global EAccountList instead.
	(cal_backend_mail_account_get_default): Use the global
	EAccountList directly.
	(cal_backend_mail_account_is_valid): And here too.

	* gui/itip-utils.h: Removed ItipAddress structure.

	* gui/itip-utils.c (itip_addresses_get): Change it to return a
	global account object, so we dont need to duplicate all account
	info in the calendar.
	(itip_addresses_free, itip_address_free): Removed, use
	g_object_unref.
	(itip_addresses_get_default): Return an EAccount.
	(find_account): helper to lookup accounts based on name/address.
	(itip_organizer_is_user): Use helper to find account.
	(itip_sentby_is_user): "
	(comp_limit_attendees): "
	(comp_sentby): Update to use an EAccount direclty.
	(get_address): Removed, now redundant.

	* gui/e-itip-control.c: Changed priv->addresses to be accounts
	EAccountList.
	(destroy): unref accounts.
	(find_my_address): Change to use accounts list directly, also fix
	a small potential memleak.

	* gui/calendar-model.c: Change priv->addresses to be a direct
	reference to an EAccountList, renamed priv->accounts.
	(calendar_model_destroy): unref accounts.
	(calendar_model_value_at): Use EAccountList directly to lookup
	members.

	* gui/calendar-config.c (calendar_config_get_timezone)
	(calendar_config_set_timezone): Fix timezone key.
	(calendar_config_get_24_hour_format): Same for 24 hour format key.
	(calendar_config_set_24_hour_format): And here.
	(calendar_config_get_week_start_day): "
	(calendar_config_set_week_start_day): "
	(calendar_config_get_day_start_hour): "
	(calendar_config_set_day_start_hour): "
	(calendar_config_get_day_start_minute): "
	(calendar_config_set_day_start_minute): "
	(calendar_config_get_day_end_hour): "
	(calendar_config_set_day_end_hour): "
	(calendar_config_get_day_end_minute)
	(calendar_config_set_day_end_minute)
	(calendar_config_get_time_divisions)
	(calendar_config_set_time_divisions)
	(calendar_config_get_dnav_show_week_no)
	(calendar_config_set_dnav_show_week_no)
	(calendar_config_get_default_view)
	(calendar_config_set_default_view)
	(calendar_config_get_hpane_pos, calendar_config_set_hpane_pos)
	(calendar_config_get_vpane_pos, calendar_config_set_vpane_pos)
	(calendar_config_get_month_hpane_pos)
	(calendar_config_set_month_hpane_pos)
	(calendar_config_get_month_vpane_pos)
	(calendar_config_set_month_vpane_pos)
	(calendar_config_get_compress_weekend)
	(calendar_config_set_compress_weekend)
	(calendar_config_get_show_event_end)
	(calendar_config_set_show_event_end)
	(calendar_config_get_working_days)
	(calendar_config_set_working_days)
	(calendar_config_get_hide_completed_tasks)
	(calendar_config_set_hide_completed_tasks)
	(calendar_config_get_hide_completed_tasks_units)
	(calendar_config_set_hide_completed_tasks_units)
	(calendar_config_get_hide_completed_tasks_value)
	(calendar_config_set_hide_completed_tasks_value)
	(calendar_config_get_confirm_delete)
	(calendar_config_set_confirm_delete)
	(calendar_config_get_confirm_expunge)
	(calendar_config_set_confirm_expunge)
	(calendar_config_get_tasks_due_today_color)
	(calendar_config_set_tasks_due_today_color)
	(calendar_config_get_tasks_overdue_color)
	(calendar_config_set_tasks_overdue_color)
	(calendar_config_get_use_default_reminder)
	(calendar_config_set_use_default_reminder)
	(calendar_config_get_default_reminder_interval)
	(calendar_config_set_default_reminder_interval)
	(calendar_config_get_default_reminder_units)
	(calendar_config_set_default_reminder_units)
	(calendar_config_default_calendar_folder)
	(calendar_config_default_tasks_folder): Update config paths for
	new config convention, etc.

	* gui/alarm-notify/save.c (KEY_LAST_NOTIFICATION_TIME, etc):
	Updated keys to lowercase/proper path.
	(save_calendars_to_load): Store the calendars list as a gconf
	list.
	(get_calendars_to_load): Load the calendars list as a gconf list.
	(save_blessed_program): Similar, for the blessed program list.
	(is_blessed_program): Same here.

	* gui/alarm-notify/config-data.c (config_data_get_timezone): Update
	the path to the timezone key.
	(config_data_get_24_hour_format): Fix path to config option.

	* conduits/todo/todo-conduit.c (get_default_timezone): lower-case
	the timezone key.

	* conduits/calendar/calendar-conduit.c (get_default_timezone):
	lower-case the timezone key.

	* cal-client/cal-client.c (get_default_uri): Use the proper path
	to get the default folder uri's.

2003-02-23  Hans Petter Jansson  <hpj@ximian.com>

	* gui/gnome-cal.c (backend_died_cb): Appease the compiler.
	(gnome_calendar_update_paned_quanta): Don't actually try to set
	the quantum properties. The quantum code should probably go away
	entirely now that the panes update during resize, but let's keep
	it around for a bit more.

	* gui/dialogs/event-editor.c (event_editor_construct): Ref & sink
	the pages.

	* gui/dialogs/task-editor.c (task_editor_construct): Ref & sink
	the pages.

2003-02-23  Hans Petter Jansson  <hpj@ximian.com>

	* gui/cal-search-bar.c (make_suboptions): Eliminate
	e_utf8_to_gtk_string ().

	* gui/e-timezone-entry.c (e_timezone_entry_get_display_name):
	Ditto.

	* gui/calendar-model.c (date_value_to_string):
	e_utf8_from_locale_string () -> g_locale_to_utf8 ().
	(calendar_model_value_to_string): Ditto.

	* gui/e-cell-date-edit-text.c (ecd_get_text): Ditto.

	* gui/e-itip-control.c (write_label_piece): Ditto.

	* gui/print.c (format_date): Ditto.
	(print_week_view_background): Ditto.
	(print_month_summary): Ditto.
	(print_date_label): Ditto.
	(print_comp_item): Ditto.

	* gui/alarm-notify/alarm-notify-dialog.c (write_html_heading):
	Ditto.

2003-02-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/dialogs/task-details-page.c (get_widgets): Show the custom
	widgets, since libglade appears to not want to do that.

	* gui/dialogs/task-page.c (clear_widgets): Make the description
	field use a GtkTextView.
	(task_page_fill_widgets): Ditto.
	(task_page_fill_component): Ditto.
	(init_widgets): Ditto.
	(get_widgets): Show the custom widgets, since libglade doesn't do it.

2003-02-22  Hans Petter Jansson  <hpj@ximian.com>

	* pcs/cal-backend.c (cal_backend_unref_categories): Add an
	iteration statement. Fixes hang in wombat.

2003-02-22  Hans Petter Jansson  <hpj@ximian.com>

	* gui/apps_evolution_calendar.schemas: Commit fixes from
	Grzegorz Goawski <grzegol@pld.org.pl>.

2003-02-21  Hans Petter Jansson  <hpj@ximian.com>

	* gui/calendar-model.c (calendar_model_class_init): GObject, not
	GtkObject.
	(calendar_model_destroy): -> calendar_model_finalize ().

	* gui/calendar-view.c (calendar_view_class_init): GObject, not
	GtkObject.
	(calendar_view_destroy): -> calendar_view_finalize ().

	* gui/comp-editor-factory.c (comp_editor_factory_class_init):
	GObject, not GtkObject.
	(comp_editor_factory_destroy): -> comp_editor_factory_finalize ().

	* gui/e-day-view.c (e_day_view_long_event_button_press):
	gtk_signal_disconnect () -> g_signal_handler_disconnect ().
	(e_day_view_on_event_button_press): Ditto.
	(e_day_view_on_long_event_click): Ditto.
	(e_day_view_on_event_click): Ditto.
	(e_day_view_on_event_double_click): Ditto.
	(e_day_view_on_delete_appointment): Ditto.

	* gui/e-week-view.c (e_week_view_on_text_item_event):
	gtk_signal_disconnect () -> g_signal_handler_disconnect ().

	* gui/alarm-notify/alarm-notify.c (AlarmNotify_RemoveCalendar):
	Don't cast to GtkObject.

2003-02-21  Dan Winship  <danw@ximian.com>

	* cal-client/Makefile.am (libcal_client_la_LIBADD): depend on
	libcal-util, libwombat, and libeutil
	(client_test_LDADD): Remove those deps from here

	* cal-util/Makefile.am (libcal_util_la_LIBADD): depend on
	libical-evolution.la
	(test_recur_LDADD): Remove that dependency here (and an ancient
	libversit dependency).

	* gui/alarm-notify/Makefile.am (evolution_alarm_notify_LDADD):
	remove some deps

	* gui/Makefile.am (libevolution_calendar_la_LIBADD): Likewise.

2003-02-20  Hans Petter Jansson  <hpj@ximian.com>

	* gui/apps_evolution_calendar.schemas: Add GConf schemas.

	* gui/Makefile.am (EXTRA_DIST): Dist GConf schemas.
	(install-data-local): Install GConf schemas.

2003-02-20  Dan Winship  <danw@ximian.com>

	* gui/Makefile.am (libevolution_calendar_la_LIBADD):
	s/libemiscwidgets.a/libemiscwidgets.la/ and likewise for
	libetimezonedialog

2003-02-19  Ettore Perazzoli  <ettore@ximian.com>

	* pcs/Makefile.am: Split $(CORBA_GENERATED_H) rule from the
	$(CORBA_GENERATED_C) rule to that it autogens properly when using
	parallel makes.
	* cal-client/Makefile.am: Likewise.

	* gui/gnome-cal.c (gnome_calendar_setup_view_menus): Fix path to
	the calendar's GAL Views directory.  [Pointed out by Grzegorz
	Goawski.]

2003-02-11  Hans Petter Jansson  <hpj@ximian.com>

	Enable printing for calendar and tasks.

	* gui/print.c: Set default font to be "Sans". Store the PrintConfig
	globally instead of PaperInfo (which doesn't exist anymore).
	(get_font_for_size): Don't use
	gnome_font_face_find_closest_from_weight_slant() anymore, since
	it's broken. Instead, use gnome_font_face_find() and put bold- and
	italicness in the name to look for. Descenders can now be negative,
	so have to take the absolute value to get font height.
	(print_comp): Use global, persistent print configuration.
	GnomePrintDialog is now a GtkDialog. Remove manual configuration
	parameter shuffling. Set up page using new methods.
	(print_calendar): Like print_comp(). For month view, force landscape
	mode by temporarily setting it in the config, and remove the old hack.
	(print_setup): Port. I'm not sure this works, but at least it
	compiles now. How do I test this code path?
	(print_day_view): Pass NULL for page denominator.
	(print_week_view): Ditto.
	(print_month_view): Ditto.
	(print_year_view): Ditto.
	(print_comp_item): Add missing gnome_print_beginpage(). How did this
	work before?

	* gui/tasks-control.c: Store the PrintConfig globally instead of
	passing individual parameters every time. Persistent too.
	(print_title): Look for "Sans Bold" instead of "Times" with
	GNOME_FONT_BOLD property. Don't use find_closest_from_weight_slant().
	(print_tasks): Set up page using new methods. GnomePrintMaster ->
	GnomePrintJob. Get params from global config instead of args.
	(tasks_control_print_cmd): Use global, persistent print configuration.
	Remove manual portrait/landscape hack. GnomePrintDialog is now a
	GtkDialog. Set params in global config instead of passing them to
	print_tasks().
	(tasks_control_print_preview_cmd): print_tasks() now takes fewer
	args.

2003-02-11  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	Don't use gtk_scrolled_window_set_scrollbar_spacing() anymore.

2003-02-10  Hans Petter Jansson  <hpj@ximian.com>

	* pcs/cal-backend-file.c (save): Don't try to make an error string
	from an uninitialized GnomeVFSResult.

2003-02-10  Ettore Perazzoli  <ettore@ximian.com>

	* gui/Makefile.am: Make the CORBA IDL compilation work with
	parallel makes.
	* gui/dialogs/Makefile.am: Likewise.
	* gui/alarm-notify/Makefile.am: Likewise.

2003-02-07  Rodney Dawes  <dobey@ximian.com>

	* gui/alarm-notify/GNOME_Evolution_Calendar_AlarmNotify.server.in:
	remove this file, as it's generated now
	* gui/alarm-notify/GNOME_Evolution_Calendar_AlarmNotify.server.in.in:
	Add this file to generate the .server.in from, with hardcoded path
	* gui/alarm-notify/Makefile.am: Hardcode path in server file
	
2003-02-07  Rodrigo Moya <rodrigo@ximian.com>
	
	Fixes #37706

	* gui/comp-editor-factory.c (cal_opened_cb): added PERMISSION_DENIED
	case for not ending process on g_assert_not_reached.

2003-02-06  Ettore Perazzoli  <ettore@ximian.com>

	* gui/e-day-view-time-item.c
	(e_day_view_time_item_show_popup_menu): Use
	e_auto_kill_popup_menu_on_selection_done() instead of
	e_auto_kill_popup_menu_on_hide().
	* gui/dialogs/meeting-page.c (right_click_cb): Likewise.

2003-02-06  Dan Winship  <danw@ximian.com>

	* gui/dialogs/event-page.c (make_timezone_entry): show the widget
	before returning it.

	* importers/main.c (main): s/PACKAGE/GETTEXT_PACKAGE/ in gettext
	init

2003-02-05  Dan Winship  <danw@ximian.com>

	* gui/Makefile.am (INCLUDES): Remove cruft. Rename ICONSDIR to
	IMAGESDIR.
	(gladedir, etspecdir, serverdir): Remove definitions
	(libevolution_calendar_la_LDFLAGS): Remove -export-dynamic, add
	-module.
	
	* gui/calendar-config.c: #include <string.h>

	* gui/calendar-component.c (add_creatable_item):
	s/ICONSDIR/IMAGESDIR/

	* gui/comp-util.c: #include <string.h>

	* gui/e-alarm-list.c: #include e-time-utils.h
	(row_deleted): Remove unused variable.
	(e_alarm_list_append): Likewise.

	* gui/e-date-time-list.c: #include e-time-utils.h, timeutil.h,
	calendar-config.h
	(row_deleted): Remove unused variable
	(e_date_time_list_append): Likewise.

	* gui/e-day-view.c (e_day_view_unrealize): Remove unused var
	(e_day_view_style_set): Likewise.
	(e_day_view_set_event_font_cb): Likewise.

	* gui/e-day-view-time-item.c: #include <string.h>
	(e_day_view_time_item_get_column_width): Remove unused variable.

	* gui/e-itip-control.c: #include <unistd.h>
	(url_requested_cb): s/ICONSDIR/IMAGESDIR/

	* gui/e-week-view.c (e_week_view_unrealize): Remove unused variable
	(e_week_view_style_set): Likewise

	* gui/e-week-view-titles-item.c: #include string.h
	* gui/itip-bonobo-control.c: Likewise
	* gui/print.c: Likewise


	* gui/alarm-notify/Makefile.am: Use privlibexecdir.
	(INCLUDES): Remove cruft.
	(gladedir, serversdir): Remove definitions
	(evolution_alarm_notify_LDFLAGS): Remove no-longer-needed
	-export-dynamic.

	* gui/alarm-notify/alarm-notify-dialog.c (write_html_heading):
	s/ICONSDIR/IMAGESDIR

	* gui/alarm-notify/notify-main.c (main): Fix up gettext
	initialization


	* gui/dialogs/Makefile.am (INCLUDES): Remove cruft. Rename
	ICONSDIR to IMAGESDIR.
	(gladedir, etspecdir): Remove definitions

	* gui/dialogs/alarm-page.c: #include gtktreeselection.h and
	gtkcellrenderertext.h
	(append_reminder): Remove unused variable.
	(alarm_page_fill_component): Likewise.
	(alarm_page_set_summary): Likewise.
	(delete_clicked_cb): Likewise.

	* gui/dialogs/comp-editor.c (make_icon_from_comp):
	s/ICONSDIR/IMAGESDIR/

	* gui/dialogs/event-page.c: #include <string.h>

	* gui/dialogs/meeting-page.c (meeting_page_construct): Remove
	unused variable.
	(meeting_page_fill_widgets): Likewise

	* gui/dialogs/recurrence-page.c: #include gtktreeselection.h and
	gtkcellrenderertext.h
	(append_exception): Remove unused variable
	(fill_component): Likewise
	(recurrence_page_set_summary): Likewise.
	(exception_delete_cb): Likewise


	* cal-client/Makefile.am (libcal_clientincludedir): Define in
	terms of privincludedir

	* cal-client/client-test.c (main): Fix up gettext initialization

	* cal-client/cal-client.c (cal_client_construct): Likewise


	* cal-util/Makefile.am (INCLUDES): Remove cruft.
	(libcal_utilincludedir): Define in terms of privincludedir


	* pcs/Makefile.am (INCLUDES): Remove cruft.
	(pcsincludedir): Define in terms of privincludedir

	* pcs/cal-backend-file.c (cal_backend_file_finalize): Remove
	unused variable


	* importers/Makefile.am: Update this some although it's not
	currently being built

2003-02-05  Dan Winship  <danw@ximian.com>

	* gui/alarm-notify/notify-main.c (main):
	s/glade_gnome_init/glade_init/

	* gui/calendar-offline-handler.c: s/BonoboXObject/BonoboObject/

	* gui/comp-editor-factory.c: Likewise

2003-02-05  Dan Winship  <danw@ximian.com>

	* cal-util/cal-recur.c (cal_recur_nth): array of localized month
	day names ("1st" - "31st")

	* gui/dialogs/recurrence-page.c (make_recur_month_num_submenu,
	make_recur_month_num_menu, month_num_menu_selection_done_cb): Use
	the new cal_recur_nth[] array. The way this was done before didn't
	localize properly.

	From evolution-1-2-branch:

	* gui/e-itip-control.c (write_recurrence_piece): Describe
	recurrences, if we can. #30993
	(set_date_label): If the meeting has recurrences, call
	write_recurrence_piece after writing the start and end dates.
	(write_label_piece): Wrap the timezone in <font size=-1> to
	de-emphasize it a bit and try to keep the timestamp on a single
	line even with big Outlook timezone names. Add an option to show
	just the date, for describing the end of recurrences (since the
	time in the UNTIL is the *beginning* of the last instance, which
	would confuse people).
	(update_item): Set the VCALENDAR's METHOD.
	(ok_clicked_cb): Use update_item, not remove_item, to process a
	cancelation. Part of #33875.

	* pcs/cal-backend-file.c (cal_backend_file_cancel_object): New,
	handle an ICAL_METHOD_CANCEL update.
	(cal_backend_file_update_objects): Call
	cal_backend_file_update_object or cal_backend_file_cancel_object
	as appropriate.

2003-02-04  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_on_invite_others_button_draw):
	Rename to e_meeting_time_selector_on_invite_others_button_expose()
	and handle "expose-event" instead of "draw".
	(e_meeting_time_selector_construct): The "draw" signal doesn't exist
	anymore - connect to "expose-event" instead.

	* gui/dialogs/event-page.c (clear_widgets): Clear the GtkTextBuffer
	for the description.
	(event_page_fill_widgets): Use the GtkTextBuffer.
	(event_page_fill_component): Use the GtkTextBuffer.
	(init_widgets): Create a GtkTextBuffer for the GtkTextView. Set word
	wrap. Connect to the "changed" signal of the model instead of the view.

2003-02-04  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_paint_day_top): Use PangoLayout to
	draw text.

2003-02-02  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-day-view.c (e_day_view_set_event_font_cb): Skip setting the
	"font_gdk" arg for now.
	(e_day_view_update_main_canvas_drag): Ditto.

	* gui/e-week-view.c (e_week_view_style_set): Ditto.

	* gui/weekday-picker.c (configure_items): Ditto.

	* gui/dialogs/event-page.c (get_widgets): Show custom widgets
	manually, since the visibility specified in the Glade XML appears
	to not have any effect.

	* gui/dialogs/recurrence-page.c (get_widgets): Ditto.

2003-01-30 Ronald Kuetemeier <ronald@kuetemeier.com>

	Fixes #35572

	* gui/alarm-notify/alarm-queue.c: set saved_notification_time to last
	notification time when we update the config to last notification, so
	alarms will not get trigged again if a new calendar window is opened.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* conduits/todo/todo-conduit.c: CalClient and CalComponent are
	GObjects.

	* conduits/calendar/calendar-conduit.c: same.

2003-01-26  Chris Toshok  <toshok@ximian.com>

	* conduits/calendar/calendar-conduit.c (start_calendar_server):
	fix warning.
	(get_default_timezone): BonoboConfigDatabase -> e_config_listener.
	(accept_all_cookies): remove.
	(conduit_get_gpilot_conduit): remove the oaf initialization stuff.

	* conduits/todo/todo-conduit.c (start_calendar_server):
	fix warning.
	(get_default_timezone): BonoboConfigDatabase -> e_config_listener.
	(accept_all_cookies): remove.
	(conduit_get_gpilot_conduit): remove the oaf initialization stuff.

	* Makefile.am (CONDUIT_DIR): uncomment the conduit stuff.

2003-01-26  Hans Petter Jansson  <hpj@ximian.com>

	Make clicks, drags and resizes work, and pangoize remaining strings.
	Fix EText placement.

	* gui/e-day-view-top-item.c (e_day_view_top_item_draw_long_event):
	Use Pango.

	* gui/e-day-view.c (e_day_view_on_top_canvas_button_press):
	Don't add scroll offset, it's already factored in.
	(e_day_view_on_main_canvas_button_press): Ditto.
	(e_day_view_on_top_canvas_motion): Ditto.
	(e_day_view_on_main_canvas_motion): Ditto.
	(e_day_view_reshape_long_event): Don't set the "font_gdk" property.
	Its non-existence will prevent the other properties from being set as
	well.
	(e_day_view_reshape_day_event): Ditto.
	(e_day_view_update_top_canvas_drag): Ditto.
	(e_day_view_start_editing_event): ETextEventProcessor is a GObject
	now. So use g_signal_stuff.
	(e_day_view_check_auto_scroll): Factor out scroll offset before
	checking the pointer's position relative to widget.
	(e_day_view_auto_scroll_handler): Don't freeze the canvas when
	scrolling - it will fail to update the canvas. If this is not
	intended behaviour, it's a bug in the canvas, I think.
	(e_day_view_on_main_canvas_drag_motion): Factor in the scroll offset
	before checking for auto-scroll, since the function requires this.

	* gui/e-week-view.c (e_week_view_reshape_event_span): Don't set the
	"font_gdk" property. Its non-existence will prevent the other
	properties from being set as well.
	(e_week_view_start_editing_event): ETextEventProcessor is a GObject
	now. So use g_signal_stuff.

2003-01-25  Hans Petter Jansson  <hpj@ximian.com>

	Mainly making all views use PangoLayouts for text. When drawing a
	PangoLayout, the draw offset is the top left corner of the layout,
	not the text's baseline. Keep this in mind when viewing the
	changes. I'll be brief about the exact changes, since they speak
	better for themselves.

	* gui/e-day-view-time-item.c (e_day_view_time_item_get_column_width):
	Use Pango.
	(e_day_view_time_item_draw): Use Pango.

	* gui/e-day-view-top-item.c (e_day_view_top_item_draw): Use Pango.
	(e_day_view_top_item_draw_long_event): Add some FIXME text so we can
	see when this is being used. Is it in use at all?

	* gui/e-day-view.c: No longer specify an explicit X font string for
	the large font. Use the main font, and change the point size.
	(e_day_view_init): Use Pango.
	(e_day_view_style_set): Use Pango. Comment out the gdk_font setting
	for the drag text items for now.

	* gui/e-day-view.h: Use Pango.

	* gui/e-week-view-event-item.c (e_week_view_draw_time): Use Pango.

	* gui/e-week-view-main-item.c (e_week_view_main_item_draw_day):
	Use Pango.

	* gui/e-week-view-titles-item.c (e_week_view_titles_item_draw):
	Use Pango.

	* gui/e-week-view.c: No longer specify an explicit X font string for
	the small font. Use the main font, and change the point size.
	(e_week_view_init): Use Pango.
	(e_week_view_destroy): Use Pango.
	(get_string_width): Implemented for convenience.
	(get_digit_width): Implemented for convenience.
	(e_week_view_style_set): Use Pango.
	(e_week_view_recalc_cell_sizes): Use Pango.
	(e_week_view_get_time_string_width): Use Pango.

	* gui/e-week-view.h: Use Pango.

	Following are some random UTF-8 fixes and a crash fix.

	* gui/itip-utils.c (comp_description): Use g_locale_to_utf8 ().

	* gui/dialogs/comp-editor.c (make_title_from_comp): Return a
	UTF-8 string.

	* gui/dialogs/alarm-page.c (alarm_page_set_summary): Pass UTF-8
	directly to GTK.

	* gui/dialogs/delete-comp.c (delete_component_dialog): Ditto.

	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets): Ditto.
	(meeting_page_construct): Ditto.

	* gui/dialogs/recurrence-page.c (recurrence_page_set_summary): Ditto.

	* gui/dialogs/event-editor.c (event_editor_finalize): Fix crash caused
	by gtk_object_destroy()-ing a non-GtkObject.

2003-01-24  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-day-view.c (e_day_view_on_editing_stopped): Don't insist
	appointment is updated if both old and new summary are blank.

	* gui/e-week-view.c (e_week_view_on_editing_stopped): Ditto.

	* gui/e-timezone-entry.c (on_button_clicked): Timezone dialog is now
	a GtkDialog. Treat it as such.

	* gui/goto.c (ecal_event): Goto dialog is now a GtkDialog. Treat it
	as such.
	(goto_dialog): Ditto.

	* gui/goto-dialog.glade: Set the return IDs from the dialog buttons.

	* gui/dialogs/meeting-page.c (popup_delegate_cb): Enable the delegate
	dialog. It's now a GtkDialog, so treat it like one.
	(right_click_cb): Use GTK stock item, not GNOME (that doesn't work
	anymore).

	* gui/e-delegate-dialog.glade: Set the return IDs from dialog buttons.

	* gui/print.c (print_calendar): Correct the print dialog init. Code
	is still not enabled, though.

	* gui/tasks-control.c (print_tasks): Add a warning about printing
	being disabled.

2003-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/Makefile.am (iconsdir): Remove, this is now defined
	in configure.in.

	* gui/Makefile.am (iconsdir): Remove; this is now defined in
	configure.in.

	* gui/alarm-notify/Makefile.am (iconsdir): Remove; this is now
	defined in configure.in.

2003-01-23  Hans Petter Jansson  <hpj@ximian.com>

	* gui/dialogs/event-page.c (get_widgets): GTK_OBJECT -> G_OBJECT cast.
	
	* gui/dialogs/alarm-page.c (get_widgets): Ditto.

	* gui/dialogs/meeting-page.c (get_widgets): Ditto.

	* gui/dialogs/recurrence-page.c (get_widgets): Ditto.

	* gui/dialogs/schedule-page.c (get_widget): Ditto.

	* gui/dialogs/task-details-page.c (get_widget): Ditto.

	* gui/dialogs/task-page.c (get_widget): Ditto.

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct): Add a
	FIXME comment to think about.

	* gui/dialogs/comp-editor.c (comp_editor_merge_ui): Add a terminating
	NULL to the concatenation.

2003-01-23  Hans Petter Jansson  <hpj@ximian.com>

	Fixes some trivial, but distracting, warnings.

	* gui/calendar-config.c (on_timezone_set): Fix constness.

	* gui/e-timezone-entry.c (on_button_clicked): Fix constness.

	* gui/dialogs/event-page.c (contacts_changed_cb): Fix constness.

	* gui/dialogs/task-page.c (contacts_changed_cb): Fix constness.

	* gui/e-itip-control.c (start_default_server): Cast callback with
	G_CALLBACK ().

	* gui/dialogs/schedule-page.c (init_widgets): Cast callback with
	G_CALLBACK ().

	* gui/calendar-offline-handler.c (impl_dispose): Takes GObject,
	not GtkObject.
	(impl_finalize): Ditto.

	* gui/calendar-view.c (calendar_view_edit): Now takes parent window
	as second arg.

	* gui/e-meeting-model.c (select_names_ok_cb): Fix constness.
	(get_select_name_dialog): Cast callback to BonoboListenerCallbackFn.

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_options_menu_position_callback): Add the
	push_in arg to arg list. This was crash-prone before.
	(e_meeting_time_selector_autopick_menu_position_callback): Ditto.

	* gui/alarm-notify/alarm-notify-dialog.c: Include e-unicode.h.

2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* gui/Makefile.am (componentdir): Removed definition; this is now
	defined in configure.in.

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* pcs/cal-backend.c (cal_backend_ref_categories): Do not put the
	category in both the changed_categories and the categories hashes;
	fixes a double-free when finalizing the CalBackend.

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_setup_view_menus): Use
	EVOLUTION_GALVIEWSDIR.

	* gui/e-tasks.c (e_tasks_setup_view_menus): Use
	EVOLUTION_GALVIEWSDIR.

	* cal-util/Makefile.am: Install libcal-util.la in $(privlibdir)
	instead of $(libdir).

	* gui/dialogs/comp-editor.c (setup_widgets): Get
	evolution-comp-editor.xml from EVOLUTION_UIDIR.
	(comp_editor_merge_ui): Get the file in EVOLUTION_UIDIR.

	* gui/tasks-control.c (tasks_control_activate): Get
	evolution-tasks.xml from EVOLUTION_UI_DIRECTORY.

	* gui/calendar-commands.c (calendar_control_activate): Get
	evolution-calendar.xml from EVOLUTION_UI_DIRECTORY.

	* pcs/Makefile.am (pcsincludedir): Version using $(BASE_VERSION).

	* importers/Makefile.am: Install evolution-calendar-importer in
	$(libexecdir)/evolution/$(BASE_VERSION).
	(sounddir): Remove.

	* gui/dialogs/Makefile.am (iconsdir): Version using
	$(BASE_VERSION).
	(gladedir): Likewise.
	(etspecdir): Likewise.

	* gui/Makefile.am (help_base): Remove.
	(install-data-local): Do not make the $(help_base)/C directory.
	(etspecdir): Version using $(BASE_VERSION).
	(gladedir): Likewise.
	(iconsdir): Likewise.
	(INCLUDES): Update the EVOLUTION_IMAGESDIR define to be versioned,
	and add a -DEVOLUTION_GALVIEWSDIR.

	* cal-util/Makefile.am: Install evolution-alarm-notify in
	$(libexecdir)/evolution/$(BASE_VERSION).

	* cal-util/Makefile.am (libcal_utilincludedir): Version using
	$(BASE_VERSION).
	* gui/alarm-notify/Makefile.am (iconsdir): Likewise.
	(gladedir): Likewise.

	* cal-client/Makefile.am: Install libcal-client.la in privlibdir
	instead of libdir.
	(libcal_clientincludedir): Version using $(BASE_VERSION).

2003-01-18  Hans Petter Jansson  <hpj@ximian.com>

	* gui/print.c (print_calendar): Create a GnomePrintDialog,
	not a GnomePrinterDialog. They're different things. Patch from
	Chema.

2003-01-17  Dan Winship  <danw@ximian.com>

	* pcs/cal-backend.c: Move some non-file-backend-specific stuff
	from cal-backend-file here so it can be shared with other
	backends.
	(CalBackendPrivate): add this, containing the categories hashes
	and the (formerly public) clients list.
	(cal_backend_init, cal_backend_finalize): Handle backend->priv.
	(cal_destroy_cb): Simplify this (and redo it as a weak notify
	func)
	(cal_backend_add_cal): Keep a weak ref on the cal rather than
	connecting to its "destroy" signal. Call notify_categories_changed
	to let the new cal know about them.
	(get_object): Default implementation of cal_backend_get_object.
	that calls cal_component_get_as_string on the return value of
	cal_backend_get_object_component.
	(cal_backend_notify_mode, cal_backend_notify_update,
	cal_backend_notify_remove, cal_backend_notify_error): Notify each
	Cal about something.
	(cal_backend_ref_categories, cal_backend_unref_categories):
	Maintain a list of categories that are used by components in the
	backend, and trigger categories_changed notifications as needed.

	* pcs/cal-backend-file.c: Remove stuff that was moved to
	CalBackend (notify funcs, category handling, get_object
	implementation)

2003-01-16  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-alarm-list.[ch]: Implement EAlarmList as CalComponentAlarm
	list with a GtkTreeModel interface.

	* gui/Makefile.am: Add e-alarm-list.[ch].

	* gui/dialogs/alarm-page.[ch]: Use GtkTreeView with the new
	EAlarmList as model for the alarm list. Update copyright.

	* gui/dialogs/recurrence-page.[ch]: Update copyright.
	(free_exception_date_time): Removed.
	(fill_exception_widgets): Kill a lingering clist operation.

2003-01-15  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	Create accel groups for popup menus. Fixes crash.

	* gui/e-date-time-list.[ch]: Implement EDateTimeList as
	CalComponentDateTime list with a GtkTreeModel interface.

	* gui/Makefile.am: Add e-date-time-list.[ch]. 

	* gui/dialogs/recurrence-page.c: Use GtkTreeView with the new
	EDateTimeList as model for the exception list.

	* gui/e-day-view.c: Silence warnings caused by missing casts.

	* gui/e-week-view.c: Silence warnings caused by missing casts.

2003-01-15  Rodney Dawes  <dobey@ximian.com>

	* gui/Makefile.am: Added libevolution_calendar_la_LDFLAGS, and
	avoid versioning the shlib component
	
2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* cal-client/Makefile.am (CORBA_SOURCES_GENERATED): Renamed from
	CORBA_GENERATED.
	(CORBA_GENERATED): New, put both $(CORBA_SOURCES_GENERATED) and
	$(CORBA_HEADERS_GENERATED) in it.
	(BUILT_SOURCES): Put $(CORBA_GENERATED) in here.

2003-01-14  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-calendar-table.c (tasks_popup_menu): Cast signal handlers
	to GtkSignalFunc, avoid warnings.

	* gui/gnome-cal.c (set_view): Only set view ID if we have an instance.

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* cal-util/Makefile.am (EXTRA_DIST): cal-util-marshal.list.

	* Makefile.am: Comment out the CONDUIT_DIR stuff for now.

2003-01-14  Rodney Dawes  <dobey@ximian.com>

	* gui/gnome-cal.c: Use GtkPaned instead of EPaned
	
2003-01-14  Hans Petter Jansson  <hpj@ximian.com>

	* gui/e-day-view.c (e_day_view_init): Work around canvas crashes
	by ensuring rectangles have an initial width.

2003-01-13  Ettore Perazzoli  <ettore@ximian.com>

	* gui/config-control-factory.h: Removed.
	* gui/config-control-factory.c: Removed.

	* gui/itip-bonobo-control.c: Renamed from itip-control-factory.c.
	(itip_bonobo_control_new): New.
	(itip_control_factory_init): Removed.

	* gui/itip-bonobo-control.h: Renamed from itip-control-factory.h.

	* gui/tasks-control-factory.c: Removed.
	* gui/tasks-control-factory.h: Removed.

	* gui/control-factory.c (control_factory_init): Removed.

	* gui/Makefile.am: Updated to build everything as
	libevolution-calendar.so and install in the COMPONENTDIR.

	* gui/GNOME_Evolution_Calendar.server.in.in: Updated to build the
	component as a shared library.

	* gui/main.c (main): Removed.

	* gui/calendar-component.c (calendar_component_get_object): New.
	(owner_set_cb): Do not store the shell pointer in shells.
	(owner_unset_cb): Do not remove the shell pointer from shells;
	instead, just set global_shell_client to NULL.

	* gui/calendar-component.h: Renamed from component-factory.h.
	* gui/calendar-component.c: Renamed from component-factory.c.

2003-01-10  Ettore Perazzoli  <ettore@ximian.com>

	* importers/icalendar-importer.c (connect_to_shell):
	CORBA_Object_release() the CORBA shell.

2003-01-09  Dan Winship  <danw@ximian.com>

	* gui/dialogs/recurrence-page.c (make_recur_month_num_submenu,
	make_recur_month_num_menu, month_num_menu_selection_done_cb): Use
	the new cal_recur_nth[] array. The way this was done before didn't
	localize properly.

	* cal-util/cal-recur.c (cal_recur_nth): array of localized month
	day names ("1st" - "31st")

	* cal-util/cal-component.c (cal_component_set_recurid): Allow
	recur_id to be NULL to clear the recurrence id. (Based on a story
	by JP on evolution-1-2-recurid-branch)

	* gui/print.c: Remove unused gnome-print-copies.h #include

	* pcs/query.c (query_new): Use g_object_weak_ref rather than
	connecting to "destroy" (which doesn't actually exist on a
	CalBackend)
	(backend_destroyed_cb): Update prototype.

2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/alarm-notify/Makefile.am: Icons are now in
	$(datadir)/evolution/images instead of
	$(datadir)/images/evolution.
	* gui/Makefile.am: Likewise.
	* gui/dialogs/Makefile.am: Likewise.

2003-01-06  Dan Winship  <danw@ximian.com>

	* idl/Makefile.am: remove idldir definition. (It's defined in
	configure.in now)

2002-12-19  Hans Petter Jansson  <hpj@ximian.com>

	* gui/calendar-commands.c (calendar_control_deactivate):
	Replace gtk_signal_disconnect_by_data() with
	g_signal_handlers_disconnect_matched(). Former takes GtkObject,
	latter takes GObject.

	* gui/calendar-model.c (calendar_model_destroy): Ditto.
	(update_query): Ditto.
	(calendar_model_set_cal_client): Ditto.

	* gui/e-day-view.c (e_day_view_destroy): Ditto.
	(update_query): Ditto.
	(e_day_view_set_cal_client): Ditto.

	* gui/e-tasks.c (query_eval_error_cb): Ditto.
	(query_query_done_cb): Ditto.

	* gui/e-week-view.c (e_week_view_destroy): Ditto.
	(update_query): Ditto.
	(e_week_view_set_cal_client): Ditto.

	* gui/gnome-cal.c (update_query): Ditto.
	(gnome_calendar_destroy): Ditto.

	* gui/tasks-control.c (tasks_control_deactivate): Ditto.

	* gui/e-comp-editor-registry.c (foreach_close_cb): Replace
	gtk_signal_handler_(un)block_by_data() with
	g_signal_handlers_(un)block_matched(). Former takes GtkObject, latter
	takes GObject.

	* gui/dialogs/alarm-page.c (alarm_page_get_type): Replace with
	E_MAKE_TYPE().
	(alarm_page_class_init): Use GObject as base class instead of
	GtkObject, and set up finalization instead of destroy handler.
	(alarm_page_destroy): Change to alarm_page_finalize() and assume
	parent is GObject, not GtkObject.
	(alarm_page_new): Use g_object_new(), not gtk_type_new().

	* gui/dialogs/event-page.c: Same general changes as above file.
	(update_time): Replace gtk_signal_handler_(un)block_by_data()
	with g_signal_handlers_(un)block_matched().
	(clear_widgets): Ditto.
	(times_updated): Ditto.

	* gui/dialogs/recurrence-page.c: Same general changes as above file.
	(clear_widgets): Replace gtk_signal_handler_(un)block_by_data()
	with g_signal_handlers_(un)block_matched().
	(append_exception): Ditto.
	(fill_ending_date): Ditto.
	(recurrence_page_fill_widgets): Ditto.

	* gui/dialogs/comp-editor.c: Same general changes as above file.
	(comp_editor_finalize): Replace gtk_signal_disconnect_by_data()
	with g_signal_handlers_disconnect_matched().
	(comp_editor_remove_page): Ditto.

	* gui/dialogs/event-editor.c: Same general changes as above file.
	* gui/dialogs/meeting-page.c: Same general changes as above file.
	* gui/dialogs/schedule-page.c: Same general changes as above file.
	* gui/dialogs/task-details-page.c: Same general changes.
	* gui/dialogs/task-editor.c: Same general changes as above file.
	* gui/dialogs/task-page.c: Same general changes as above file.
	* gui/dialogs/e-delegate-dialog.c: Same general changes.

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/e-itip-control.c (write_html): Use camel_text_to_html()
	instead.

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/e-itip-control.c (write_html): Correctly convert text.value
	into HTML here (ie, don't pass "<i>None</i>" into e_text_to_html()
	if text.value is NULL).

2002-12-06  Rodrigo Moya <rodrigo@ximian.com>
                                                                                                
        Fixes #35003

	* gui/misc.[ch] (get_uri_without_password): new function for
	removing the password from the CalClient's uris.

	* gui/gnome-cal.c (client_cal_opened_cb): use the URI returned by
	get_uri_without_password for messages.
	(backend_error_cb): likewise.
	(backend_died_cb): likewise.
	(gnome_calendar_open): likewise.
	(open_error, method_error, permission_error): likewise.

	* gui/e-tasks.c (e_tasks_open): hide the password from the URI
	being displayed in messages.
	(backend_error_cb): likewise.

2002-12-06  Hans Petter Jansson  <hpj@ximian.com>

	* cal-client/cal-query.c (cal_query_done_status_enum_get_type):
	Implement GType for this enumeration.
	(cal_query_class_init): Use the enumeration instead of the
	abstract one.

	* cal-client/cal-query.h: Add type macro and proto for enum.

2002-12-06  Hans Petter Jansson  <hpj@ximian.com>

	* gui/component-factory.c (create_view): Pass the env argument to
	bonobo_control_set_property ().

	* gui/e-meeting-model.c (class_init): We're no longer derived from
	GtkObject, so use GObject class methods instead. destroy->finalize.
	(destroy): Zapped.
	(finalize): Implement based on old destroy ().

2002-12-06  Hans Petter Jansson  <hpj@ximian.com>

	* cal-client/cal-client.c (cal_client_open_status_enum_get_type):
	Create a non-abstract enumeration type derived from GEnum.
	(cal_client_set_mode_status_enum_get_type): Ditto.
	(cal_mode_enum_get_type): Ditto.
	(cal_client_class_init): Use our enumerations and not the abstract
	one.
	(cal_client_finalize): Don't destroy factories, since the CalClient
	doesn't own them anymore. They're shared between CalClients now.
	(get_factories): Implement. Move the factory setup code here from
	cal_client_construct (), and cache the factories. This is hopefully
	temporary, until wombat goes away or is fixed.
	(cal_client_construct): Most of the code moved to get_factories ().

	* cal-client/cal-client.h: Add enumeration type macros and protos.

	* gui/cal-search-bar.c (cal_search_bar_get_type): Removed in favour
	of E_MAKE_TYPE, which uses GObject calls.
	(cal_search_bar_class_init): Use g_type_class_peek_parent ().

	* gui/calendar-model.c (calendar_model_get_type):
	(calendar_model_class_init): Ditto, like above file.
	* gui/calendar-view.c (calendar_view_get_type):
	(calendar_view_class_init): Ditto.
	* gui/e-calendar-table.c (e_calendar_table_get_type):
	(e_calendar_table_class_init): Ditto.
	* gui/e-comp-editor-registry.c (e_comp_editor_registry_get_type):
	(class_init): Ditto.
	* gui/e-day-view-main-item.c (e_day_view_main_item_get_type):
	(e_day_view_main_item_class_init): Ditto.
	* gui/e-day-view-time-item.c (e_day_view_time_item_get_type):
	(e_day_view_time_item_class_init): Ditto.
	* gui/e-day-view-top-item.c (e_day_view_top_item_get_type):
	(e_day_view_top_item_class_init): Ditto.
	* gui/e-day-view.c (e_day_view_get_type):
	(e_day_view_class_init): Ditto.
	* gui/e-itip-control.c (e_itip_control_get_type):
	(class_init): Ditto.
	* gui/e-meeting-attendee.c (e_meeting_attendee_get_type):
	(class_init): Ditto.
	* gui/e-meeting-model.c (e_meeting_model_get_type):
	(class_init): Ditto.
	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_get_type):
	(e_meeting_time_selector_item_class_init): Ditto.
	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_get_type):
	(e_meeting_time_selector_class_init): Ditto.
	* gui/e-timezone-entry.c (e_timezone_entry_get_type):
	(e_timezone_entry_class_init): Ditto.
	* gui/e-week-view-event-item.c (e_week_view_event_item_get_type):
	(e_week_view_event_item_class_init): Ditto.
	* gui/e-week-view-main-item.c (e_week_view_main_item_get_type):
	(e_week_view_main_item_class_init): Ditto.
	* gui/e-week-view-titles-item.c (e_week_view_titles_item_get_type):
	(e_week_view_titles_item_class_init): Ditto.
	* gui/gnome-cal.c (gnome_calendar_get_type):
	(gnome_calendar_class_init): Ditto.
	* gui/weekday-picker.c (weekday_picker_get_type):
	(weekday_picker_class_init): Ditto.

	* gui/e-week-view.c (e_week_view_get_type):
	(e_week_view_class_init): Ditto, but parent_class init was moved
	from get_type() to class_init().

	* gui/calendar-view-factory.c (calendar_view_factory_get_type):
	(calendar_view_factory_class_init): Ditto, and set up finalize
	callback instead of destroy.
	(calendar_view_factory_finalize): It's a GObject, so implement this.
	(celendar_view_factory_destroy): Move code to _finalize() and remove.

	* gui/main.c (init_bonobo): Remove extraneous bonobo_activation_init().

2002-11-27  Not Zed  <NotZed@Ximian.com>

	* gui/itip-utils.[ch]: run fix.sh over this.

	* gui/dialogs/*.[ch]: run fix.sh over all of this.

2002-11-26  Richard Li <Richard.Li@Sun.COM>

	* cal-client/cal-client.c (cal_client_construct): removed extra call
	to CORBA_exception_init.

2002-11-22  Not Zed  <NotZed@Ximian.com>

	* gui/dialogs/delete-comp.c (delete_component_dialog): Changed
	e_messagebox -> gtk_messagedialog.

2002-11-21  Not Zed  <NotZed@Ximian.com>

	* gui/component-factory.c (create_view): pass type to
	bonobo_control_set_property.

2002-11-20  Not Zed  <NotZed@Ximian.com>

	* gui/Makefile.am (EXTRA_DIST): fix typo, servers_in_files ->
	server_in_files.

2002-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Added rule to generate
	GNOME_Evolution_Calendar.server.in from
	GNOME_Evolution_Calendar.server.in.in, substituting @LIBEXECDIR@.
	Also, install evolution-calendar in $libexecdir instead of
	$bindir.

	* gui/GNOME_Evolution_Calendar.server.in.in: Renamed from
	GNOME_Evolution_Calendar.server.in.  Prepended the executable name
	with @LIBEXECDIR@.

2002-11-19  Not Zed  <NotZed@Ximian.com>

	* gui/e-meeting-model.c (get_select_name_dialog): pass type to
	bonobo_widget::set_property.
	(select_names_ok_cb): ", for get_property.

	* gui/dialogs/e-delegate-dialog.c (e_delegate_dialog_construct):
	pass type to bonobo_widget::set_property & plug small leak.
	(e_delegate_dialog_get_delegate): ", for get_property.
	(e_delegate_dialog_get_delegate_name): "

	* gui/dialogs/comp-editor-util.c (comp_editor_contacts_to_widget):
	pass type to bonobo_widget::set_property.
	(comp_editor_contacts_to_component): ", for get_property

2002-11-16  Chris Toshok  <toshok@ximian.com>

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_style_set):
	use new e_table_header_compute_height signature.

2002-11-15  Rodney Dawes  <dobey@ximian.com>

	* gui/component-factory.c: Use bonobo_main_quit instead of gtk
	
2002-11-13  Federico Mena Quintero  <federico@ximian.com>

	* cal-client/cal-query.c: #include <string.h>
	(obj_removed_cb): Fixed prototype.

	* cal-client/cal-client.c (get_objects_atomically): Fix use of
	g_signal_handler_disconnect().

	* cal-client/client-test.c (create_client): Add G_CALLBACK casts.

2002-11-12  Federico Mena Quintero  <federico@ximian.com>

	* pcs/cal-backend-util.c: #include <string.h>

	* pcs/cal.c: Fixed prototypes of the CORBA method implementations.

	* pcs/cal-backend-file.c (cal_backend_file_dispose): Added a
	dispose method.
	(cal_backend_file_get_free_busy): Converted to use EConfigListener
	rather than BonoboConfigDatabase.

	* gui/alarm-notify/alarm-notify.c: #include <string.h>, fix use of
	g_hash_table_lookup_extended().

	* gui/alarm-notify/alarm-notify-dialog.c: Substitute deprecated
	GTK+ functions for new ones.

	* gui/alarm-notify/alarm-queue.c: Likewise.

	* gui/alarm-notify/notify-main.c: #include <string.h>,
	<gtk/gtkmain.h>.

	* gui/alarm-notify/save.c: #include <string.h>.

2002-11-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-commands.c (calendar_control_deactivate): Use
	g_object_set_data(..., NULL) instead of gtk_object_remove_data().

	* gui/calendar-commands.c: Use g_object_{set,get}_* functions
	instead of gtk_object_{set,get}_*.
	* gui/calendar-commands.c: Likewise.
	* gui/calendar-config.c: Likewise.
	* gui/control-factory.c: Likewise.
	* gui/e-calendar-table.c: Likewise.
	* gui/e-comp-editor-registry.c: Likewise.
	* gui/e-day-view-main-item.c: Likewise.
	* gui/e-day-view-time-item.c: Likewise.
	* gui/e-day-view-top-item.c: Likewise.
	* gui/e-day-view.c: Likewise.
	* gui/e-meeting-attendee.c: Likewise.
	* gui/e-meeting-model.c: Likewise.
	* gui/e-meeting-time-sel-item.c: Likewise.
	* gui/e-meeting-time-sel.c: Likewise.
	* gui/e-week-view-event-item.c: Likewise.
	* gui/e-week-view-layout.c: Likewise.
	* gui/e-week-view-main-item.c: Likewise.
	* gui/e-week-view-titles-item.c: Likewise.
	* gui/e-week-view.c: Likewise.
	* gui/gnome-cal.c: Likewise.
	* gui/print.c: Likewise.

2002-11-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-commands.c: Use g_object_ref()/g_object_unref()
	instead of gtk_object_ref/gtk_object_unref().
	* gui/calendar-config.c: Likewise.
	* gui/calendar-model.c: Likewise.
	* gui/comp-editor-factory.c: Likewise.
	* gui/comp-util.c: Likewise.
	* gui/e-calendar-table.c: Likewise.
	* gui/e-day-view.c: Likewise.
	* gui/e-itip-control.c: Likewise.
	* gui/e-meeting-model.c: Likewise.
	* gui/e-meeting-time-sel.c: Likewise.
	* gui/e-tasks.c: Likewise.
	* gui/e-timezone-entry.c: Likewise.
	* gui/e-week-view.c: Likewise.
	* gui/gnome-cal.c: Likewise.
	* gui/goto.c: Likewise.
	* gui/itip-utils.c: Likewise.
	* gui/print.c: Likewise.
	* gui/tasks-control.c: Likewise.
	* gui/tasks-migrate.c: Likewise.

	* gui/cal-search-bar.c: Use g_object_new() instead of
	gtk_type_new().
	* gui/calendar-model.c: Likewise.
	* gui/calendar-view-factory.c: Likewise.
	* gui/calendar-view.c: Likewise.
	* gui/calendar-view.c: Likewise.
	* gui/comp-editor-factory.c: Likewise.
	* gui/e-calendar-table.c: Likewise.
	* gui/e-cell-date-edit-text.c: Likewise.
	* gui/e-comp-editor-registry.c: Likewise.
	* gui/e-day-view.c: Likewise.
	* gui/e-itip-control.c: Likewise.
	* gui/e-meeting-attendee.c: Likewise.
	* gui/e-meeting-attendee.c: Likewise.
	* gui/e-meeting-model.c: Likewise.
	* gui/e-meeting-time-sel.c: Likewise.
	* gui/e-tasks.c: Likewise.
	* gui/e-timezone-entry.c: Likewise.
	* gui/e-week-view.c: Likewise.
	* gui/gnome-cal.c: Likewise.
	* gui/weekday-picker.c: Likewise.

	* gui/e-itip-control.c (get_servers): g_object_unref the
	shell_client instead of using bonobo_object_unref().

	* gui/component-factory.c (owner_set_cb): Use
	evolution_shell_client_corba_objref() instead of
	bonobo_object_corba_objref().

2002-11-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-commands.c: Use g_signal_connect() instead of
	gtk_signal_connect().
	* calendar-commands.c: Likewise.
	* calendar-config.c: Likewise.
	* calendar-model.c: Likewise.
	* comp-editor-factory.c: Likewise.
	* component-factory.c: Likewise.
	* control-factory.c: Likewise.
	* e-calendar-table.c: Likewise.
	* e-comp-editor-registry.c: Likewise.
	* e-day-view-time-item.c: Likewise.
	* e-day-view.c: Likewise.
	* e-itip-control.c: Likewise.
	* e-meeting-model.c: Likewise.
	* e-meeting-time-sel.c: Likewise.
	* e-tasks.c: Likewise.
	* e-timezone-entry.c: Likewise.
	* e-week-view.c: Likewise.
	* gnome-cal.c: Likewise.
	* goto.c: Likewise.
	* tasks-control.c: Likewise.
	* tasks-migrate.c: Likewise.
	* weekday-picker.c: Likewise.

2002-11-08  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-offline-handler.c
	(calendar_offline_handler_class_init): GObjectified.
	(impl_finalize): Finalize impl.
	(impl_dispose): Dispose impl.
	(calendar_offline_handler_new): Use g_object_new().
	(backend_cal_opened): use g_signal_connect() instead of
	gtk_signal_connect().
	(backend_go_offline): Likewise.
	(backend_cal_opened): g_object_unref() instead of
	gtk_object_unref().
	(backend_go_offline): Likewise.

2002-11-08  Rodrigo Moya <rodrigo@ximian.com>

	* importers/evolution-calendar-importer.h: use GLib macros.

	* importers/main.c (init_importer): use bonobo_generic_factory_new,
	not bonobo_generic_factory_new_multi.
	(main): don't use libgnome functions.

2002-11-07  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/client-test.c: don't use GTK, we don't need it.

2002-11-07  JP Rosevear  <jpr@ximian.com>

	* Initial port of gui/ subdir to GNOME 2

2002-11-07  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c: removed non-existant headers.

	* importers/Makefile.am: changes for BonoboActivation.

	* gui/GNOME_Evolution_Calendar.server.in: install to $libdir, not
	$datadir.

2002-11-07  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/query-listener.[ch]: converted to BonoboObject.

	* gui/dialogs/comp-editor-util.c (parse_contact_string): use glib's
	g_utf8_strchr.

	* gui/dialogs/delete-comp.c: removed non-existant headers. Use
	GtkStock instead of GnomeStock.

	* gui/dialogs/e-delegate-dialog.c: converted to BonoboActivation.
	(e_delegate_dialog_construct): adapted to changes in glade_xml_new.

2002-11-07  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal.[ch]: converted to BonoboObject.
	(impl_Cal_get_query): bonobo_object_unref the query returned by
	cal_backend_get_query if we can't duplicate it.

	* pcs/query.[ch]:
	* pcs/cal-factory.[ch]: converted to BonoboObject.

	* pcs/query-backend.[ch]:
	* pcs/cal-backend-file.[ch]:
	* pcs/cal-backend.[ch]: GObjectify.

2002-11-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/cal-prefs-dialog.c: #include gtkoptionmenu.h.
	(cal_prefs_dialog_new): adapted to changes in glade_xml_new.

	* gui/dialogs/event-page.h:
	* gui/dialogs/meeting-page.h:
	* gui/dialogs/recurrence-page.h:
	* gui/dialogs/schedule-page.h:
	* gui/dialogs/task-details-page.h:
	* gui/dialogs/task-page.h:
	* gui/cal-prefs-dialog.h: use correctly the macros.

	* gui/dialogs/cancel-comp.c:
	* gui/dialogs/changed-comp.c:
	* gui/dialogs/comp-editor-page.c:
	* gui/gnome-cal.h: removed non-existent headers.

	* gui/dialogs/comp-editor.c: remove non-existent headers.
	(close_dialog): gtk_widget_destroy the widget.
	(setup_widgets, comp_editor_merge_ui): use BonoboWindow correctly.
	(comp_editor_set_cal_client, comp_editor_send_comp,
	 comp_editor_edit_comp): use G_OBJECT_GET_CLASS for
	getting the class of an object.

	* gui/dialogs/comp-editor-page.c (comp_editor_page_class_init):
	use g_signal_* functions.

	* gui/dialogs/comp-editor-util.c: converted to BonoboActivation.

	* gui/dialogs/comp-editor.h: #include bonobo-window.h, not
	bonobo-win.h.

2002-11-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/GNOME_Evolution_Calendar_AlarmNotify.server.in:
	* gui/GNOME_Evolution_Calendar.server.in: renmaed .oaf.in files.

	* gui/alarm-notify/Makefile.am:
	* gui/Makefile.am: fixed rules for .server files.

2002-11-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/comp-editor-util.[ch]
	(comp_editor_connect_contacts_changed): don't return a
	Bonobo_EventSource_ListenerId, since it does not exist anymore,
	and was not even being used.

	* gui/e-timezone-entry.h: use GLib macros.

	* gui/dialogs/*.glade:
	* gui/alarm-notify/*.glade:
	* gui/*.glade: converted to Glade2 format.

2002-11-05  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/alarm-options.c (alarm_options_dialog_run): adapted to
	to new glade_xml_new signature.

	* gui/calendar-model.h:
	* gui/dialogs/comp-editor-page.h:
	* gui/dialogs/alarm-page.[ch]: removed non-existant header files.

	* gui/dialogs/comp-editor-util.h: added missing headers.

2002-11-05  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend.c: use libxml2 headers.

	* gui/alarm-notify/Makefile.am:
	* gui/dialogs/Makefile.am:
	* gui/Makefile.am: s/XML_I18N/INTLTOOL. Fixed execution of
	$(ORBIT_IDL).

	* gui/alarm-notify/alarm-notify.[ch]: converted to BonoboObject.

	* gui/alarm-notify/alarm-notify-dialog.c: compilation fixes.
	(alarm_notify_dialog): adapted to new glade_xml_new signature.

	* gui/alarm-notify/alarm-queue.c: ported to BonoboActivation and
	GtkStock and GtkDialog.

	* gui/alarm-notify/notify-main.c: ported to BonoboActivation and
	use GObject functions instead of GtkObject ones.

	* gui/alarm-notify/save.h: removed BonoboConfig related functions.

	* gui/alarm-notify/config-data.c: use GObject functions instead of
	GtkObject ones.

	* TODO.port: added file for keeping track of disabled things while we
	port.

2002-11-04  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util-marshal.list: added new marshallers.

	* cal-client/cal-client.c (get_objects_atomically): fixed calls to
	g_signal_handler_disconnect_by_func.
	(cal_client_class_init): fixed typos.

	* cal-client/cal-client-multi.[ch]:
	* cal-client/cal-client-types.c:
	* cal-client/cal-query.[ch]: ported to GObject.

	* cal-client/cal-listener.[ch]: converted to BonoboObject.

	* cal-client/Makefile.am:
	* pcs/Makefile.am: fixed flags for orbit-idl

2002-11-04  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/Makefile.am:
	* cal-util/cal-util-marshal.list: added marshallers.

	* cal-client/cal-client.[ch]: ported to GObject.

2002-11-04  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-component.[ch]: ported to GObject.

	* cal-util/cal-util.c (cal_util_generate_alarms_for_comp): use
	g_object_* instead of gtk_object_*.

2002-11-03  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (get_default_uri): use EConfigListener
	instead of BonoboConfig.

	* cal-client/cal-client.c:
	* cal-client/cal-listener.[ch]:
	* cal-client/query-listener.c: warning free.

2002-11-03  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-util.[ch]: don't use BonoboConfig, but
	EConfigListener.

	* gui/calendar-config.c: use /apps/Evolution prefix for all
	configuration keys.

2002-10-31  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-component.[ch]:
	* cal-util/cal-recur.h:
	* cal-util/cal-util.[ch]:
	* cal-client/cal-client.h:
	* cal-client/cal-client-multi.h:
	* cal-client/cal-client-types.[ch]:
	* cal-client/cal-listener.h
	* cal-client/cal-query.[ch]:
	* cal-client/query-listener.h:
	* pcs/cal.h:
	* pcs/cal-backend.[ch]:
	* pcs/cal-backend-file.h:
	* pcs/cal-backend-util.h:
	* pcs/cal-common.h:
	* pcs/cal-factory.h:
	* pcs/query.[ch]:
	* pcs/query-backend.[ch]: started GNOME 2 porting.
	cal-util, cal-client and pcs compiled ok.

	* cal-client/cal-client.c (cal_client_construct):
	* pcs/cal-factory.c: use b-a instead of OAF and bonobo-config
	instead of bonobo-conf.

2002-10-29  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (backend_died_cb): cleaned up the status bar
	messages for all widgets.

2002-10-24  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-itip-control.c (init): initialize new values
	(clean_up): free new values
	(find_my_address): if we have a delegator address, use it instead
	(write_html): display delegator info to user
	(show_current_event): if we have a calendar uri, use that and
	describe the event differently
	(show_current_todo): ditto
	(show_current): search for delegator X properties
	(e_itip_control_set_delegator_address): accessor
	(e_itip_control_get_delegator_address): ditto
	(e_itip_control_set_delegator_name): ditto
	(e_itip_control_get_delegator_name): ditto
	(e_itip_control_set_calendar_uri): ditto
	(e_itip_control_get_calendar_uri): ditto

	* gui/e-itip-control.h: add protos

	* gui/itip-utils.c (comp_from): use the first attendee as the from
	address for things other than request, cancel and add (use
	organizer) and publish (use default address)

2002-10-23  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #32613

	* gui/component-factory.c (sc_user_create_new_item_cb): use the
	default calendar/tasks folder to activate the component editor.
	(get_data_uri): deal correctly with the URIs being used.

2002-10-23  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (show_current): fix warning

2002-10-22  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #32371

	* pcs/query.c (start_cached_query_cb): CORBA_exception_init the
	CORBA_Environment before using it.
	
2002-10-22  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-factory.c (lookup_backend): use NULL for pointer instead of
	FALSE.

2002-10-22  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (get_address): use e_config_listener_* to get
	values
	(itip_addresses_get): ditto
	(itip_addresses_get_default): ditto

	* gui/calendar-model.c (calendar_model_value_to_string): don't
	send back a null string (affects if it is the group header)
	(calendar_model_init): pre load config database info so we don't
	do corba calls during draws

	Fixes #32276
	
2002-10-17  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_construct): fix c/p type

2002-10-17  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/recurrence-page.c (fill_ending_date): if the value
	is a datetime, convert it to a date

	* gui/itip-utils.c (comp_compliant): convert an UNTIL date value
	to a datetime value

	* cal-util/cal-component.c (cal_component_has_simple_recurrence):
	check to see if the component recurrences meet our definition of
	"simple"

	* cal-util/cal-component.h: new proto

2002-10-17  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/recurrence-page.c (fill_component): changed to have a
	gboolean return type, which is what it's supposed to do.
	(recurrence_page_fill_component): return the result from
	fill_component.

	* gui/dialogs/comp-editor-page.h: fixed typo in function prototype.

2002-10-11  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c
	(gnome_calendar_on_date_navigator_selection_changed): try to
	preserve the work week view setting if it makes sense
	(set_view): don't update the info again based on our view change
	call

	Fixes #16036
	
2002-10-08  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #11434
	
	* gui/dialogs/comp-editor-page.[ch]
	(comp_editor_page_display_validation_error): new function.
	
	* gui/dialogs/event-page.c (event_page_fill_component):
	* gui/dialogs/recurrence-page.c (fill_component):
	* gui/dialogs/task-details-page.c (task_details_page_fill_component):
	* gui/dialogs/task-page.c (task_page_fill_component): added
	checks for all date values, and return FALSE if we find
	some invalid date/times.
	
	* gui/dialogs/comp-editor.c (save_comp): activate the page that
	returns error in fill_component.

2002-10-08  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/cal-prefs-dialog.c
	(cal_prefs_dialog_create_time_edit): set the 24 hour format
	initially

	Fixes #31812
	
2002-10-08  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-week-view.c: remove pilot settings from contextual menu

	* gui/e-day-view.c: ditto

2002-10-07  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #31774

	* gui/dialogs/alarm-options.c (dalarm_widgets_to_alarm,
	palarm_widgets_to_alarm): use correct pointer in loop.

2002-10-07  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/cal-prefs-dialog.c (setup_changes): cast the correct
	item

2002-10-07  Rodrigo Moya <rodrigo@ximian.com>

	Fixes crash in #19159

	* gui/alarm-notify/alarm-queue.c (lookup_queued_alarm): don't crash if
	we don't find the queued alarm in the internal list.
	(alarm_trigger_cb, create_snooze, display_notification,
	 audio_notification, procedure_notification, remove_queued_alarm):
	check return value from lookup_queued_alarm.

2002-10-04  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #15892

	* idl/evolution-calendar.idl: added notifyErrorOccurred method to
	the Listener interface, so that backends can notify clients of errors
	that can't be reported otherwise.

	* pcs/cal.[ch] (cal_notify_error): new function.

	* pcs/cal-backend-file.c (save): made to save to temporary file and
	then moved to the correct file, so that we don't lose any data if
	there's a problem while saving.
	(notify_error): new function for notifying error messages to clients.

	* cal-client/cal-listener.[ch]: added new callback function for getting
	error messages from backends.
	(impl_notifyErrorOccurred): new method implementation.
	(cal_listener_class_init): initialize new epv member.
	(cal_listener_init, cal_listener_destroy, cal_listener_construct,
	 cal_listener_new): initialize new function pointer.

	* cal-client/cal-client.[ch]: adapted to changes in CalListener class.
	(cal_client_class_init): added "backend_error" signal to CalClient class.
	(backend_error_cb): callback for "error_occurred" signal on the CalListener,
	which just emits the "backend_error" signal of CalClient.

	* gui/gnome-cal.c (gnome_calendar_construct): connect to "backend_error"
	signal on the CalClient's we create.
	(backend_error_cb): display error message on error from backend.

	* gui/e-tasks.c: likewise.

2002-10-02  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/notify-main.c (alarm_notify_factory_fn): removed
	unneeded g_assert which was preventing the alarm daemon to
	start correctly in some cases.

2002-10-02  Rodrigo Moya <rodrigo@ximian.com>
	
	Fixes #30057
	
	* cal-client/cal-client.c (cal_client_is_read_only): added check
	of the status of the client before trying to make CORBA calls.

	* gui/calendar-commands.c (sensitize_calendar_commands,
	  sensitize_taskpad_commands):
	* gui/tasks-control.c (sensitize_commands):
	* gui/dialogs/event-editor.c (set_menu_sens):
	* gui/dialogs/task-editor.c (set_menu_sens):
	* gui/e-calendar-table.c (e_calendar_table_on_right_click):
	* gui/e-day-view.c (e_day_view_on_event_right_click):
	* gui/e-week-view.c (e_week_view_show_popup_menu): take into account
	the read-onlyness of clients to disable/enable menu items.

2002-10-01  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added isReadOnly method to Cal
	interface.

	* pcs/cal.c (impl_Cal_is_read_only): new method implementation.

	* pcs/cal-backend.[ch]: added is_read_only method to CalBackend class.
	(cal_backend_is_read_only): new function.

	* pcs/cal-backend-file.c (cal_backend_file_is_read_only): new method.
	(cal_backend_file_class_init): set new signal's virtual method.

	* cal-client/cal-client.[ch] (cal_client_is_read_only): new function.

2002-10-01  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #15710

	* gui/dialogs/alarm-page.c (alarm_page_init): added a
	X-EVOLUTION-NEEDS-DESCRIPTION property, so that we later set it
	correctly if it hasn't been set in the meanwhile (editing options for
	the alarm).

	* gui/dialogs/alarm-options.c (dalarm_widgets_to_alarm,
	palarm_widgets_to_alarm): removed X-EVOLUTION-NEEDS-DESCRIPTION
	property from alarms every time we set the description of the alarm.

2002-10-01  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #30290

	* importers/icalendar-importer.c (process_item_fn): return a status of
	BUSY rather than NOT_READY, to avoid the display of the error message.
	
2002-09-30  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c
	(calconduit_load_configuration): load multi_day_split
	(calconduit_save_configuration): save it
	(calconduit_dupe_configuration): copy it
	(e_cal_gui_new): create gui for it
	(e_cal_gui_fill_widgets): fill gui with value
	(e_cal_gui_fill_config): get value from gui and store in config
	(e_calendar_context_destroy): destroy new_cfg and gui properly
	(process_multi_day): skip item if its multi-day and we don't want
	to split
	(fill_widgets): fill local config widgets
	(create_settings_window): create local config widgets
	(save_settings): fill config from local widgets

	Fixes #23763
	
2002-09-30  Aaron Weber  <aaron@ximian.com>

	* gui/e-itip-control.c (update_item): adjust string on line 1609
	and 1517.

	* gui/dialogs/alarm-options.glade: rephrase string on line 270

2002-09-27  Dan Winship  <danw@ximian.com>

	* gui/calendar-commands.c (pixmaps): Remove "/Toolbar/New" and
	"/Toolbar/NewTask" since they're not there any more. Kills some
	bonobo-ui spewage.

2002-09-26  Dan Winship  <danw@ximian.com>

	Non-Connector part of #29334 (meeting created by a delegate in the
	delegator's calendar should have the delegator as Organizer).

	* idl/evolution-calendar.idl: add Cal_getEmailAddress, to return
	the email address associated with a backend (if any).

	* pcs/cal-backend.c (cal_backend_get_email_address): New.

	* pcs/cal-backend-file.c (cal_backend_file_get_email_address):
	Return NULL (for now).

	* pcs/cal.c (impl_Cal_get_email_address): Implement this by
	calling cal_backend_get_email_address and returning a NotFound
	exception if it returns NULL.

	* cal-client/cal-client.c (cal_client_get_email_address): New.
	(cal_client_init, cal_client_destroy, etc): initialize/free
	email_address

	* gui/dialogs/event-editor.c (event_editor_construct): Split this
	out of event_editor_init. Take and set a CalClient.
	(event_editor_new): Take a CalClient.

	* gui/dialogs/task-editor.c (task_editor_construct,
	task_editor_new): Likewise.

	* gui/dialogs/meeting-page.c (meeting_page_new,
	meeting_page_construct): Take a CalClient and call
	cal_client_get_email_address to find the default organizer
	address. (Also fix a bug if the default account's name has
	non-ASCII characters.)

	* gui/itip-utils.c (comp_from): New. When sending a REQUEST or
	CANCEL, use the Organizer as the From address.
	(itip_send_comp): Call comp_from and pass the result to
	Composer_setHeaders.

	* gui/comp-editor-factory.c (edit_existing, edit_new): Pass the
	CalClient to event_editor_new/task_editor_new

	* gui/e-calendar-table.c (open_task): Likewise.

	* gui/e-tasks.c (e_tasks_new_task): Likewise.

	* gui/gnome-cal.c (gnome_calendar_edit_object,
	gnome_calendar_new_task): Likewise.

2002-09-26  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-model.c (set_value_at): only change the attendee
	value if it isn't empty

2002-09-26  Rodrigo Moya <rodrigo@ximian.com>

	Should fix once for all #24210

	* idl/evolution-calendar.idl: changed the notifyObjUpdated method
	of the QueryListener interface accept a list of UIDs.

	* cal-client/query-listener.[ch] (impl_notifyObjUpdated): likewise for
	the QueryListener class.

	* cal-client/cal-query.c (obj_updated_cb): changed to adapt the
	multiple-id's received in the QueryListener class' signal to the
	one-by-one update notification of the public CalQuery class, thus
	keeping the changes needed for this minimal.

	* pcs/query.c (add_component, start_cached_query_cb): changed to
	send sequences of UIDs.

2002-09-25  Dan Winship  <danw@ximian.com>

	* gui/component-factory.c (folder_types): Add "calendar/public"
	and "tasks/public".
	(type_is_calendar, type_is_tasks): New utility functions
	(create_view, create_folder, remove_folder, xfer_folder,
	sc_user_create_new_item_cb): Use type_is_calendar/type_is_tasks

	* importers/icalendar-importer.c (get_uri_from_folder_path): allow
	importing into public calendar/task folders too.

	* gui/e-itip-control.c: Note that it's intentional that we use
	"calendar" and "tasks" here instead of "calendar/*" and "tasks/*".
	(31032)

2002-09-25  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): if the item being sent is not
	a meeting, send it as a mixed item with a description and the
	calendar text in an attachment

	Fixes #30638

2002-09-25  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #27961

	* pcs/cal-backend-file.c (cal_backend_file_update_object): set the
	LAST-MODIFIED time of the components when we save them.

2002-09-24  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (cal_backend_file_get_timezone_object,
	cal_backend_file_get_timezone): return a builtin timezone if we
	don't find the timezone in our component.

2002-09-24  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (comp_from_remote_record):
	make sure the start/end for no time palm events are DATE values,
	tidy code slightly

	Fixes #21631
	
2002-09-24  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (process_multi_day):
	convert to date values if the original start and end were both
	dates

2002-09-24  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-query.c (cal_query_destroy): unref the query
	since now the query object on the server keeps a copy of it and
	must know when the listener is no longer valid.

	* pcs/query.c (listener_died_cb): unref the QueryListener object.
	(query_construct): create an EComponentListener for the non-cached
	queries' listeners also.

2002-09-23  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/Makefile.am: add libeutil to the link

	* conduits/calendar/Makefile.am: ditto

2002-09-23  Dan Winship  <danw@ximian.com>

	* pcs/cal.c (imple_Cal_update_objects, impl_Cal_remove_object):
	fix non-ANSI switch statements.

	* gui/e-meeting-model.c (is_cell_editable, value_is_empty,
	process_free_busy_comp): Likewise

	* gui/itip-utils.c (comp_compliant): Likewise.

2002-09-23  Rodrigo Moya <rodrigo@ximian.com>

	* gui/main.c (launch_alarm_daemon): install an idle callback that will
	start the alarm daemon.
	(launch_alarm_daemon_cb): actually activate the alarm daemon here.

	* pcs/query.c (start_cached_query_cb): remove timeout function always
	and re-add it if the query is in progress.

2002-09-23  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c (start_cached_query_cb): move success notification code
	to its own code block, since it was being run for parse errors also.
	Also, remove all traces of the query from the cache if there is an
	error. Also, use GINT_TO_POINTER instead of GPOINTER_TO_INT.

2002-09-23  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #28310

	* gui/alarm-notify/save.c (save_notification_time): only save the
	new notification time if it is bigger than the already saved one.
	This should avoid some reminders showing up twice.

2002-09-20  JP Rosevear  <jpr@ximian.com>

	* gui/comp-util.c (cal_comp_is_on_server): check to see if the
	component is already on the server or not

	* gui/comp-util.h: change proto

	* gui/e-week-view.c (e_week_view_on_editing_stopped): only delete
	the event if the summary is empty and the component is not already
	on the server

	* gui/e-day-view.c (e_day_view_on_editing_stopped): same

	Fixes #14111
	
2002-09-20  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets): set the
	deleted attendees array to size 0 after we clean it up

	Fixes #30479
	
2002-09-20  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c (parse_sexp): remove the query from the cache if it
	failed.
	(start_cached_query_cb): notify of errors in the query.

2002-09-19  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c: added a list of EComponentListener's to control the
	lifetime of the listeners.
	(query_init): initialize new member.
	(query_destroy): free new member.
	(start_cached_query_cb): create a EComponentListener for the new
	listener being added.

2002-09-19  Rodrigo Moya <rodrigo@ximian.com>

	More fixes for #24210

	* pcs/query.c: added list of cached queries and changed the Query
	class to work with several listeners, not only one.
	(query_init): initialize new members.
	(query_destroy): free new members.
	(add_component, remove_component, parse_sexp, match_component,
	 process_components_cb): notify all listeners.
	(notify_uid_cb, start_cached_query_cb): implemented integration of
	cached queries.
	(query_new): search the query in the cache before creating a new
	one. And if we create a new one, store it in the cache.

2002-09-19  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/recurrence-page.c (simple_recur_to_comp): bump the
	month_num by 1 because it indexs at 0
	(recurrence_page_fill_widgets): lower the month_num by one as above

	Fixes #30381
	
2002-09-17  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #26362

	* gui/e-itip-control.c (show current): add a default reminder if
	default reminders are set in the configuration.

2002-09-11  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_on_top_canvas_button_press): keep
	the selection if we right click in it (but not on an appointment)
	(e_day_view_on_main_canvas_button_press): ditto

	* gui/e-week-view.c (e_week_view_on_button_press): same

2002-09-11  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-week-view.c (e_week_view_new_appointment): create a new
	appointment based on the selection
	(e_week_view_on_button_press): use above
	(e_week_view_on_new_appointment): ditto
	(e_week_view_on_new_meeting): ditto

	Fixes #18162
	
2002-09-10  JP Rosevear  <jpr@ximian.com>

	* gui/comp-editor-factory.c (get_default_event): duh, don't
	blindly increment the hour without adjusting for the day
	boundaries

	Fixes #29983
	
2002-09-10  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #24032

	* gui/e-itip-control.c (init): don't get servers here, since we don't
	know the type of the component(s) to be loaded.
	(show_current): get servers here.
	(destroy): only free stuff that needs to be freed.

2002-09-09  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (client_cal_opened_cb): display status messages for
	all operations we make, so that when using remote slow backends, so
	that users have always indication of what's happening.

2002-09-06  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_edit_object): kill warning

	* gui/e-week-view.h: new proto

	* gui/e-week-view.c (e_week_view_set_selected_time_range_visible):
	select a range of time in the currently visible area, if out side
	the visible area, select as much as possible
	(e_week_view_on_text_item_event): call above

	* gui/e-week-view-event-item.c
	(e_week_view_event_item_button_press): call above

	* gui/e-day-view.c
	(e_day_view_set_selected_time_range_in_top_visible): select a
	range of time in the currently visible area, if out side the
	visible area, select as much as possible
	(e_day_view_set_selected_time_range_visible): the same for the
	main canvas
	(e_day_view_on_long_event_button_press): call above
	(e_day_view_on_event_button_press): ditto

2002-09-05  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): don't try to send via the
	server if we are publishing; don't bail out on a 0 length to list
	if we are publishing

2002-09-05  Anna Marie Dirks <anna@ximian.com>	

	* gui/GNOME_Evolution_Calendar.oaf.in: Changed the description of
	the calendar/tasks page of the settings dialog, to be hopefully
	more descriptive and less awkwardly worded.


2002-09-05  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c (e_day_view_on_drag_data_get): added support for
	text/x-calendar targets, in which case a VCALENDAR component, with
	full timezone information is returned.

2002-09-04  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_destroy): don't listen to client
	signals after we get destroyed

	Fixes #17036
	
2002-09-04  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/event-editor.c (event_editor_send_comp): bail out if
	we couldn't send the cancel

	* gui/dialogs/task-editor.c (task_editor_send_comp): ditto

	* gui/dialogs/comp-editor.c (save_comp_with_send): indicate send
	status
	(real_send_comp): return success/fail, only resave the component a
	if we successfully sent
	(comp_editor_send_comp): return success/fail

	* gui/itip-utils.h: update proto

	* gui/itip-utils.c (itip_send_comp): return true if we sent the
	message
	
2002-09-04  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (comp_server_send): provide error message
	param, give a dialog with the message if we get a busy result;
	return TRUE if we succeed
	(itip_send_comp): bail out if we had a problem sending via the
	server

	* cal-client/cal-client.c (cal_client_send_object): pass back
	error message if we get the busy exception in the new param

	* cal-client/cal-client.h: update proto

	* pcs/cal.c (impl_Cal_send_object): dump backend error message
	into Busy exception

	* pcs/cal-backend.h: update proto

	* pcs/cal-backend.c (cal_backend_send_object): take/pass new error
	message parameter

	* pcs/cal-backend-file.c (cal_backend_file_send_object): take new param

	* idl/evolution-calendar.idl: add errorMsg to Busy exception

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (create_object): Pass NULL as
	@unpopulate_folder_context_menu_fn to
	evolution_shell_component_new().

2002-09-03  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (comp_compliant): don't make the reply
	component minimal

	Fixes #28956
	
2002-08-30  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): make the sure to list is 0
	length before sending via imip

	Fixes #29624
	
2002-08-30  Mike Kestner  <mkestner@ximian.com>

	* gui/dialogs/event-page.c:
	* gui/dialogs/task-page.c: use bonobo_object_release_unref to release
	the remote SelectNames component, not CORBA_Object_release.

2002-08-29  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_on_top_canvas_button_press): select
	the top canvas if the user right-clicks on it
	(e_day_view_on_main_canvas_button_press): select the row the user
	is right-clicking on
	(e_day_view_on_long_event_button_press): select the top canvas if
	the user right-clicks on an event there
	(e_day_view_on_event_button_press): select the relevant rows if
	the user right-clicks on an event
	(e_day_view_set_selected_time_range_in_top): select a number of
	days in the top canvas

	* gui/e-week-view.c (e_week_view_on_button_press): select the day
	the user is right-clicking on
	(e_week_view_on_text_item_event): select the corresponding time
	range when showing the contextual menu for an event

	* gui/e-week-view-event-item.c
	(e_week_view_event_item_button_press): select the corresponding
	time range when showing the contextual menu for an event

	Fixes #14660
	
2002-08-28  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-day-view.c:
	* gui/e-week-view.c: added missing header file.

2002-08-28  Dan Winship  <danw@ximian.com>

	* gui/GNOME_Evolution_Calendar.oaf.in: Add an
	evolution:shell_component_launch_order and rename
	evolution:shell_component_icon.

2002-08-27  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-config.c: use EConfigListener instead of direct access
	to the bonobo-conf database.
	(calendar_config_init): create the EConfigListener here, and install
	an atexit function to unref the config listener object.
	(config_read, property_change_cb, calendar_config_write,
	 calendar_config_write_on_exit): removed unneeded functions.
	(calendar_config_get_*, calendar_config_set_*): changed to make use of
	EConfigListener directly.

	* gui/main.c (main): removed call to calendar_config_write_on_exit.

	* gui/dialogs/cal-prefs-dialog.c (update_config): removed call to
	calendar_config_write.

2002-08-26  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #12326

	* gui/alarm-notify/config-data.c (ensure_inited): create a
	EConfigListener for configuration access.
	(do_cleanup): g_atexit installed function, to clean up configuration
	database resources.
	(config_data_get_timezone): retrieve the configuration for the
	EConfigListener object.
	(config_data_get_listener): new function.

	* gui/alarm-notify/save.c (get_config_db, discard_config_db): removed.
	Use EConfigListener instead.
	(save_notification_time, get_saved_notification_time,
	 save_calendars_to_load, get_calendars_to_load, save_blessed_program,
	 is_blessed_program): use EConfigListener.

	* gui/alarm-notify/notify-main.c (init_alarm_notify_service): removed.
	(alarm_notify_factory_fn): create here the alarm_notify_service if it
	hasn't been created yet.
	(load_calendars): likewise.
	(main): don't call init_alarm_notify_service.

2002-08-22  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-model.c (process_section): if its a
	non-participant, add it as a resource to match dialog label
	(set_value_at): if the type is set to be a resource, switch the
	role to non-participant by default

2002-08-22  JP Rosevear  <jpr@ximian.com>
	
	* gui/calendar-model.c (set_completed): if the value given is a
	date, convert to a time in the current zone

2002-08-20  JP Rosevear  <jpr@ximian.com>

	* gui/tasks-control.c (tasks_control_activate): don't set the
	tasks ui component until the container is set, remove unused
	pixmaps

2002-08-19  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-model.c (destroy): disconnect destroy signal
	callbacks on tables

	Fixes #28231

2002-08-19  JP Rosevear  <jpr@ximian.com>
	
	* gui/itip-utils.c (comp_toplevel_with_zones): clone the ical
	component before adding it

	Fixes #29061
	
2002-08-19  JP Rosevear  <jpr@ximian.com>
	
	* gui/comp-editor-factory.c (get_default_event): make sure to get
	the date in the current zone, not at UTC

	Fixes #17692
	
2002-08-19  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (set_date_label): stop adding redundant
	information for start/end/due/complete times
	(write_html): convert newlines properly and escape characters for
	summary, location, description; put text information on separate
	line from bolded title to make it look nicer when there are line
	breaks

	Fixes #26964
	
2002-08-16  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.[ch]: added internal EComponentListener
	object, to listen for the activated Cal.
	(cal_client_class_init): added "backend_died" signal.
	(cal_client_destroy): clean up component listener.
	(backend_died_cb): new callback for getting signals from the
	EComponentListener.
	(cal_opened_cb): setup component listener.
	
	* cal-client/Makefile.am: added libetuil to needed LIBS.

	* gui/gnome-cal.c (backend_died_cb): new callback.
	(gnome_calendar_construct): connect to "backend_died" signal
	on all CalClient's we create.
	
2002-08-14  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/cal-prefs-dialog.c (init_widgets): listen for the
	time editors to change
	(cal_prefs_dialog_start_of_day_changed): make sure the start is
	never after the end
	(cal_prefs_dialog_end_of_day_changed): make sure the end is never
	after the start

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_set_working_hours): make sure to show a
	minimum of 1 hour for work day

	* gui/e-day-view-main-item.c (e_day_view_main_item_draw):
	calculate the work/not working color boxes to the nearest pixel,
	rather the the nearest time division

	Fixes #10286, #26285
	
2002-08-13  Dan Winship  <danw@ximian.com>

	* gui/e-itip-control.c: Remove a bunch of old #if 0 code.
	(update_item): Set X-MICROSOFT-CDO-REPLYTIME here.

	* gui/itip-utils.c (comp_toplevel_with_zones): Don't set it here.

	* cal-util/cal-component.c (ensure_mandatory_properties): Use
	icaltime_current_time_with_zone rather than rolling our own.
	(cal_component_strip_errors): Remove unused variable.

2002-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): set status message on
	ECalendarTable when opening the tasks.
	(client_cal_opened_cb): set ECalendarTable status message to NULL
	when we open the tasks folder. Also, clear up calendar status message
	in all cases, not only if the folder was opened successfully.

2002-08-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): set status message to NULL
	if there is an error opening the calendar.
	(client_cal_opened_cb): set status message to NULL only when we have
	successfully opened the main CalClient.

2002-08-09  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/comp-editor.c (real_send_comp): set the editor to
	changed so the item actually gets saved

2002-08-08  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (users_has_attendee): check for an attendee in
	the list
	(comp_to_list): only add the user if they aren't on the list
	(comp_server_send): don't remove the users, pass back the list
	(itip_send_comp): send to server before doing comp_minimal

	* gui/dialogs/comp-editor.c (real_send_comp): edit and save the
	updated comp

	* pcs/cal.c (impl_Cal_send_object): copy the correct item to pass
	back

2002-08-08  Dan Winship  <danw@ximian.com>

	* pcs/query-backend.c (query_backend_new): Initialize
	loaded_backends before using it. (Just kills off a harmless
	g_warning.)

2002-08-08  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #15710

	* cal-util/cal-component.[ch]
	(cal_component_alarm_get_icalcomponent): new function for getting
	the icalcomponent from a CalComponentAlarm.

	* gui/comp-util.c (cal_comp_event_new_with_defaults): added
	X-EVOLUTION-NEEDS-DESCRIPTION property to the default reminder
	alarm, so that we can identify it when saving the component.

	* gui/dialogs/alarm-page.c (alarm_page_fill_component): if the
	alarm has the X-EVOLUTION-NEEDS-DESCRIPTION property, set the
	description to be the same as of the component.

2002-08-07  JP Rosevear  <jpr@ximian.com>

	* pcs/cal-backend-file.c (cal_backend_file_send_object): just
	return the object untouched since we don't send anything

	* pcs/cal-backend.c (cal_backend_remove_object): call virtual method

	* pcs/cal-backend.h: add send result codes, new proto

	* pcs/cal.c (impl_Cal_send_object): implement sendObject corba call
	(cal_class_init): add to epv

	* gui/itip-utils.c (comp_toplevel_with_zones): utility function to
	create icalcomponent with necessary timezone info
	(comp_has_attendee): see if attendee is in the attendee list
	(comp_server_send): use above and remove attendees if the server
	sends them

	* gui/e-itip-control.c (show_current_todo): remove unused var

	* idl/evolution-calendar.idl: add Busy exception and

	* cal-client/cal-client.c (cal_client_send_object): send object
	via the server (if the server can)

	* cal-client/cal-client.h: add send results and new proto

2002-08-05  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query-backend.[ch] (query_backend_get_object_component): new
	function.
	(query_backend_get_uids): new function.
	(query_backend_new): create the static GHashTable if it hasn't been
	created yet.
	(query_backend_destroy): destroy the static GHashTable if empty.
	(foreach_uid_cb): call object_updated_cb, which does everything.

	* pcs/query.c: make use of the new QueryBackend class.
	(query_init): initialize new private structure member.
	(query_destroy): clean up new member, without freeing it, since it is
	managed internally in query-backend.c.
	(query_construct): create a QueryBackend for the query.
	
2002-08-04  Rodrigo Moya <rodrigo@ximian.com>

	Fixes the crash in #19159

	* gui/alarm-notify/alarm-queue.c (create_snooze): check for NULL
	pointers before using them.

2002-08-02  JP Rosevear  <jpr@ximian.com>

	* gui/e-week-view.c (e_week_view_init): don't warn if we can't use
	the small font, just set use_small_font to FALSE

2002-08-02  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-itip-control.c (adjust_item): new util function to add
	information to an itip message that might not already be there for
	display purposes (summary, location, etc)
	(show_current_event): use above
	(show_current_todo): ditto

2002-08-02  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-model.c (init): initialize value to corba nil

2002-08-01  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (create_object): Use
	meeting-request-16.png instead of meeting-request.png.

	* gui/calendar-commands.c (pixmaps): Remove pixmaps in
	/menu/File/New/NewFirstItem/.

2002-08-01  JP Rosevear  <jpr@ximian.com>

	* gui/calendar-model.c (is_overdue): use get_due_status
	(get_color): ditto
	(get_due_status): utility function to reduce replicated code,
	handle the case where the due date is just a date

2002-07-31  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query-backend.[ch]: new class for implementing a backend cache
	for the calendar queries.

	* pcs/Makefile.am: added new files.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (create_object): Change the order of the
	user creatable items a bit so that "New Appointment" and "New
	Meeting" are at the top when in a calendar folder.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (add_creatable_item): New arg
	@folder_type, pass it to
	evolution_shell_component_add_user_creatable_item().
	(create_object): Set the right folder types for the various
	user-creatable items.

2002-07-31  JP Rosevear  <jpr@ximian.com>

	* gui/e-tasks.c (e_tasks_destroy): we no longer need to manually
	save the state
	(e_tasks_open): we no longer need to manually load the state
	(display_view_cb): attach the gal view to the table

	Fixes #27894
	
2002-07-29  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_find_work_week_start): make sure
	that the work week view goes to the current work week if the day
	selected is before the start of the work week

	Fixes #20317
	
2002-07-28  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/task-details-page.c: fixed mapping of popdown menu
	to ICAL_STATUS_ values.
	(task_details_page_fill_widgets): when we can't set the status,
	default to ICAL_STATUS_NONE, which maps to 'Not started'. Fixed
	use of 'percent' variable, which was being used after being freed.
	(percent_complete_changed): default to ICAL_STATUS_NONE (Not Started).

	* gui/dialogs/task-details-page.glade: added 'Needs Action' to
	popdown menu values.

2002-07-26  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.[ch] (cal_util_add_timezones_from_component):
	new function for adding VTIMEZONE components to a VCALENDAR
	component.

	* gui/e-calendar-table.c (copy_row_cb): added VTIMEZONE components
	to resulting VCALENDAR top-level component.

	* gui/e-week-view.c (e_week_view_copy_clipboard): copy to the
	clipboard a top-level VCALENDAR component, with all the needed
	VTIMEZONE components.
	(e_week_view_on_copy): likewise.

	* gui/e-day-view.c (e_day_view_copy_clipboard): likewise.
	(e_day_view_on_copy): likewise.

2002-07-26  JP Rosevear  <jpr@ximian.com>

	* cal-client/cal-client.c (cal_client_construct): remove useless
	debug statement

	Probably fixes #19333
	
2002-07-26  JP Rosevear  <jpr@ximian.com>
	
	* gui/comp-editor-factory.c (impl_editExisting): focus the editor
	if it does exist, create a new one if it doesn't (not vice-versa)

	Fixes #23468
	
2002-07-25  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_init): set large_font to NULL
	(e_day_view_style_set): calculate large font, fall back to the
	style->font if necessary

	Fixes #11773
	
2002-07-24  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (write_html): display the location in the
	itip information

	Fixes #24690
	
2002-07-24  JP Rosevear  <jpr@ximian.com>

	* gui/calendar-model.c (set_percent): set status to in progress if
	the percent is between 0 and 100
	(set_status): if the value is set to in process, change the
	percent to 50

	Fixes #1590
	
2002-07-24  JP Rosevear  <jpr@ximian.com>
	
	* cal-util/timeutil.c (time_day_of_year): add a day for the leap
	year only if we are currently counting Feb., not if the month
	passed in is Feb.  Fixes #23446.

2002-07-23  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_realize): use proper meeting icon

2002-07-22  Dan Winship  <danw@ximian.com>

	* pcs/Makefile.am: Split pcs-backend-file out of libpcs and build
	it as a separate (noinst) library libpcsfile.a. This gets the db3
	dependencies out of libpcs, and people trying to create a calendar
	backend shouldn't be calling functions from the existing backends
	anyway so there's no reason to install them.

	* cal-util/timeutil.c: Replace a bunch of old gnomecal functions
	with the functionally identical ones from Connector.

2002-07-18  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c (get_uri_from_folder_path): if
	there's an exception, continue with the next item.

2002-07-08  Peter Williams  <peterw@ximian.com>

	* cal-util/Makefile.am: Install libcal-util-static.la
	and fix the -all-static flag to make it install statically.
	
	* pcs/Makefile.am: Install libpcs.a and its headers.

	* pcs/cal-backend-util.h: Same sort of include namespacing fix,
	but for pcs.

	* pcs/cal.h:
	* pcs/query.h:
	* pcs/cal-factory.h:
	* pcs/cal-backend.h:
	* pcs/cal-backend-file.h: Same.

2002-07-17    <jpr@ximian.com>

	* gui/calendar-model.c (calendar_model_value_at): use util
	function to see if the user is the organizer

	* gui/dialogs/cancel-comp.c (cancel_component_dialog): add
	deleting proto to indicate whether cancelling or deleting is the
	primary operation

	* gui/dialogs/cancel-comp.h: update proto

	* gui/dialogs/comp-editor.c (delete_cmd): offer to cancel

	* gui/dialogs/task-editor.c (cancel_task_cmd): call
	cancel_component_dialog with new param

	* gui/dialogs/event-editor.c (cancel_meeting_cmd): ditto

	* gui/e-week-view.c (e_week_view_on_editing_stopped): only update
	request if user is organizer
	(e_week_view_show_popup_menu): disable the meeting and meeting
	organizer mask if appropriate
	(e_week_view_delete_event_internal): offer to cancel the meeting
	(e_week_view_on_cut): ditto
	(selection_received): send request if its a meeting

	* gui/e-day-view.h: add meeting icon/mask

	* gui/e-day-view.c (e_day_view_on_event_right_click): disable the
	meeting and meeting organizer mask if appropriate
	(e_day_view_delete_event_internal): offer to cancel meeting
	(e_day_view_on_cut): ditto
	(e_day_view_finish_long_event_resize): only update request if user
	is organizer
	(e_day_view_reshape_long_event): add meeting icon to count
	(e_day_view_reshape_day_event): ditto
	(e_day_view_on_top_canvas_drag_data_received): only update request
	if user is organizer
	(e_day_view_on_main_canvas_drag_data_received): ditto
	(selection_received): offer to send meeting info

	* gui/e-day-view-main-item.c
	(e_day_view_main_item_draw_day_event): draw meeting icon if
	appropriate (using dummy icon atm)

2002-07-14  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #8001

	* importers/icalendar-importer.c (connect_to_shell): new function for
	connecting the importers (both iCal and vCal) to the shell, needed for
	some information retrieval about the folders we're importing to.
	(ical_importer_new, vcal_importer_new): call connect_to_shell.
	(importer_destroy_cb): unref the shell client object.
	(get_uri_from_folder_path): retrieve the uri from the storage
	registry.
	(check_folder_type): removed.

	* importers/Makefile.am: included libeshell to LIBS.

2002-07-12  Peter Williams  <peterw@ximian.com>

	* pcs/cal.c: Sigh, fix for the wombat.idl -> Evolution-Wombat.idl
	rename here too. At least grep indicates that's all that needs to
	be fixed.

2002-07-08  Peter Williams  <peterw@ximian.com>

	* gui/Makefile.am (INCLUDES): Change the -I flags to get
	it to play nicely with the new Ebook header paradigm.

	* gui/dialogs/Makefile.am: Same.
	
	* gui/e-meeting-model.c: More of the same.

	* gui/dialogs/e-delegate-dialog.c:
	* gui/dialogs/e-meeting-model.c:
	* gui/dialogs/comp-editor-util.c: Fix include lines to get
	ebook headers.

	* pcs/Makefile.am: Same.

2002-07-02  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #16034

	* gui/e-day-view.c (e_day_view_reshape_long_event):
	(e_day_view_reshape_day_event):
	* gui/e-day-view-main-item.c (e_day_view_main_item_draw_day_event):
	* gui/e-week-view.c (e_week_view_reshape_event_span):
	* gui/e-week-view-event-item.c (e_week_view_event_item_draw_icons):
	Don't assume all categories have icons when allocating space for
	the icons.

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (add_creatable_item): New arg @tooltip.
	Pass it to evolution_shell_component_add_user_creatable_item(),
	which now has a @tooltip arg.
	(create_object): Added tooltips.

2002-07-01  JP Rosevear  <jpr@ximian.com>

	* gui/calendar-config.c (config_read): listen for timezone config
	change
	(property_change_cb): set the timezone if it changed elsewhere

	* gui/main.c (init_bonobo): call bonobo_activate because we make
	bonobo related calls before the bonobo_main call

2002-06-25  Rodrigo Moya <rodrigo@ximian.com>

	Fixes #25410

	* gui/alarm-notify.c (AlarmNotify_removeCalendar): do proper
	cleanup on removal of clients.
	(alarm_notify_add_calendar): ditto.

2002-06-27  JP Rosevear  <jpr@ximian.com>
	
	* gui/itip-utils.c (comp_compliant): plug leak and actually use
	the minimal comp we create
	
2002-06-25  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/comp-editor-page.h: add back proto

	* gui/dialogs/comp-editor-page.c
	(comp_editor_page_notify_needs_send): add page needs_send signal

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_on_invite_others_button_draw): check to
	see if the button should be sensitive when drawing
	(e_meeting_time_selector_construct): listen for the button draw
	signal

	* cal-util/cal-component.c (cal_component_strip_errors): remove
	X-LIC-ERROR x properties

	* cal-util/cal-component.h: new proto

	* gui/dialogs/meeting-page.c (change_clicked_cb): set needs_send
	to true
	(meeting_page_fill_widgets): set up gui based on if the user or
	someone else is the organizer
	(meeting_page_construct): read the addresses here for the combo
	box
	(get_widgets): explicitly set the value in list values
	
	* gui/dialogs/event-editor.c (set_menu_sens): base this on the
	exist org and user org values of the comp editor
	(event_editor_edit_comp): set up editable row restrictions on the
	meeting model if the user is not an organizer, and don't set needs
	send if we aren't the organizer initially
	(model_row_changed_cb): set needs_send to true
	(row_count_changed_cb): ditto

	* gui/dialogs/meeting-page.glade: update gui
	
	* gui/dialogs/comp-editor.c (save_comp_with_send): if the user is
	not the organizer, REPLY rather than REQUEST
	(comp_editor_set_existing_org): accessor
	(comp_editor_get_existing_org): ditto
	(comp_editor_set_user_org): ditto
	(comp_editor_get_user_org): ditto
	(real_edit_comp): determine if there is an existing organizer and
	if the organizers is a user
	(page_changed_cb): warn the user that changes may be discarded
	(page_summary_changed_cb): ditto
	(page_dates_changed_cb): ditto

	* gui/dialogs/comp-editor.h: new protos

	* gui/itip-utils.c (itip_organizer_is_user): determine if the
	organizer of a component is a user
	(itip_sentby_is_user): same for sentby field of organizer
	(comp_sentby): use above routines instead
	(comp_compliant): strip all X-LIC-ERROR fields generated by
	libical

	* gui/e-meeting-model.c (is_cell_editable): if there is a list of
	editable rows, allow only the status column of those rows to be
	edited
	(init): init edit_rows
	(e_meeting_model_restricted_add): add an editable row to the model
	(e_meeting_model_restricted_remove): remove an editable row
	(e_meeting_model_restricted_clear): clear all editable rows
	(e_meeting_model_etable_click_to_add): set the click to add arg on
	all tables
	(e_meeting_model_etable_from_model): track the tables
	(table_destroy_list_cb): remove the table being destroyed from the
	list
	(table_destroy_state_cb): remove the table being destroyed from
	the list
	
	* gui/e-meeting-model.h: new protos

	* gui/e-itip-control.c (update_attendee_status): kill warning
	
2002-06-18  JP Rosevear  <jpr@ximian.com>
	
	* zones.h: update for new zones

2002-06-17  Rodrigo Moya <rodrigo@ximian.com>

	Fixes wombat crash (for JP and myself)

	* gui/gnome-cal.c (gnome_calendar_open): don't call add_alarms here,
	since the client is not yet attached to the backend, and the alarm
	daemon does unref the client before creating a new one.
	(client_cal_opened_cb): call add_alarms here.

2002-06-12  Rodrigo Moya <rodrigo@ximian.com>

        * gui/alarm-notify.c: added timeout_id to LoadedClient structure, to
	keep track of the timeout function.
	(retry_timeout_cb): don't use RetryData, but the LoadedClient.
	(cal_opened_cb): ditto, and assigned lc->timeout_id to the return
	value of g_timeout_add().
	(alarm_notify_add_calendar): destroy the timeout callback when
	destroying the LoadedClient structure.

2002-06-12  Jeffrey Stedfast  <fejj@ximian.com>

	* pcs/cal-factory.c (open_fn): Free the uri_string once we're done
	with it.

2002-06-12  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/dialogs/cal-prefs-dialog.glade: Fix a typo.
	
2002-06-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-notify.c (alarm_notify_add_calendar): removed
	already loaded client when asked to be opened again, and *really*
	re-open it again.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_setup_view_menus):
	gal_view_menus_set_show_define_views (..., FALSE);

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* gui/e-tasks.c (e_tasks_setup_view_menus), gui/gnome-cal.c
	(gnome_calendar_setup_view_menus): Set the title of our
	GalViewCollection.

2002-06-03  Anna Marie Dirks  <anna@ximian.com>

	* gui/dialogs/cal-prefs-dialog.glade: In an attempt to clean up the 
	config dialog (and to reduce its overall girth), I have re-laid-out the
	calendar preferences dialog. It now conforms to standard Evolution 
	spacing and padding guidelines, and exhibits proper alignment, etc.

2002-06-03  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c: keep a reference to the Query object, to avoid
	crashes when the queries are destroyed before finishing processing.
	Fixes #25056.

2002-05-26  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/comp-editor.h: update proto

	* gui/dialogs/comp-editor.c (comp_editor_get_comp): new function
	to get base comp

	* gui/e-comp-editor-registry.c (e_comp_editor_registry_add): get
	the base comp, not the current comp, don't unref it
	(foreach_close_cb): block the signal, unblock it if the editor
	could not be closed
	(e_comp_editor_registry_close_all): fix preconditions
	(editor_destroy_cb): get the base comp, not the current comp,
	don't unref it

2002-05-26  JP Rosevear  <jpr@ximian.com>

	* gui/e-comp-editor-registry.c (e_comp_editor_registry_close_all):
	if there are remaining items, return false
	(foreach_close_cb): don't remove the item if it couldn't be closed

	* gui/e-comp-editor-registry.h: update proto

	* gui/component-factory.c (request_quit): return a boolean
	indicating if everything was closed

	* gui/dialogs/comp-editor.h: update proto

	* gui/dialogs/comp-editor.c (comp_editor_close): return true if
	the editor was closed, false otherwise

2002-05-26  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-comp-editor-registry.[hc]: a registry of comp editors so
	we can close them all centrally

	* gui/gnome-cal.c (gnome_calendar_init): there is no editor hash
	now
	(gnome_calendar_destroy): ditto
	(gnome_calendar_edit_object): look for the event editor in the
	registry, if it isn't there, create it and add it to the registry

	* gui/e-calendar-table.c (open_task): look for the task editor in
	the registry, if it isn't there, create it and add it to the
	registry

	* gui/component-factory.c (request_quit): close all open editors
	(create_object): add a request_quit function to the shell
	component

	* gui/comp-editor-factory.c (free_client): there is no
	uid_comp_hash to free any more
	(editor_destroy_cb): we get an OpenClient as callback data now,
	reduce the editor count and destroy it if it is 0
	(edit_existing): don't create the Component, add the new editor to
	the registry, increase the editor count
	(edit_new): ditto
	(open_client): set the editor count to 0
	(impl_editExisting): look in the registry for the editor

	* gui/Makefile.am: Build new sources

	* gui/main.c (main): create the registry

	* gui/dialogs/comp-editor.c (comp_editor_close): prompt to save
	and then close dialog

	* gui/dialogs/comp-editor.h: new proto

	* gui/GNOME_Evolution_Calendar.oaf.in: remove dead summary stuff

2002-05-24  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c (save): check the value returned by
	gnome_vfs_uri_to_string before using it.
	(cal_backend_file_open): ditto.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/event-editor.c (event_editor_init): Pass the
	@component_pixmaps in so we give the new "Meeting" button an icon.

	* gui/dialogs/comp-editor.c (comp_editor_merge_ui): New arg
	@component_pixmaps to pass in custom pixmaps.

2002-05-20  Rodrigo Moya <rodrigo@ximian.com>

	* gui/alarm-notify/alarm-notify.c:
	* gui/alarm-notify/notify-main.c: ported changes from evolution-1-0
	to make it work with reminders on remote backends.

	* pcs/cal-backend-file.c (cal_backend_file_open): check the string
	returned by gnome_vfs_uri_to_string, which can be empty. If so,
	return an error.

2002-05-17  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_setup_view_menus): set the view
	to the current view

2002-05-16  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (client_cal_opened_cb): added support for
	CAL_CLIENT_OPEN_PERMISSION_DENIED error code.
	(permission_error): new function to display 'Permission Denied'
	error message when opening the calendar.

	* gui/e-tasks.c: likewise.

	* idl/evolution-calendar.idl: added PERMISSION_DENIED to Listener's
	OpenStatus enumeration.

	* cal-client/cal-client.c (cal_opened_cb): added code for retrieving
	'Permission Denied' errors, and convert it to CalClientOpenStatus
	values.

	* pcs/cal-factory.c (open_backend): added code for informing of
	'Permission Denied' errors.

2002-05-16  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added PermissionDenied exception and
	make it be raised in open, updateObjects and removeObject.

	* pcs/cal-backend.h: added CAL_BACKEND_OPEN_PERMISSION_DENIED to
	CalBackendOpenStatus enumeration, added CalBackendResult enumeration.

	* pcs/cal.c:
	* pcs/cal-backend.c:
	* pcs/cal-backend-file.c: adapted to changes in update_objects and
	remove_object methods.

	* cal-client/cal-client.[ch]: added CalClientResult enumeration.
	(cal_client_update_object, cal_client_update_objects,
	 cal_client_remove_object): changed to return a CalClientResult.

	* conduits/calendar/calendar-conduit.c:
	* calendar/conduits/todo/todo-conduit.c:
	* importers/icalendar-importer.c:
	* gui/dialogs/comp-editor.c:
	* gui/calendar-model.c:
	* gui/e-calendar-table.c:
	* gui/e-day-view.c:
	* gui/e-itip-control.c:
	* gui/e-week-view.c:
	* gui/comp-util.c:
	* gui/e-tasks.c:
	* gui/tasks-migrate.c: adapted to changes in cal_client_update_object(s)
	and cal_client_remove_object.
	
2002-05-15  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (create_object): Pass NULL as
	@request_quit_fn.

2002-05-14  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/schedule-page.c (schedule_page_construct): set the
	working hours for the meeting time selector
	
2002-05-14  JP Rosevear  <jpr@ximian.com>

	* cal-util/cal-component.h: make the range datetime member a
	struct not a pointer

	* cal-util/cal-component.c (cal_component_get_recurid): take a
	pointer to a range
	(cal_component_set_recurid): ditto

	* gui/itip-utils.c (comp_minimal): get/set the recurrence id
	properly
	
2002-05-09  Ettore Perazzoli  <ettore@ximian.com>

	* gui/e-itip-control.c (get_servers): use
	GNOME_Evolution_Storage__get_folderList instead of
	GNOME_Evolution_Storage_getFolderList since I have now changed
	that to be an attribute instead of a method.

2002-05-07  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (start_calendar_server): start a server a
	uri
	(start_default_server): start a default server
	(get_servers): get all clients for all folders of the given
	type(s)
	(find_server): locate a server for a particular uid
	(init): get_servers, listen for object_requested signal
	(destroy): destroy all clients
	(write_html): put options is there own cell
	(get_publish_options): place selector in if param is true
	(get_request_options): ditto
	(get_real_item): only try and look up the item if we know its in
	the server
	(show_current_event): find the server (if any) for the current
	comp
	(show_current_todo): ditto
	(update_attendee_status): if there is no server for the comp, it
	doesn't exist
	(remove_item): ditto
	(button_selected_cb): get a client for the selected folder
	(object_requested_cb): draw the folder button in

	* gui/calendar-config.h: new protos

	* gui/calendar-config.c (calendar_config_default_tasks_folder):
	get default tasks uri
	(calendar_config_default_calendar_folder): get default calendar
	uri

	* cal-client/cal-client.c (get_default_uri): use
	cal_util_expand_uri

	* cal-util/cal-util.h: new proto

	* cal-util/cal-util.c (cal_util_expand_uri): tack on the file name
	if its a file uri

2002-05-03  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-tasks.c (e_tasks_delete_selected):
	(e_tasks_complete_selected): show progress messages
	on the status bar.

2002-05-02  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c: #include <gtk/gtkmain.h> to avoid warnings.

2002-05-02  JP Rosevear  <jpr@ximian.com>

	* gui/e-week-view.c (free_view_popup): only discard the popup if
	we created one

2002-05-02  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c: refactored a bit, to not do things in idle loops.

2002-05-01  JP Rosevear  <jpr@ximian.com>

	* gui/print.c (print_day_details): modify the start and end hours
	to accomodate all the events in the day

	* gui/e-day-view.c (free_view_popup): only discard the popup if we
	created one

2002-04-30  JP Rosevear  <jpr@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_construct): remove setup_widgets
	from here
	(gnome_calendar_init): move setup_widgets back here

2002-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/Makefile.am: Don't link to libibex anymore!!

2002-04-24  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c (e_day_view_on_pilot_settings): launch pilot
	settings capplet

	* gui/e-week-view.c (e_week_view_on_pilot_settings): ditto
	
2002-04-24  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-week-view.c (free_view_popup): free the view popup
	(e_week_view_show_popup_menu): add the view popup to the
	"main_item" menu and listen for destruction

	* gui/e-day-view.c (free_view_popup): as above
	(e_day_view_on_event_right_click): as above

	* gui/e-week-view.h: add class member

	* gui/e-day-view.h: add a class member

	* gui/gnome-cal.h: new protos

	* gui/gnome-cal.c (set_view): set the instance view id properly
	when switching views
	(gnome_calendar_setup_view_popup): generate a view popup
	(gnome_calendar_discard_view_popup): destroy a view popup

2002-04-22  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal.c (impl_Cal_get_alarms_in_range): raise an exception if the
	backend's method returns NULL, since we can't send a NULL pointer to
	ORBit.

2002-04-19  Anna Marie Dirks  <anna@ximian.com>

	* gui/dialogs/cal-prefs-dialog.glade: Collapsed notebook into two pages
	and added accelerators for everything, as part of my config dialog
	polishing project

2002-04-18  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/recurrence-page.c (simple_recur_to_comp): properly
	handle -ve recurrence values
	(month_num_submenu_selection_done_cb): track the current date in
	use
	(make_recur_month_num_submenu): make a submenu of dates
	(make_recur_month_num_menu): make the date/relation option menu
	(month_num_menu_selection_done_cb): update the date properly and
	keep both option menus consistent
	(month_day_menu_selection_done_cb): keep both option menus
	consistent
	(make_monthly_special): listen for selection done signal
	(make_recurrence_special): destroy old month_num_menu
	(recurrence_page_fill_widgets): properly handle -ve recurrence
	values

2002-04-18  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-day-view.c (e_day_view_on_settings): show the settings

	* gui/e-week-view.c (e_week_view_on_settings): ditto

	* gui/calendar-commands.c (control_util_show_settings): show the
	settings dialog

	* gui/calendar-commands.h: new proto

	* gui/control-factory.c (control_factory_new_control): set the
	control as object data on the calendar

2002-04-17  Christopher James Lahey  <clahey@ximian.com>

	* gui/e-calendar-table.c, gui/e-day-view.c, gui/e-week-view.c,
	gui/dialogs/meeting-page.c: Updated these to match the new
	EPopupMenu.

2002-04-05  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend.[ch] (cal_backend_get_query): new method.

	* pcs/cal-backend-file.c (cal_backend_file_get_query): new method.

	* pcs/cal.c (impl_Cal_get_query): call the CalBackend's implementation
	instead of calling query_new directly.

	* pcs/query.[ch]: fixed headers.

2002-04-10  Dan Winship  <danw@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): Fix this: Rodrigo's patch
	used one of the functions I just removed. :)

2002-04-10  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): use the default uri for
	tasks (as stored in the configuration) when the calendar URI is not
	a local one (connector, etc).

2002-04-10  Dan Winship  <danw@ximian.com>

	* cal-client/cal-client.c (get_default_uri): Use new-and-improved
	default folder URI config paths.

	* gui/calendar-config.c (calendar_config_{get,set}_default_uri,
	calendar_config_{get,set}_default_tasks_uri): Remove these. The
	shell owns this information now. (Weren't being used anyway.)

	* gui/component-factory.c (get_data_uri): Fix another place that
	hardcoded tacking foo.ics on to the end of URLs.

2002-04-08  Dan Winship  <danw@ximian.com>

	* gui/component-factory.c (create_view): Add view_info arg. If the
	view_info is non-empty and this is a calendar folder, set the
	"view" property on the control's propertybag.

	* gui/control-factory.c (calendar_properties_init): Set up the
	"view" property.
	(get_prop, set_prop): handle the "view" property by
	getting/setting the GnomeCalendar's view. Unfortunately, this
	doesn't actually work. See #23208.

	* gui/calendar-commands.c (calendar_control_activate): Set the UI
	component's container before calling
	gnome_calendar_set_ui_component so that the search bar
	initialization will work.

2002-04-06  JP Rosevear  <jpr@ximian.com>

	* pcs/cal-backend-db.[hc]: Remove dead files.

2002-04-06  JP Rosevear  <jpr@ximian.com>
	
	* gui/GNOME_Evolution_Calendar.oaf.in: add config_item:type

2002-04-01  Kjartan Maraas  <kmaraas@gnome.org>

	* gui/e-itip-control.c: Fix a string.
	
2002-04-01  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-db.c: simple fix for DB3 header inclusion in
	Mac OS X, by Max Horn <max@quendi.de>

2002-03-31  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (clean_up): free the my_address member
	(find_my_address): fall back on a CN match if possible
	(change_status): handle changing the status of a non-existent
	address by adding a new attendee
	(update_attendee_status): if the attendee response is not from a
	user on the list of attendees, ask the user if they want to add
	the attendee any how (as an optional participant)
	(ok_clicked_cb): if we are suppose to rsvp and the status was ok,
	but the attendee address is not known, find it
	
2002-03-29  Ettore Perazzoli  <ettore@ximian.com>

	* gui/GNOME_Evolution_Calendar.oaf.in: Set a priority for the
	config item.  Rename to "Calendar and Tasks".

2002-03-29  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/Makefile.am: s/libversit.la/libversit.a/

	* conduits/todo/Makefile.am: ditto

2002-03-29  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-calendar-table.c: implement new pop up menu items for
	"Save as", "Print", "Assign Task", "Forward as iCalendar"

	* gui/e-day-view.c: similarly, also "Publish Free/Busy
	Information" and "New Meeting" and "New Task"

	* gui/e-week-view.c: ditto

	* gui/dialogs/task-editor.c (show_assignment): move the assignment
	page stuff here
	(task_editor_show_assignment): use it
	(assign_task_cmd): ditto

	* gui/dialogs/task-editor.h: new proto

	* gui/dialogs/comp-editor.c (save_as_cmd): use new e-util file
	selector function

	* meeting-mockup.glade: Remove old file

	* topic.dat

2002-03-19  Dan Winship  <danw@ximian.com>

	* cal-util/Makefile.am: s/libversit.la/libversit.a/

	* cal-client/Makefile.am: Likewise

	* gui/Makefile.am: Likewise

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* gui/cal-search-bar.c: Removed `search_menu_items'.
	(cal_search_bar_menu_activated): Removed.
	(cal_search_bar_class_init): Don't install.
	(cal_search_bar_construct): No menu items here.

2002-03-15  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/e-day-view.c: Updated to use new EPopupMenu API.

	* gui/e-week-view.c: Updated to use new EPopupMenu API.

	* gui/e-calendar-table.c: Updated to use new EPopupMenu API.

2002-03-15  Ettore Perazzoli  <ettore@ximian.com>

	* gui/tasks-control.c (tasks_control_activate): Call
	`e_tasks_set_ui_component()' here to give it the
	BonoboUIComponent.
	(tasks_control_deactivate): Likewise, call it here to unset the
	BonoboUIComponent.

	* gui/e-tasks.c (e_tasks_set_ui_component): New.

	* gui/calendar-commands.c (calendar_control_activate): Call
	gnome_calendar_set_ui_component() here.
	(calendar_control_deactivate): ...And here, with a NULL
	BonoboUIComponent.

	* gui/gnome-cal.c (gnome_calendar_set_ui_component): New.

2002-03-15  JP Rosevear  <jpr@ximian.com>

	* gui/main.c: use bonobo exception macros to tidy

	* gui/itip-control-factory.c: ditto

	* gui/gnome-cal.c: ditto

	* gui/comp-editor-factory.c: ditto

	* gui/calendar-commands.c: ditto

2002-03-14  JP Rosevear  <jpr@ximian.com>

	* idl/evolution-calendar.idl: add all day event editor mode

	* gui/component-factory.c: clean up exception handling
	(sc_user_create_new_item_cb): support the all day event id
	(create_object): add a user creatable all day appointment item

	* gui/comp-editor-factory.c (get_default_event): get a default
	event either all day or starting at the top of the hour
	(get_default_task): get a default task
	(edit_new): support the all day event mode

	* gui/calendar-commands.c: remove unused functions/verbs

2002-03-13  Ettore Perazzoli  <ettore@ximian.com>

	* gui/GNOME_Evolution_Calendar.oaf.in: Add an
	"evolution:config_item:icon_path" attribute so we get an icon for
	the calendar preferences.

2002-03-12  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/cal-prefs-dialog.glade: Add <visible>False</visible>
	to cal-prefs-dialog so it doesn't get shown when we load the Glade
	file with libglade.

	* gui/component-factory.c (owner_set_cb): Register the
	ConfigControl factory.

	* gui/tasks-control.c: Removed verb "TaskSettings".
	(tasks_control_settings_cmd): Removed.

	* gui/calendar-commands.c: Removed verb "CalendarSettings".
	(settings_cmd): Removed.

	* gui/dialogs/cal-prefs-dialog.c: Renamed `CalPrefsDialogPrivate'
	to `DialogData'.  Replace `dialog' member with a `page' member.
	Remove `toplevel_notebook' member.
	(init_widgets): Renamed from `cal_prefs_dialog_init_widgets'.
	Just get a DialogData.
	(get_widgets): Get a DialogData pointer.
	(cal_prefs_dialog_destroy): Removed.
	(config_control_destroy_callback): New, signal handler for
	::destroy for ConfigControl.
	(cal_prefs_dialog_new): Create a new DialogData, connect all the
	signal handlers.
	(create_time_edit): Renamed from
	`cal_prefs_dialog_create_time_edit'.
	(cal_prefs_dialog_show): Removed.
	(cal_prefs_dialog_button_clicked): Removed.
	(show_task_list_config): Get a DialogData.
	(show_config): Renamed from `cal_prefs_dialog_show_config'.
	Likewise.
	(update_task_list_config): Likewise.
	(update_config): Renamed from
	`cal_prefs_dialog_update_config'. Likewise.
	(color_set_callback): New callback, makes the dialog report
	changes when the setting in any of the color widgets is changed.
	(widget_changed_callback): New callback, makes the dialog report
	changes when any of the widgets changes status.
	(connect_changed): New utility function to connect this callback
	to all the widgets.
	(setup_widgets): Connect all the widgets.
	(cal_prefs_dialog_new): Call `setup_widgets'.

	* gui/config-control-factory.c: New.
	* gui/config-control-factory.h: New.

	* gui/GNOME_Evolution_Calendar.oaf.in: Add
	OAFIID:GNOME_Evolution_Calendar_ConfigControl and
	OAFIID:GNOME_Evolution_Calendar_ConfigControlFactory.

2002-03-06  Rodrigo Moya <rodrigo@ximian.com>

	Should fix #21240

	* gui/alarm-notify/alarm-notify.c: replaced use of GnomeVFSURI
	with EUri, to allow non-registered methods.

2002-03-05  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-itip-control.c (e_itip_control_set_data): reverted my last
	change of adding the METHOD property to the incoming request.

	* gui/itip-utils.c (comp_string): added extra
	X-MICROSOFT-CDO-REPLYTIME property for broken Outlook. Should fix
	#20783.

2002-03-04  Dan Winship  <danw@ximian.com>

	* gui/itip-utils.c (comp_compliant): Reset the DTSTAMP of the new
	component. (RFC2245 says DTSTAMP corresponds to the time the
	particular iCalendar representation of the object was created.)
	Fixes #21198.

2002-03-05  JP Rosevear  <jpr@ximian.com>

	* gui/print.c: remove unneeded parameter from print_text_size
	everywhere
	(get_font_for_size): calculate a font size based on the available
	height
	(print_text): calculate the top of where the font should be drawn
	(print_text_size): use get_font_for_size
	(print_day_background): use get_font_for_size

2002-03-05  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_draw): pass the real table
	to e_meeting_model_etable_view_to_model_row
	(e_meeting_time_selector_item_paint_busy_periods): ditto

	* gui/dialogs/meeting-page.c (right_click_cb): ditto
	
	* gui/e-meeting-model.h: update protos

	* gui/e-meeting-model.c
	(e_meeting_model_etable_model_to_view_row): take in to account the
	fact the table used the without model
	(e_meeting_model_etable_view_to_model_row): ditto

2002-03-04  Damon Chaplin  <damon@ximian.com>

	* gui/tasks-control.c: added support for printing the Tasks table.
	I hacked it a bit so the user could choose portrait or landscape mode.
	This is bug #9677. ETable printing has a few issues, though, and it
	isn't very pretty.

2002-03-04  Dan Winship  <danw@ximian.com>

	* gui/itip-utils.c (comp_subject): Prefix the subject with an
	indicator like "Accepted" or "Cancelled" explaining what the
	action is, since Outlook doesn't display any of that information
	inline like we do. (20780)

2002-02-28  Rodrigo Moya <rodrigo@ximian.com>

	* calendar/gui/e-itip-control.c (e_itip_control_set_data): added the
	METHOD property to the top level component we create.

2002-02-26  Rodrigo Moya <rodrigo@ximian.com>

	* gui/control-factory.c (set_prop):
	* gui/tasks-control.c (tasks_control_set_property): display an error
	message if the call to gnome_calendar_open or e_tasks_open does not
	return TRUE. Fixes #20346.

2002-02-25  Dan Winship  <danw@ximian.com>

	* gui/itip-utils.c (itip_send_comp): use
	GNOME_Evolution_Composer_setBody rather than _setMultipartType and
	_attachData now, to send a message containing just a text/calendar
	part. Fixes 14705. Mostly.
	(comp_content_type): Include the filename here since we can't add
	a Content-Disposition now.

2002-02-24  Chris Toshok  <toshok@ximian.com>

	* gui/cal-search-bar.c (cal_search_bar_class_init): change
	query_changed to search_activated.
	(cal_search_bar_search_activated): rename
	cal_search_bar_query_changed to this.

2002-02-21  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (add_creatable_item): New helper
	function.
	(create_object): Add icons for the various user creatable items.

2002-02-19  JP Rosevear  <jpr@ximian.com>
 
 	* gui/e-itip-control.c (send_item): pass extra itip_send_comp
	params
 	(send_freebusy): ditto
 	(ok_clicked_cb): ditto, including the timezones culled from the
	component
 
 	* gui/e-week-view.c: pass extra itip_send_comp params
 
 	* gui/calendar-commands.c: ditto
 
 	* gui/e-day-view.c: ditto
 
 	* gui/dialogs/task-editor.c: ditto
 
 	* gui/dialogs/event-editor.c: ditto
 
 	* gui/dialogs/comp-editor.c: ditto
 	
 	* gui/itip-utils.h (itip_send_comp): update proto
 
 	* gui/itip-utils.c (foreach_tzid_callback): check the passed in
 	zones, then the builtin time zones then the client

2002-02-19  JP Rosevear  <jpr@ximian.com>
 
 	* gui/e-itip-control.c (find_my_address): strip the ical value and
 	do a case insensitive compare
 	(find_attendee): ditto
 	(change_status): put the error message here
 	(ok_clicked_cb): don't update the item or rsvp unless
 	change_status was successful, trip the ical value and do a case
 	insensitive compare
 
 	* gui/itip-utils.c (get_address): strip the incoming address
 	(itip_strip_mailto): use g_strncasecmp
 	(comp_limit_attendees): strip the ical value and do a case
 	insensitive compare

2002-02-14  JP Rosevear  <jpr@ximian.com>
 
 	* gui/e-meeting-model.c: use new column enums
 	(set_value_at): emit pre-change/cell change signals
 	(destroy): destroy refresh_queue and refresh_data
 	(init): init new elements
 	(refresh_queue_add): if the attendee is being refreshed already,
 	possibly update the start/end times to look for and update the
 	callback info, otherwise add it to the queue
 	(refresh_queue_remove): remove a refreshing attende from the queue
 	(process_callbacks): make all the callbacks and remove the
 	attendee from the queue
 	(process_free_busy): process the callbacks immediately if parsing
 	fails or on successful completion of processing
 	(async_close): process free busy
	(cursor_cb): we're only looking for one at a time now
 	(refresh_busy_periods): idle callback to start processing the queue
 	(e_meeting_model_refresh_all_busy_periods): add every row to the queue
 	(e_meeting_model_refresh_busy_periods): add a single row to the queue
 
 	* gui/e-meeting-model.h: new protos, enum the columns
 
 	* gui/e-meeting-time-sel.c: use new compare time function
 	(e_meeting_time_selector_construct): listen for a cell changed
 	signal and use separate callbacks for rows_inserted and
 	rows_deleted
 	(e_meeting_time_selector_refresh_free_busy): util function to
 	refresh free busy info
 	(e_meeting_time_selector_on_update_free_busy): use above
 	(rows_inserted_cb): refresh free busy on the new rows
 	(cell_changed_cb): refresh free busy on the row when the address
 	changes
 	(rows_deleted_cb): redraw
 
 	* gui/e-meeting-utils.[hc]: a holding spot for a meeting time
 	comparison function
 
 	* gui/Makefile.am: compile new files
	
2002-02-13  Rodrigo Moya <rodrigo@ximian.com>

        * gui/control-factory.c (set_prop): don't append 'calendar.ics'
	to the URI.
	(get_prop): finished.

	* gui/tasks-control.c (tasks_control_set_property): don't append
	'tasks.ics' to the URI.
	(tasks_control_get_property): finished.

	* gui/gnome-cal.c (gnome_calendar_open):
	* gui/e-tasks.c (e_tasks_open): append $filename.ics to the uri to be
	opened if the uri is local. Leave intact in other cases.

2002-02-08  Damon Chaplin  <damon@ximian.com>

	* gui/comp-util.c (cal_comp_util_compare_event_timezones): check if
	the CalComponentDateTime values are set before trying to use them.
	Possibly fixes bug #18529.

	* importers/icalendar-importer.c: added vCalendar importer and
	intelligent GnomeCalendar importer code here, as it shares a lot of
	code with the iCalendar importer.

	NOTE: check_folder_type() needs to be finished at some point.
	It needs a new shell Corba call so it can decide whether to import
	events or tasks into the folder. Currently it just imports both.

	* importers/main.c (importer_factory_fn): create vCalendar importer
	or GnomeCalendar importer if required.

	* importers/evolution-calendar-importer.h: added declarations for
	creating a vCalendar importer and intelligent Gnome Calendar importer.

	* importers/Makefile.am: added -DEVOLUTION_SOUNDDIR so the importer
	knows what filename to use for audio alarms in vCalendar files.
	Added libicalvcal-evolution to LDADD.

	* importers/GNOME_Evolution_Calendar_Importer.oaf.in: added vCalendar
	importer and intelligent Gnome Calendar importer.

	* gui/comp-util.c (cal_comp_util_compare_event_timezones): return TRUE
	if the event uses UTC. We don't want to flag all events from Outlook,
	which use UTC.

2002-02-08  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/task-details-page.glade: change custom widget
	creator to e_url_entry_new

	* gui/dialogs/task-details-page.c (get_widgets): get the url entry
	and its entry

2002-02-08  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/task-details-page.glade: add a custom widget created
	with e_url_button_new

	* gui/dialogs/task-details-page.c (task_details_page_init): init
	url_button member to NULL
	(init_widgets): set the url button entry
	(get_widgets): get the url button

	* gui/calendar-commands.c (pixmaps): use new all day event icon

2002-02-07  JP Rosevear  <jpr@ximian.com>

	* gui/e-day-view.c: pass meeting boolean for
	gnome_calendar_edit_object and gnome_calendar_new_appointment_for

	* gui/e-week-view-event-item.c: ditto

	* gui/e-week-view.c: ditto

	* gui/tasks-control.c (confirm_expunge): kill warning

	* gui/calendar-commands.c (new_meeting_cb): show a new meeting
	dialog
	(new_event_cb): pass new param

	* gui/gnome-cal.c (gnome_calendar_edit_object): take meeting
	boolean and show meeting page if true
	(gnome_calendar_new_appointment_for): takeing meeting param and
	pass to above
	(gnome_calendar_new_appointment): add new param

	* gui/gnome-cal.h: update proto

	* gui/component-factory.c (create_component): take a comp editor
	mode, determine vtype
	(sc_user_create_new_item_cb): check for meeting user creatable
	item
	(create_object): add meeting as user creatable item

	* gui/comp-editor-factory.c (edit_new): get a comp editor mode
	now, determine vtype and show meeting page if required
	(queue_edit_new): get comp editor mode
	(impl_editNew): ditto, plus queue the mode directly instead of
	determining the vtype

	* gui/dialogs/event-editor.c (show_meeting): new internal util
	function to show meeting page
	(event_editor_show_meeting): show the meeting
	(schedule_meeting_cmd): use show_meeting

	* gui/dialogs/event-editor.h: new proto

	* idl/evolution-calendar.idl: editNew takes a mode rather than a
	type now

	* cal-util/Makefile.am: fix includes

2002-02-07  Christopher James Lahey  <clahey@ximian.com>

	* gui/e-tasks.c (e_tasks_setup_view_menus), gui/gnome-cal.c
	(gnome_calendar_setup_view_menus): Made these use the new
	GalViewMenus stuff.

2002-02-06  Damon Chaplin  <damon@ximian.com>

	* cal-util/cal-recur.c (cal_recur_from_icalproperty): convert months
	from 1-12 to 0-11. Fixes bug #19235.

2002-02-04  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/todo-conduit.c (e_todo_gui_new): new gui routines
	for conduit settings
	(e_todo_gui_fill_config): ditto
	(e_todo_gui_fill_widgets): ditto
	(e_todo_gui_destroy): ditto
	(e_todo_context_destroy): destroy new_cfg and gui properly
	(local_record_from_comp): set the priority to the default setting
	if none is set on the icalendar object
	(fill_widgets): fill gui widgets
	(create_settings_window): create gui

2002-01-30  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (write_html): if this is a reply, print the
	attendee status

2002-01-25  Federico Mena Quintero  <federico@ximian.com>

	* gui/dialogs/alarm-options.glade: Use 1 instead of zero as the
	minimum value for the repetitions spin button as we use a check
	box to specify whether the alarm has repetitions or not.  Fixes
	bug #19054.

2002-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* importers/Makefile.am (evolution_calendar_importer_LDADD):
	Ooops.  Forgot to use EVOLUTION_CALENDAR_LIBS here.

2002-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* conduits/calendar/Makefile.am: Use
	EVOLUTION_CALENDAR_CONDUIT_LIBS and
	EVOLUTION_CALENDAR_CONDUIT_CFLAGS.
	* conduits/todo/Makefile.am: Likewise.

	* cal-client/Makefile.am: Use EVOLUTION_CALENDAR_LIBS and
	EVOLUTION_CALENDAR_CFLAGS.
	* cal-util/Makefile.am: Likewise.
	* gui/alarm-notify/Makefile.am: Likewise.
	* gui/Makefile.am: Likewise.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (create_object): Pass a NULL @icon to
	`evolution_shell_component_add_user_creatable_item()'.

2002-01-21  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/todo-conduit.c (todoconduit_load_configuration):
	return a new configuration struct, load default priority setting
	(todoconduit_save_configuration): save default priority setting
	(e_todo_context_new): dupe configuration

	* conduits/calendar/calendar-conduit.c (e_calendar_context_new):
	set ps to NULL

2002-01-17  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/alarm-page.c (get_alarm_string): save the alarm string
	in the correct variable (str), so it actually gets shown for alarms
	with specific trigger times. Fixes bug #18801.

2002-01-15  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/task-page.c (task_page_fill_widgets): default component
	classification to PUBLIC. Fixes internal bug #1066

2002-01-14  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c: move all functions here,
	get rid of header files, use e-pilot-settings to display gui

	* conduits/todo/todo-conduit.c: as above
	
2002-01-14  JP Rosevear  <jpr@ximian.com>
	
	* gui/gnome-cal.c (get_current_time): use icaltimetype_to_tm
	
2002-01-14  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-week-view-main-item.c (e_week_view_main_item_draw_day):
	figure out when today is and highlight if it is not selected

	* gui/e-week-view.h: enum the "today" color

	* gui/e-week-view.c (e_week_view_realize): init the "today" color

2002-01-13  JP Rosevear  <jpr@ximian.com>

	* gui/alarm-notify/save.h: add protos

	* gui/alarm-notify/save.c (save_blessed_program): records a
	program as blessed
	(is_blessed_program): checks to see if a program is blessed

	* gui/alarm-notify/alarm-queue.c (procedure_notification_dialog):
	popup a dialog notifying the user that is a program and let them
	not see the dialog about this program again
	(procedure_notification): use above

2002-01-11  Damon Chaplin  <damon@ximian.com>

	* gui/e-timezone-entry.c: 
	* gui/e-itip-control.c (write_label_piece): 
	* gui/calendar-config.c (on_timezone_set): translate timezone names
	when displayed. Fixes bug #6544.

2002-01-03  JP Rosevear  <jpr@ximian.com>

	* gui/tasks-control.c (tasks_control_complete_cmd): new verb
	callback
	(sensitize_commands): set sensitivity of mark complete command

	* gui/e-tasks.h: new proto

	* gui/e-tasks.c (e_tasks_complete_selected): mark selected tasks
	in the table as complete

	* gui/e-calendar-table.h: new proto

	* gui/e-calendar-table.c (e_calendar_table_complete_selected):
	mark selected rows as complete

2002-01-03  JP Rosevear  <jpr@ximian.com>
	
	* gui/tasks-control.c (confirm_expunge): only need one warning
	message now

	* gui/e-tasks.c (create_sexp): change the logic to expunge all
	completed tasks not just hidden ones

2002-01-03  JP Rosevear  <jpr@ximian.com>
	
	* gui/tasks-control.c (confirm_expunge): confirm expunging of the
	tasks
	(tasks_control_expunge_cmd): verb callback

	* gui/calendar-config.c (config_read): read confirm expunge value
	(calendar_config_write): write confirm expunge value
	(calendar_config_write_on_exit): ditto
	(calendar_config_get_confirm_expunge): get value
	(calendar_config_set_confirm_expunge): set value

	* gui/calendar-config.h: new proto

	* gui/e-itip-control.c (start_calendar_server): kill warning

	* gui/e-tasks.c (e_tasks_init): init query member to NULL
	(set_status_message): util function to set status message
	(e_tasks_open): use above
	(cal_opened_cb): ditto
	(create_sexp): create sexp of items to be deleted
	(query_obj_updated_cb): remove any items found
	(query_eval_error_cb): bail out on error
	(query_query_done_cb): tidy when done
	(e_tasks_delete_completed): set up query

	* gui/e-tasks.h: new proto

	* gui/calendar-model.c (query_query_done_cb): use g_warning
	instead of printing to stderr
	(query_eval_error_cb): ditto
	(update_query): clear the status message if we can't create the
	query

	* gui/tag-calendar.c (resolve_tzid_cb): make this static

2001-12-21  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/comp-editor.c: remove needs send signal related
	cruft
	(save_comp_with_send): with send_component_dialog, indicate if the
	meeting info is newly created or not
	(real_edit_comp): remember if the dialog initially needs a send

	* gui/dialogs/send-comp.c (send_component_dialog): take a "new"
	parameter indicating whether the dialog should intimate if the
	component to be sent is a new meeting or not

	* gui/dialogs/send-comp.h: update proto

	* gui/dialogs/comp-editor.c: remove no longer used needs_send
	notification and signal

	* gui/dialogs/comp-editor.h: remove proto

	* gui/e-day-view.c (e_day_view_on_main_canvas_drag_data_received): add new
	param to send_component_dialog
	(e_day_view_finish_long_event_resize): ditto
	(e_day_view_finish_resize): ditto
	(e_day_view_on_editing_stopped): ditto
	(e_day_view_on_top_canvas_drag_data_received): ditto

	* gui/e-week-view.c (e_week_view_on_editing_stopped): add new
	param to send_component_dialog

2001-12-21 JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/comp-editor.h: inherit from bonobo window	

	* gui/dialogs/comp-editor.c: inherit from bonobo window
	(comp_editor_key_press_event): Look for an escape key press and
	close the window if found

2001-12-20  Ettore Perazzoli  <ettore@ximian.com>

	[Fixes #17377, Evolution doesn't work on multi-depth displays.]

	* gui/main.c (main): Push GdkRGB visual and colormap.

2001-12-19  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (check_for_slow_setting):
	go slow and clear the map if the last uri and the current uri do
	not match
	(post_sync): save the last uri

	* conduits/calendar/calendar-conduit-config.h: handle a last uri
	config option

	* conduits/todo/todo-conduit-config.h: ditto

    	* conduits/calendar/calendar-conduit.c (start_calendar_server):
    	use the open_default_calendar method
    
    	* conduits/todo/todo-conduit.c (start_calendar_server): same as above
	
    	* cal-client/Makefile.am: link with bonobo conf
    
    	* cal-client/cal-client.h: new protos
    
    	* idl/evolution-calendar.idl: make sure open method raises
    	appropriate exceptions
    
     	* gui/e-itip-control.c (start_calendar_server): use
     	cal_client_open_default_* calls
     
     	* cal-client/cal-client.c (real_open_calendar): do the real work
     	of loading
     	(cal_client_open_calendar): use above
     	(get_fall_back_uri): get the basic local uri
     	(get_default_uri): get the default uri from the config db
     	(cal_client_open_default_calendar): open the default uri or the
     	fallback if the method is unsupported
     	(cal_client_open_default_tasks): same for tasks
	
2001-12-17  JP Rosevear  <jpr@ximian.com>
 
 	* gui/e-itip-control.c (send_item): use get_real_item
 	(get_refresh_options): uncomment out
 	(get_real_item): obtain the real object which has the uid of the
 	item received
 	(show_current_todo): use get_refresh_options for refresh method
 	and provide the description and summary from the real component
 	since its not in the reply
 	(show_current_event): ditto
 	(send_item): use get_real_item

2001-12-17  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (comp_limit_attendees): can't remove properties
	in an iteration loop, so remove them outside the loop
	(comp_minimal): don't set a recurid if there isn't one, add the x
	properties to the clone
	(comp_compliant): unref the clone for DECLINECOUNTER

	* gui/e-itip-control.c (get_refresh_options): make function
	available again
	(show_current_event): use it here
	(ok_clicked_cb): can't remove properties in an iteration loop, so
	remove them outside the loop

	* cal-util/cal-component.c (free_icalcomponent): properly free the
	attendee list
	(cal_component_rescan): don't destroy the alarm hash

2001-12-13  Damon Chaplin  <damon@ximian.com>

	* zones.h: new file to contain all timezone names for translation.
	We won't be using the translations in 1.0.1, but it gives translators
	time before we do use them in 1.0.2.

	* Makefile.am: added zones.h to EXTRA_DIST.

2001-12-12  JP Rosevear  <jpr@ximian.com>
 
	* gui/e-day-view.c (e_day_view_on_top_canvas_button_release):
 	ungrab the pointer before calling
 	e_day_view_finish_long_event_resize
 	(e_day_view_on_main_canvas_button_release): ditto
 	(e_day_view_finish_long_event_resize): ask if the meeting should
 	be sent
 	(e_day_view_finish_resize): ditto
 	(e_day_view_on_editing_stopped): ditto
 	(e_day_view_on_top_canvas_drag_data_received): ditto
 	(e_day_view_on_main_canvas_drag_data_received): ditto

2001-12-11  JP Rosevear  <jpr@ximian.com>

 	* gui/e-meeting-model.c (process_free_busy_comp): properly convert
 	the dtstart and dtend times if they are UTC
 	(cursor_cb): if we don't have anybody to get f/b info for, process
 	the callbacks immediately
 	(e_meeting_model_refresh_busy_periods): take start/end times,
 	calculate the timet values with object timezone
 	(e_meeting_model_etable_model_to_view_row): proper cast
 	(e_meeting_model_etable_view_to_model_row): ditto
	(async_open): bail out if we couldn't open properly

	* gui/e-meeting-time-sel.c
 	(e_meeting_time_selector_on_update_free_busy): use defines for
 	determining the number of days before and after of free busy to
 	request
 	(e_meeting_time_selector_update_dates_shown): use defines for the
 	number of days shown
 
 	* gui/e-meeting-model.h: update proto

2001-12-10  Damon Chaplin  <damon@ximian.com>

	* gui/control-factory.c (control_factory_new_control): removed code
	that connects to GnomeCalendar's "dates_shown_changed" signal.

	* gui/calendar-commands.c (gcal_calendar_dates_change_cb): 
	(calendar_control_activate): moved it here, so it gets reconnected
	whenever the control is activated. Fixes bug #15798.

2001-12-10  Damon Chaplin  <damon@ximian.com>

	* importers/GNOME_Evolution_Calendar_Importer.oaf.in: fixed executable
	name. Fixes bug #16880.

2001-12-08  JP Rosevear  <jpr@ximian.com>
  
  	* conduits/calendar/calendar-conduit.c (local_record_from_comp):
  	if we have an alarm that can be represented on the pilot, set the
  	appointment fields appropriately, if the duration has values for
  	minutes and/or hours and/or days, use the lowest common
  	denominator
  	(comp_from_remote_record): if the appointment on the pilot has an
  	alarm, find the first alarm an item currently had that is relative
  	to the start and with a negative duration and update it (or create
  	a new one if no valid ones exist)
  
 	* cal-util/cal-component.c (cal_component_get_alarm_uids): build
  	list in the order they appear in the component so we get
  	consisting order for the gui and for the pilot
 
2001-12-08  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-config.c (calendar_config_get_default_uri):
	(calendar_config_get_default_tasks_uri): s/%/%s

2001-11-09  Federico Mena Quintero  <federico@ximian.com>

	(committed by Damon)

	Fix bug #14699.

	* pcs/query.c (QueryState): Added a state QUERY_WAIT_FOR_BACKEND
	to indicate that the query is not populated as we are waiting for
	the backend to be opened.
	(query_init): Start in the QUERY_WAIT_FOR_BACKEND state.
	(query_destroy): Only disconnect from the backend if we are in a
	state that implies that we are connected to its signals.
	(query_construct): If the backend is already loaded, immediately
	set the state to QUERY_START_PENDING.
	(backend_opened_cb): Disconnect from the backend's "opened"
	signal.  Set the state to QUERY_START_PENDING.
	(match_component): We can now only match components if the query
	is in progress or if it is done.  Assert to that effect, and do
	not ensure_sexp().
	(match_component): Do not check for a nonexistent component using
	g_return_if_fail().  Also, there is no need to ref/unref the
	component.
	(backend_obj_updated_cb): Assert to the effect of our state.
	(backend_obj_removed_cb): Likewise.
	(parse_sexp): Renamed from ensure_sexp().  Assert that the query
	has not started.  Do not disconnect from the backend's signals
	here, since we have no connections.
	(start_query_cb): Set the state to QUERY_IN_PROGRESS here instead
	of in populate_query().

2001-12-07  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-config.c (calendar_config_get_default_uri):
	(calendar_config_get_default_tasks_uri): if the key in the config
	database does not exist, just return the local URIs, but never
	return NULL

2001-12-06  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/event-page.c (event_page_fill_widgets): default
	component classification to PUBLIC

2001-12-06  Jon Trowbridge  <trow@ximian.com>

        * gui/dialogs/event-editor.c (event_editor_destroy): Explicitly
	destroy the EMeetingModel.  This is a hack to work around problems
	with the reference counting; we are still leaking the
	EMeetingModels.

        * gui/e-meeting-time-sel.c
        (e_meeting_time_selector_construct): Ref our EMeetingModel.
        (e_meeting_time_selector_destroy): Unref the model.

        * gui/e-meeting-model.c (destroy): Properly destroy
	corba_select_names with a call to bonobo_object_release_unref.
        (Fixes 14002)

2001-12-05  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/event-page.glade: added entry for the LOCATION field

	* gui/dialogs/event-page.c: added support for the new LOCATION entry
	added in the Event editor.

2001-12-05  Zbigniew Chyla  <cyba@gnome.pl>

	* gui/itip-utils.c (comp_subject, comp_description):
	Marked strings for translation.

2001-12-03  Damon Chaplin  <damon@ximian.com>

	* gui/e-meeting-model.c: 
	* gui/calendar-model.c: make sure we call e_table_model_pre_change()
	before changing the model.

	* gui/calendar-config.c (calendar_config_configure_e_calendar_table): 
	removed call to e_table_model_changed(). calendar_model_refresh()
	results in that anyway.

2001-12-03  Damon Chaplin  <damon@ximian.com>

	* gui/e-calendar-table.etspec: disabled 'Alarms', 'End Date' and
	'Show Time As' fields, as these are not useful for tasks. We may want
	to reenable them later if we add a table view of calendar events.

2001-12-02  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-offline-handler.c (backend_cal_opened): connect to
	"cal_set_mode" signal before calling cal_client_set_mode. Also,
	s/cal_mode_set/cal_set_mode
	(backend_go_offline): connect to "cal_opened" signal before calling
	cal_client_open_calendar

2001-11-30  Damon Chaplin  <damon@ximian.com>

	* gui/e-itip-control.c (remove_item): only show the dialog if we
	created it. Hopefully fixes bug #15774.
	Also ifdef'ed out a lot of code that isn't currently used, including
	code to use a label which is never created. The unused code was there
	to support handling multiple iTIP objects in a message, but was never
	updated when we switched to use HTML for the control. Fixes bug #16232.

2001-11-28  Federico Mena Quintero  <federico@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_new_task): Set the category of
	the new task to that of the search bar.  Fixes bug #15533.

2001-11-27  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-itip-control.c (update_attendee_status):
	* gui/itip-utils.c (comp_to_list): fixed typos in translatable
	strings. Fixes Ximian #15456

2001-11-14  Damon Chaplin  <damon@ximian.com>

	* gui/print.c: Substituted gnome_font_get_width_string() with
	gnome_font_get_width_utf8() and gnome_font_get_width_string_n()
	with gnome_font_get_width_utf8_sized(). Fixes calendar part of #15379.

2001-11-14  Federico Mena Quintero  <federico@ximian.com>

	* gui/calendar-model.c (date_value_to_string): Convert the buffer
	to UTF8.
	(calendar_model_value_to_string): Do not convert the string fields
	to UTF8 again; they are already in UTF8.  Fixes the UTF8-related
	bits of bug #15304.

2001-11-14  Damon Chaplin  <damon@ximian.com>

	* gui/calendar-model.c: 
	* cal-util/cal-component.h: #ifdef'ed out the LOCATION field for now,
	since it wasn't supported everywhere, or in the .etspec file.

2001-11-14  Damon Chaplin  <damon@ximian.com>

	* gui/e-calendar-table.c: don't abort when e_table_selected_count()
	returns odd values. There seems to be a bug in ETable. This is to
	avoid bug #13843.

2001-11-13  Federico Mena Quintero  <federico@ximian.com>

	(committed to CVS by Damon)
	Fixes bug #15137.
	
	* gui/e-day-view.c (e_day_view_on_delete_appointment): Do not try
	to operate on the event if it gets deleted while stopping the
	edition.
	(e_day_view_on_event_double_click): Likewise.
	(e_day_view_on_long_event_button_press): Likewise.
	(e_day_view_on_event_button_press): Likewise.
	(e_day_view_on_long_event_click): Likewise.
	(e_day_view_on_event_click): Likewise.

	* gui/e-week-view.c (e_week_view_on_text_item_event): Likewise.

2001-11-14  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (pre_sync): remove silly
	debug warning

2001-11-13  Damon Chaplin  <damon@ximian.com>

	* gui/alarm-notify/config-data.c (ensure_inited): 
	* gui/calendar-config.c (config_read): 
	* conduits/todo/todo-conduit.c (get_default_timezone): 
	* conduits/calendar/calendar-conduit.c (get_default_timezone): 
	make the timezone default to UTC. Fixes bug #14362.

2001-11-13  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-week-view.c (selection_received): only change the day,
	month and year for the start date, for not screwing up the start
	time, which was being set to midnight always (Fixes Ximian #5287)
	Also, deal correctly with VCALENDAR components
	
	* gui/e-day-view.c (selection_received): dela correctly with
	VCALENDAR components being pasted

2001-11-11  Federico Mena Quintero  <federico@ximian.com>

	* gui/alarm-notify/save.c (get_calendars_to_load): The last
	argument to the bonobo_config_get_XXX_with_default() is a gboolean
	*, not a CORBA_Environment *.  Fixes bug #14655.

2001-11-11  JP Rosevear  <jpr@ximian.com>

 	* pcs/cal-backend-file.c (free_busy_instance): recurrence
 	expansion callback for free/busy
 	(create_user_free_busy): expand recurrences and use date/time
 	values for dtstart and dtend
 
2001-11-11  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-model.h: new protos

	* gui/e-meeting-model.c (e_meeting_model_get_zone): accessor
	(e_meeting_model_set_zone): ditto
	(init): init to the calendar default zone
	(process_free_busy_comp): take the zone to convert to as a param
	(e_meeting_model_refresh_busy_periods): redraw properly

	* gui/dialogs/schedule-page.c (update_time): set the zone of the
	model

2001-11-09  Damon Chaplin  <damon@ximian.com>

	* gui/e-week-view.c (e_week_view_key_press): don't subtract a day
	from DTEND. For DATE values we don't include the entire day now.
	Fixes bug #14842.

2001-11-09  Damon Chaplin  <damon@ximian.com>

	* gui/e-week-view-layout.c (e_week_view_layout_events): fix buffer
	overflow. Fixes bug #10285 (the printing of lines & dates in the
	printout of the month view).

2001-11-09  Zbigniew Chyla  <cyba@gnome.pl>

	* gui/dialogs/meeting-page.c
	(meeting_page_fill_widgets): Convert strings to GTK+ encoding.
	(meeting_page_destroy): Free allocated strings before freeing the list
	itself.

2001-11-08  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_timeout_handler): don't let an empty
	event occur for all days when auto scrolling

2001-11-08  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-backend-file.c 
	(cal_backend_file_compute_changes_foreach_key): don't leak the
	string returned by cal_component_get_as_string nor the temporary
	CalComponent we create

2001-11-08  JP Rosevear  <jpr@ximian.com>
	
 	* gui/e-itip-control.c (ok_clicked_cb): don't add the item, remove
 	it if declining (in case it was added before)
 	(remove_item): Since we can't discern between an item not found
 	and another error, always say the removal is complete

2001-11-07  Zbigniew Chyla  <cyba@gnome.pl>

	* gui/e-cell-date-edit-text.c (ecd_get_text):
	Convert generated string to UTF-8.

2001-11-07  JP Rosevear  <jpr@ximian.com>

 	* gui/e-meeting-time-sel.c
 	(e_meeting_time_selector_on_start_time_changed): emit changed
 	signal
 	(e_meeting_time_selector_on_end_time_changed): emit changed
 	signal, if end time is now before start time and all day event,
 	make sure a whole day is still selected
 	(e_meeting_time_selector_drag_meeting_time): calculate the first
 	and last_time's in whole days for all day events
 	(e_meeting_time_selector_timeout_handler): calculate the drag time
 	to be whole days for all day events and scroll the canvas even if
 	we don't update the time so the user can see where they're headed

2001-11-06  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/event-editor.c (event_editor_edit_comp): make sure
	to remove all attendees from the model when we edit a new comp,
	append the pages if they are needed and we weren't showing them
	before

	* gui/dialogs/task-editor.c (task_editor_edit_comp): same as above

 	* gui/dialogs/comp-editor.c (comp_editor_remove_page): check for a
 	return value indicating the page was not found and return if so
 
2001-11-05  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/e-delegate-dialog.c: #include
	"Evolution-Addressbook-SelectNames.h", not
	"../Evolution-Addressbook-SelectNames.h".  Grrr.

2001-11-05  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_class_init):
	add a changed signal
	(e_meeting_time_selector_construct): emit changed signal
	(e_meeting_time_selector_set_meeting_time): ditto
	(e_meeting_time_selector_set_all_day): set the all day setting
	(e_meeting_time_selector_autopick): emit changed signal
	(e_meeting_time_selector_find_nearest_interval): find proper
	interval when in all day mode
	(e_meeting_time_selector_find_nearest_interval_backward): ditto
	(e_meeting_time_selector_drag_meeting_time): for all day events,
	move the time when past the 12 hour mark, and and always make sure
	1 full day is selected, emit changed signal when appropriate
	(e_meeting_time_selector_update_start_date_edit): set date and
	time of day together
	(e_meeting_time_selector_update_end_date_edit): ditto, and adjust
	display time if all day event

	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_draw): remove unused variable
	(e_meeting_time_selector_item_button_press): for all day mode,
	make the interval a whole day

	* gui/dialogs/schedule-page.c (update_time): set the meeting time
	selector setting instead of manual mucking with the e-date-edit
	widgets
	(init_widgets): listen to the changed signal of the meeting time
	selector instead of propagating multiple events as it updates

	* gui/dialogs/event-page.c (update_time): block time zone change
	signals

2001-11-05  Damon Chaplin  <damon@ximian.com>

	* gui/calendar-model.c (dup_date_edit_value): removed ';' in the wrong
	place. Fixes bug #14421.

2001-11-05  Dan Winship  <danw@ximian.com>

	* gui/alarm-notify/Makefile.am (evolution_alarm_notify_LDFLAGS):
	-export-dynamic for libglade custom widget.

2001-11-04  Damon Chaplin  <damon@ximian.com>

	* gui/comp-editor-factory.c (get_default_component): use TZID from the
	builtin timezone, instead of using the location name.

2001-11-02  Federico Mena Quintero  <federico@ximian.com>

	* cal-util/cal-util.c (compute_alarm_range): Short-circuit the
	calculation of the repeat time if there are zero repetitions.
	(compute_alarm_range): I'm a moron.  De-reference alarm_start when
	subtracting stuff from it!  Fixes bug #14209.

2001-10-31  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/Makefile.am: Added rules to generate
	`Evolution-Addressbook-SelectNames.h'.

	* gui/dialogs/comp-editor-util.h: #include
	"Evolution-Addressbook-SelectNames.h" from this directory.

2001-10-31  Federico Mena Quintero  <federico@ximian.com>

	* gui/dialogs/alarm-options.c: #include <string.h>

2001-10-31  Federico Mena Quintero  <federico@ximian.com>

	* gui/gnome-cal.c (dn_query_obj_updated_cb): If a query is not in
	progress, just retag the whole thing.  An event may change dates
	and tag_calendar_by_comp() would not know how to untag the old
	dates.  Fixes bug #10220.

	* pcs/query.c (start_query_cb): Connect to the backend's
	"obj_updated" and "obj_removed" signals here instead of in
	query_construct().  If a query is started while another one is
	notifying of an update, these signal connections would get appened
	to the running signal (the one that triggered the notification
	about an update) and the new signal handlers would also get
	called.  We are really not interested in updates before we
	populate the query, because we'll catch the changes anyways.

2001-10-31  Federico Mena Quintero  <federico@ximian.com>

	Fix bug #13723.

	* gui/gnome-cal.h (GnomeCalendarClass): New signals
	"calendar_focus_change", "taskpad_focus_change", and
	"taskpad_selection_changed".  Renamed "selection_changed" to
	"calendar_selection_changed".

	* gui/gnome-cal.c (gnome_calendar_get_num_tasks_selected): New
	function.
	(setup_widgets): Connect to the focus event signals of the task
	pad and the calendar view widgets.
	(gnome_calendar_delete_selection): Renamed from
	gnome_calendar_delete_event().
	(gnome_calendar_cut_clipboard): Handle the current focus location.
	(gnome_calendar_copy_clipboard): Likewise.
	(gnome_calendar_paste_clipboard): Likewise.
	(gnome_calendar_delete_selection): Likewise.
	(table_selection_change_cb): New callback.

	* gui/calendar-commands.c (sensitize_calendar_commands): Take in
	whether we should unconditionally disable everything.
	(sensitize_taskpad_commands): Analogous function to the above.
	(gcal_calendar_focus_change_cb): New callback, used for calendar
	views.
	(gcal_taskpad_focus_change_cb): New callback, used for the
	taskpad.

	* gui/e-day-view.c (e_day_view_key_press): Use a better test for
	keys that should start editing.  Fixes bug #6447.

	* gui/e-week-view.c (e_week_view_key_press): Likewise.

2001-10-31  Christopher James Lahey  <clahey@ximian.com>

	* gui/calendar-model.c: Make the pre_changes and changes match
	here.

2001-10-31  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): send as mixed rather than
	alternative

2001-10-31  Ettore Perazzoli  <ettore@ximian.com>

	* gui/alarm-notify/save.c (KEY_CALENDARS_TO_LOAD):
	Removed.
	(KEY_NUM_CALENDARS_TO_LOAD): New key, containing the number of
	calendars to load.
	(BASE_KEY_CALENDAR_TO_LOAD): New base key name for the URIs of the
	calendars to load.
	(save_calendars_to_load): Rewrote to not use a sequence, to work
	around an ORBit bug that causes bonobo-moniker-xmldb to crash.
	(get_calendars_to_load): Likewise.

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/comp-editor.c (comp_editor_remove_page): disconnect
	signals added in append_page(). Fixes Gtk-Critical warning about
	GtkAccelGroup being added twice to a window.

2001-10-30  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): set a body for the message

2001-10-30  Dan Winship  <danw@ximian.com>

	* gui/itip-utils.c (itip_send_comp): call
	GNOME_Evolution_Composer_setMultipartType to get a
	multipart/alternative.

2001-10-30  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_on_start_time_changed): don't overwrite
	memory
	(e_meeting_time_selector_on_end_time_changed): ditto

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* gui/calendar-model.c (dup_date_edit_value): return NULL if passed
	NULL. Should fix bug #14048.

2001-10-30  Federico Mena Quintero  <federico@ximian.com>

	* gui/calendar-config.c (config_read): Do not ignore the
	exceptions of the cases that do not have defaults.

2001-10-30  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_drag_meeting_time): if we are doing all
	day stuff, make the drag increment 1 day at a time

2001-10-30  Federico Mena Quintero  <federico@ximian.com>

	* gui/dialogs/meeting-page.c (meeting_page_fill_component): Add
	_() to a string that was missing it.

2001-10-30  Federico Mena Quintero  <federico@ximian.com>

	* gui/dialogs/meeting-page.c (table_canvas_focus_out_cb): Commit
	the ETable click-to-add for if the dialog is being destroyed.
	Should fix bug #13959.

2001-10-30  Federico Mena Quintero  <federico@ximian.com>

	* gui/itip-utils.c (itip_send_comp): Allocate enough space for the
	string!  (was missing the null terminator) Possibly fixes #13924.
	Thanks a *LOT* to Michael Zucchi for running this through Purify.

2001-10-30  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_button_press): move in whole day
	increments if we are in all day mode

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_on_start_time_changed): get rid of
	localtime call
	(e_meeting_time_selector_on_end_time_changed): ditto
	(e_meeting_time_selector_update_start_date_edit): set the date
	editor using the meeting time fields directly
	(e_meeting_time_selector_update_end_date_edit): ditto

	* gui/dialogs/schedule-page.c (update_time): do the set_show_time
	stuff first

	* conduits/calendar/calendar-conduit.c (process_multi_day): don't
	adjust the time, set the default timezone for date values

2001-10-30  Dan Winship  <danw@ximian.com>

	* gui/alarm-notify/Makefile.am (INCLUDES):
	s/BONOBO_HTML_GNOME_LIBS/BONOBO_HTML_GNOME_CFLAGS/

2001-10-30  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-model.c (e_meeting_model_count_actual_attendees):
	count the actual attendees (doesn't include people delegating

	* gui/e-meeting-time-sel.c: use
	e_meeting_model_count_actual_attendees (renamed)

	* gui/e-meeting-time-sel-item.c: use
	e_meeting_model_etable_view_to_model_row calls instead of calling
	on the model directly, use e_meeting_model_count_actual_attendees

	* gui/e-meeting-model.c
	(e_meeting_model_etable_model_to_view_row): get the real mapping
	(e_meeting_model_etable_view_to_model_row): ditto
	(get_key): e-table-without callback
	(duplicate_key): ditto
	(free_gotten_key): ditto
	(free_duplicated_key): ditto
	(init): create without model
	(e_meeting_model_etable_from_model): build etable from without
	model

	* gui/e-meeting-model.h: update protos

	* gui/dialogs/meeting-page.c (right_click_cb): convert row from
	view to model row

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/task-page.c (task_page_fill_widgets): set to the default
	timezone for DATE values, in case the user switches to a DATE-TIME.

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/task-page.c: handle DATE values for Start and Due dates.

2001-10-30  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/schedule-page.c: 
	* gui/dialogs/event-page.c: 
	* gui/dialogs/comp-editor-util.c: updated code to handle DATE values.

	* gui/gnome-cal.c (gnome_calendar_new_appointment_for): 
	* gui/e-day-view.c (e_day_view_key_press): updated DATE code.

	* gui/e-cell-date-edit-text.c: 
	* gui/calendar-model.c: updated to support DATE values.

	* cal-util/cal-recur.c (cal_recur_generate_instances_of_rule): updated
	to use DATE values in same way as Outlook - i.e. the DTEND date is
	not included entirely. Though I did make it so that if the DTSTART
	and DTEND used the same DATE value, it includes the entire day.
	So 1-day events should be the same. Long All-Day events will be
	1 day shorter.

	* cal-util/cal-component.c (cal_component_get_start_plus_duration): 
	don't subtract a day from the end date.

	* gui/tasks-control.c: updated the EPixmap paths for Cut/Copy etc.
	Removed Print & Print Preview paths, since we don't have menu commands
	for these any more.

2001-10-30  Federico Mena Quintero  <federico@ximian.com>

	Fix bug #10016.

	* gui/dialogs/comp-editor.c (comp_editor_merge_ui): Use
	bonobo_ui_util_set_ui() instead of doing things by hand.  Hmmm, if
	only that function had a way of telling us whether it failed so
	that we could avoid setting the verb list...

	* gui/dialogs/event-editor.c (event_editor_init): Do not pass the
	filename with the full path so that Bonobo can find it in a smart
	way.

	* gui/dialogs/task-editor.c (task_editor_init): Likewise.

2001-10-30  Federico Mena Quintero  <federico@ximian.com>

	* gui/dialogs/delete-comp.c (delete_component_dialog): Use an
	EMessageBox instead of a gnome_dialog_question so that the label
	gets line breaking.  Fixes bug #11260.

2001-10-29  Federico Mena Quintero  <federico@ximian.com>

	Fix bug #13649.

	* gui/calendar-config.c
	(calendar_config_get_use_default_reminder): New function.
	(calendar_config_set_use_default_reminder): New function.
	(calendar_config_get_default_reminder_interval): New function.
	(calendar_config_set_default_reminder_interval): New function.
	(calendar_config_get_default_reminder_units): New function.
	(calendar_config_set_default_reminder_units): New function.
	(config_read): Get the options for default reminders.
	(calendar_config_write): Set the options for default reminders.

	* gui/dialogs/cal-prefs-dialog.c (cal_prefs_dialog_show_config):
	Set the default reminder widgets from the config values.
	(cal_prefs_dialog_update_config): Set the config values from the
	widgets.

	* gui/comp-util.c (cal_comp_event_new_with_defaults): New
	function; creates a VEVENT component with the default alarm.

	* gui/e-day-view.c (e_day_view_key_press): Use
	cal_comp_event_new_with_defaults ();

	* gui/e-week-view.c (e_week_view_key_press): Likewise.
	* gui/calendar-model.c (calendar_model_append_row): Likewise.
	* gui/comp-editor-factory.c (get_default_component): Likewise.
	* gui/gnome-cal.c (gnome_calendar_new_appointment_for): Likewise.

	* cal-util/cal-component.c (ensure_alarm_properties_cb): Ensure we
	have a DESCRIPTION property.
	(cal_component_commit_sequence): Ensure we have the mandatory
	alarm properties.

2001-10-30  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-model.c (process_section): process an individual
	section here
	(select_names_ok_cb): call above
	(get_select_name_dialog): listen for ok:dialog signal

2001-10-29  Damon Chaplin  <damon@ximian.com>

	* importers/Makefile.am (evolution_calendar_importer_LDADD): 
	* gui/Makefile.am (evolution_calendar_LDADD): 
	* cal-util/Makefile.am (test_recur_LDADD): 
	* cal-client/Makefile.am (client_test_LDADD): use libical-evolution.la

	* gui/dialogs/schedule-page.c: save the timezone passed in for the
	start time, so if our times are changed we use this. Also, if the
	end time was passed in in a different timezone, convert it.
	Also hide the time fields for DATE values. Note that DATE values still
	do not work.

	* gui/dialogs/meeting-page.glade: changed "Invite Others" to
	"Invite Others..." to be consistent with the other page.

	* gui/dialogs/event-page.c (times_updated):
	(all_day_event_toggled_cb): set is_date if appropriate.

	* gui/e-itip-control.c (write_label_piece): convert all UTC times to
	the current timezone. Outlook sends simple, non-recurring, events as
	UTC times, which isn't very useful.

2001-10-29  Federico Mena Quintero  <federico@ximian.com>

	* gui/main.c (launch_alarm_daemon): Launch the alarm daemon as
	soon as the calendar component is started.  Fixes bug #13867;
	we can't really do much better than this.

2001-10-29  Federico Mena Quintero  <federico@ximian.com>

	* gui/tasks-control.c (pixmaps): Fix the verb names for the
	pixmaps in the Edit menu; they were out of synch with the XML
	UI description.

2001-10-29  Chris Toshok  <toshok@ximian.com>

	* pcs/cal-factory.c (cal_factory_dump_active_backends): new
	function.
	(dump_backend): new function.

	* pcs/cal-factory.h: add prototype for
	cal_factory_dump_active_backends.

2001-10-29  Federico Mena Quintero  <federico@ximian.com>

	Fix bug #12163.

	* cal-util/cal-util.c (compute_alarm_range): Take alarm
	repetitions into account.
	(add_alarm_occurrences_cb): Add alarm repetitions.
	(generate_absolute_triggers): Likewise.
	(generate_absolute_triggers): Oops, absolute triggers are in UTC,
	so convert them as such.  Also, pay attention to the timezones of
	the dtstart and dtend properties.

2001-10-29  JP Rosevear  <jpr@ximian.com>

	* importers/Makefile.am: include the header as a source so it gets
	dist'ed.

2001-10-29  Ettore Perazzoli  <ettore@ximian.com>

	* importers/Makefile.am (INCLUDES):
	s/BONOBO_CFLAGS/BONOBO_GNOME_CFLAGS/.

2001-10-29  Rodrigo Moya <rodrigo@ximian.com>

	* importers/icalendar-importer.c (load_file_fn): fixed URI
	construction, which was preventing importing into the root
	calendar (~/evo/local/Calendar/)

2001-10-29  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (is_all_day): handle date
	values

2001-10-29  Rodrigo Moya <rodrigo@ximian.com>

	* importers/: added evolution-calendar-importer binary, starting
	with an iCalendar file importer

2001-10-29  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/todo-conduit-config.h
	(todoconduit_load_configuration): get the management object by id

	* conduits/calendar/calendar-conduit-config.h
	(calconduit_load_configuration): ditto

2001-10-29  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-config.[ch] (calendar_config_get_default_uri):
	(calendar_config_set_default_uri):
	(calendar_config_get_default_tasks_uri):
	(calendar_config_set_default_tasks_uri): new functions for setting
	and retrieving the default calendar URIs

	* gui/e-itip-control.c (init): don't use
	hard-coded URI, but use the default calendar URI, as returned
	by calendar_config_get_default_uri
	(start_calendar_server): added a "gboolean tasks" parameter, so
	that the local tasks.ics file is used if the calendar to be
	started is for tasks when no default tasks URI is found in
	the configuration

2001-10-28  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (add_record): unref the
	comp when finished

	* conduits/todo/todo-conduit.c (add_record): ditto
	
2001-10-28  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/task-page.c (task_page_fill_widgets): added break
	statements after each case, when setting the classification.
	Fixes bug #13772.

2001-10-28  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (destroy_wombat_client): removed this
	function, as we don't need to unref at all the WombatClient
	object, since it is aggregated to the CalListener object, which
	will take care of unrefing it (Fixes Ximian #12001)
	(cal_client_open_calendar): create the WombatClient here

2001-10-28  Damon Chaplin  <damon@ximian.com>

	* gui/print.c (print_todo_details): get the tasks directly from the
	CalendarModel, so we get the filtering & sorting for free. Fixes
	bug #10280. Hmm. This seems too easy. It isn't going to work is it...

	* gui/gnome-cal.c (gnome_calendar_get_task_pad): new function to get
	the TaskPad ECalendarTable, for printing.

	* gui/calendar-model.c: 
	* gui/calendar-config.c (calendar_config_get_hide_completed_tasks_sexp): 
	split this out from calendar-model.c so we could use it for printing,
	but ended up doing that a different way.

	* gui/dialogs/task-page.c (init_widgets): removed a duplicated signal
	connected to field_changed_cb().

2001-10-27  Damon Chaplin  <damon@ximian.com>

	* gui/print.c (print_week_view): 
	(range_selector_new): when the week start day is set to Sunday, we
	have to be careful to make sure we print the correct week, since
	the previous Saturday is actually printed first. Fixes bug #13687.
	(print_week_summary): always set compress_weekend to true if
	multi_week_view is FALSE (i.e. we are printing the week view).
	Fixes bug #13688.

	* gui/e-itip-control.c (send_freebusy): use the timezones from the
	DTSTART and DTEND.
	(write_label_piece): output the date-time and the timezone after it.
	Note that we may want to convert it to the current timezone and display
	that as well. Also converted COMPLETED to the current timezone.
	And fixed all uses of old timezone functions.

	* gui/dialogs/comp-editor.c (commit_all_fields): added function to
	set the focus in the window to NULL, so all fields lose their focus,
	so they emit "changed" signals and update their values if needed.
	We call this when most menu commands are used, e.g. 'Save and Close',
	'Print' etc. Fixes bug #11434. In future we should also check fields
	are valid and show dialogs if they are not.

	* gui/calendar-model.c (get_completed): use the completed value
	properly. Fixes bug #13694.

	* cal-util/timeutil.c (icaltimetype_to_tm_with_zone): don't check
	from_zone and to_zone != NULL. A NULL zone is valid, it is for
	floating times.

2001-10-27  Federico Mena Quintero  <federico@ximian.com>

	* gui/e-day-view.c (e_day_view_on_text_item_event): Cancel editing
	if the user presses Escape.

	* gui/e-week-view.c (e_week_view_on_text_item_event): Likewise.

	* gui/cal-search-bar.c: #include <string.h>

2001-10-27  Federico Mena Quintero  <federico@ximian.com>

	* gui/e-day-view.c (e_day_view_on_editing_stopped): Delete
	appointments with empty summaries.  Fixes Ximian bug #780.

	* gui/e-week-view.c (e_week_view_on_editing_stopped): Likewise.

	* gui/dialogs/delete-comp.c (delete_component_dialog): Added an
	argument to specify whether we unconditionally want single
	components to be considered as not having a summary.

	* gui/comp-util.c (cal_comp_confirm_delete_empty_comp): New
	function.

	* gui/misc.[ch]: New files with miscellaneous utility functions;
	moved string_is_empty() over from calendar-model.c.

	* gui/calendar-model.c: Use the string_is_empty()
	function from misc.c.

	* gui/Makefile.am (evolution_calendar_SOURCES): Added misc.[ch] to
	the list of sources.

2001-10-27  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/todo-conduit.c (local_record_from_comp): touch on
	lookup
	(check_for_slow_setting): write touched only if slow sync
	(match): touch on lookup

	* conduits/calendar/calendar-conduit.c (local_record_from_comp):
	touch the record on lookup
	(check_for_slow_setting): write touched only if slow sync
	(pre_sync): don't touch on lookup
	(match): touch on lookup

2001-10-26  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/e-calendar.conduit.in: remove the merges as
	valid sync types

	* conduits/todo/e-todo.conduit.in: as above

	* conduits/calendar/calendar-conduit.c (pre_sync): write out only
	the touched records if we are doing copies

	* conduits/todo/todo-conduit.c: as above
	
	* conduits/calendar/calendar-conduit-config.h
	(calconduit_load_configuration): get the sync type

	* conduits/todo/todo-conduit-config.h: as above
	
2001-10-26  Damon Chaplin  <damon@ximian.com>

	* gui/e-itip-control.c (write_label_piece): convert the formatted
	date to UTF-8.

	* cal-util/cal-recur.c (CAL_OBJ_DEBUG): turn off debug functions.

	* gui/dialogs/comp-editor-util.c (parse_contact_string): handle UTF8
	correctly. Bug #4450. Good enough for 1.0.

	* gui/e-week-view-event-item.c (e_week_view_draw_time): set the gc
	color before drawing. Should fix bug #11469.

	* gui/dialogs/task-editor.c (task_editor_edit_comp): show or hide the
	meeting page as appropriate. Note this may be called more than once,
	if the task gets updated somewhere else and the user clicks 'Update
	the object'. Hopefully fixes bug #12930.

	* gui/print.c (print_comp_item): printed more fields and made a little
	prettier. Fixes bug #9352.
	(print_date_label): used the correct timezones for each date field.

	* *.c: removed several debug messages.

2001-10-26  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (check_for_slow_setting):
	make debug output more accurate

	* conduits/todo/todo-conduit.c (check_for_slow_setting): ditto

2001-10-26  JP Rosevear  <jpr@ximian.com>
	
	* conduits/todo/todo-conduit.c (pre_sync): remove the uid from the
	map if was archived and is now deleted

	* conduits/calendar/calendar-conduit.c: ditto

2001-10-26  Rodrigo Moya <rodrigo@ximian.com>

	* gui/e-calendar_table.c (delete_selected_components):
	(selection_received): added status bar messages

	* gui/e-day-view.c (e_day_view_cut_clipboard):
	(selection_received): likewise

	* gui/e-week-view.c (e_week_view_cut_clipboard):
	(selection_received): likewise

2001-10-26  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.h: modify fields

	* conduits/todo/todo-conduit.h: as above

	* conduits/calendar/calendar-conduit.c (print_remote): free the
	struct after use
	(e_calendar_context_new): explicitly init context fields
	(e_calendar_context_destroy): free local records and properly free
	changed hash elements
	(start_calendar_server_cb): tidy
	(start_calendar_server): ditto
	(free_local): free a local record
	(local_record_to_pilot_record): use a static buffer to avoid leaks
	(local_record_from_comp): only copy over alarm stuff from the
	original record, we sync everything else
	(local_record_from_uid): unref the comp when we are done
	(pre_sync): free change_id
	(post_sync): ditto
	(for_each): track locals
	(for_each_modified): ditto
	(free_match): use free_local

	* conduits/todo/todo-conduit.c: as above
	
2001-10-26  Federico Mena Quintero  <federico@ximian.com>

	* pcs/cal.c (cal_construct): Get a fresh CORBA_Environment for
	every CORBA call.  Hopefully will fix #11978, but I'm not sure
	about what else could be happening.
	(cal_get_password): Free the exception.

2001-10-25  Damon Chaplin  <damon@ximian.com>

	* gui/e-itip-control.c: used functions to get PUBLISH_OPTIONS etc.,
	so we can translate them.

2001-10-25  Damon Chaplin  <damon@ximian.com>

	* cal-util/cal-recur.c (cal_obj_bysetpos_filter): subtract 1 from
	any positive BYSETPOS value, since our array is 0-based.

	* gui/dialogs/recurrence-page.c (simple_recur_to_comp): 
	(recurrence_page_fill_widgets): Outlook (2000) will not accept monthly
	recurrences like BYDAY=2TU. Instead it uses BYDAY=TU;BYSETPOS=2.
	So to be compatable with it we now do the same, although we still
	accept and convert the old format.

	* cal-client/cal-client.c (cal_client_get_component_as_string): new
	function to return a complete VCALENDAR string containing a VEVENT
	or VTODO with all the VTIMEZONEs it uses.

	* gui/dialogs/comp-editor.c (save_as_ok): use above function so we
	save the VTIMEZONE data with the VEVENT/VTODO. Fixes bug #8626.
	Also made sure we output "METHOD:PUBLISH" since Outlook (2000) will
	not import it otherwise.

	* gui/dialogs/comp-editor.c (page_mapped_cb): 
	(page_unmapped_cb): install/uninstall the GtkAccelGroup for the page.
	(comp_editor_append_page): connect to the map/unmap signals to
	install/uninstall the accelerators. (This is all for bug #11609,
	though of course it doesn't work too well in GTK+ 1.2 anyway.)

	* gui/dialogs/task-page.c (get_widgets): 
	* gui/dialogs/task-details-page.c (get_widgets): 
	* gui/dialogs/schedule-page.c (get_widgets): 
	* gui/dialogs/recurrence-page.c (get_widgets): 
	* gui/dialogs/meeting-page.c (get_widgets): 
	* gui/dialogs/event-page.c (get_widgets): 
	* gui/dialogs/alarm-page.c (get_widgets): got the GtkAccelGroup from
	the original window, ref'ed it and placed it in the CompEditorPage
	struct.

	* gui/dialogs/comp-editor-page.c (comp_editor_page_destroy): unref
	any GtkAccelGroup for the page.

	* gui/dialogs/task-page.glade: changed '_Confidential' to
	'Con_fidential' as it clashed with '_Contacts'. It now matches the
	event editor as well.

	* gui/dialogs/event-page.glade: 
	* gui/dialogs/task-page.glade: Set CAN_FOCUS to TRUE for the custom
	EDateEdit widgets, and set them as the accel targets of the labels.

2001-10-25  Rodrigo Moya <rodrigo@ximian.com>

	* gui/dialogs/comp-editor.c (save_comp): show an error message when
	we can't update the object on the calendar server

2001-10-25  Federico Mena Quintero  <federico@ximian.com>

	* gui/control-factory.c: Ifdef-ed out the PersistFile bits.

	* gui/GNOME_Evolution_Calendar.oaf.in: The tasks folder does not
	support the PersistFile interface; removed it.  Removed it as well
	from the calendar folder since it is aggregated but not actually
	implemented.

2001-10-25  Federico Mena Quintero  <federico@ximian.com>

	* gui/component-factory.c (xfer_folder): Handle tasks folders as
	well; was always using "calendar.ics" as the filename.

2001-10-24  Damon Chaplin  <damon@ximian.com>

	* gui/GNOME_Evolution_Calendar.oaf.in: added sections for Tasks
	factory and control. I hope someone checks these!

2001-10-24  Ettore Perazzoli  <ettore@ximian.com>

	* gui/component-factory.c (xfer_folder): Fixed to only copy the
	`calendar.ics' and `calendar.ics~' files.

2001-10-24  Damon Chaplin  <damon@ximian.com>

	* pcs/cal-backend-file.c (cal_backend_file_update_objects): when
	iterating over the subcomponents, use 'subcomp' rather than 'icalcomp'.
	That meant it wasn't working at all well when an entire VCALENDAR
	was passed in.

	* cal-util/cal-component.c: handle DURATION property used instead of
	DTEND or DUE. In cal_component_get_dtend/due we will return DTSTART
	+ DURATION if necessary. In set_dtend/due we remove any DURATION
	property. Fixes bug #11262.

	* gui/e-meeting-model.c (build_etable): 
	* gui/e-calendar-table.c (e_calendar_table_init): use U_ for the
	ECellCombo popdown strings, as it expects UTF-8 strings.

2001-10-24  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_construct):
	track the spacer vbox
	(e_meeting_time_selector_style_set): make sure the rows are the
	correct size for the style

	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_paint_day_top): slight adjustments
	to where the text is drawn

	* gui/e-meeting-time-sel.h: new member

	* gui/e-meeting-model.c (build_etable): ensure uniform row height

	* conduits/todo/todo-conduit.c (comp_from_remote_record): mark
	status as completed in appropriate places and don't overwrite
	legitimate percentages and such

2001-10-24  Federico Mena Quintero  <federico@ximian.com>

	Fixes bug #5282.

	* cal-util/timeutil.c (icaltimetype_to_tm_with_zone): New function
	to avoid copying the same code all over the place.
	(icaltimetype_to_tm): Also set the tm.tm_wday.

	* gui/alarm-notify/alarm-queue.c (queue_midnight_refresh): Use
	time_day_end_with_zone().
	(load_alarms_for_today): Likewise.  And oops, we were only
	computing the times and not loading the alarms.
	(obj_updated_cb): Likewise.
	(load_alarms): Removed assertion that is no longer valid because
	we may load the alarms for a client in two stages.

	* gui/dialogs/alarm-page.c (get_alarm_string): Convert absolute
	trigger times to the local timezone.

	* gui/alarm-notify/alarm-notify-dialog.c (write_html_heading):
	Convert the times to the local timezone.
	(alarm_notify_dialog): Likewise, for the window title.
	(alarm_notify_dialog): Set the window layer to WIN_LAYER_ONTOP.

	* gui/e-cell-date-edit-text.c (ecd_get_text): Use
	icaltimetype_to_tm_with_zone().

	* gui/alarm-notify/save.c (get_config_db): Made public.
	(discard_config_db): Made public.

	* gui/alarm-notify/config-data.[ch]: New files with functions to
	fetch the calendar configuration data used by the alarm daemon.

2001-10-23  Damon Chaplin  <damon@ximian.com>

	* cal-util/cal-component.c (cal_component_event_dates_match): make sure
	we free all the CalComponentDateTime's when we are finished.

	* gui/gnome-cal.c (gnome_calendar_notify_dates_shown_changed): just
	return if no time range is set.

2001-10-23  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_table_vadjustment_changed): adjust the
	display canvas when the table scrolls
	(e_meeting_time_selector_construct): listen for table scrolling

2001-10-23  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-model.c (build_etable): no longer set the
	scrollbar policy here

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_update_main_canvas_scroll_region): add an
	extra row to the height so the click to add row can be properly
	seen
	(e_meeting_time_selector_construct): set the scrollbar policy for
	the etable scrolled

2001-10-23  JP Rosevear  <jpr@ximian.com>
	
	* cal-util/timeutil.c (icaltimetype_to_tm): convert an
	icaltimetype to a tm
	(tm_to_icaltimetype): vice versa

	* cal-util/timeutil.h: new protos

	* conduits/calendar/calendar-conduit.c: replace all mktime and
	localtime calls (except for debugging calls)

	* conduits/todo/todo-conduit.c: ditto
	(comp_from_remote_record): make sure the completed time is in UTC
	
2001-10-23  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-query.c (cal_query_construct) set priv->corba_query
	to CORBA_OBJECT_NIL if there was an error

2001-10-22  Damon Chaplin  <damon@ximian.com>

	* idl/evolution-calendar.idl: added setDefaultTimezone() method.

	* pcs/cal-backend.c (cal_backend_get_default_timezone): 
	(cal_backend_set_default_timezone): new functions to call class
	methods.

	* pcs/cal-backend-file.c: lots of changes to handle the default
	timezone and use it.

	* pcs/query.c: use the default timezone.

	* gui/dialogs/task-details-page.c (date_changed_cb): initialized
	completed_tt.

	* gui/dialogs/event-page.c: changed it to handle DATE values. The
	'All Day Event' checkbox is only set now when the DTSTART and DTEND
	are DATE values.

	* gui/dialogs/comp-editor-util.c (comp_editor_free_dates): free the
	CalComponentDateTime structs as well.

	* gui/e-tasks.c: set the default timezone on the server.

	* gui/tag-calendar.c: 
	* gui/gnome-cal.c: 
	* gui/e-week-view.c: 
	* gui/e-day-view.c: updates to handle DATE values.

	* gui/e-calendar-table.c (date_compare_cb): updated to use the new
	ECellDateEditValue values, so it now works.
	(percent_compare_cb): updated to use GPOINTER_TO_INT values.
	(e_calendar_table_init): use an ECellPercent for the percent field
	and an ECellDateEditText for the date fields.

	* gui/comp-util.c (cal_comp_util_compare_event_timezones): return TRUE
	if the DTSTART or DTEND is a DATE value. We don't want to show the
	timezone icons for DATE values.

	* gui/comp-editor-factory.c (resolve_pending_requests): set the default
	timezone on the server.

	* gui/calendar-model.c: major changes to support sorting properly.
	For date and percent fields we now use subclasses of ECellText, so
	we don't use a char* as the model value. For the percent field we now
	use a GINT_TO_POINTER. For the date fields we now use a
	ECellDateEditValue* as the value.

	* gui/calendar-config.c (calendar_config_configure_e_cell_date_edit): 
	set the timezone and use_24_hour flags of the new ECellDateEditText.

	* conduits/todo/todo-conduit.c (pre_sync): 
	* conduits/calendar/calendar-conduit.c (pre_sync): set the default
	timezone on the server.

	* cal-util/timeutil.c (time_days_in_month): removed debug message.

	* cal-util/test-recur.c: try to handle timezones in the iCalendar
	file properly, and updated to pass default timezone.

	* cal-util/cal-util.c (cal_util_generate_alarms_for_comp):
	(cal_util_generate_alarms_for_list): added default timezone argument.

	* cal-util/cal-recur.c: changed many of the functions to take a default
	timezone, to use to resolve DATE and floating DATE-TIME values.

	* cal-client/cal-client.c (cal_client_set_default_timezone): new
	function to set the default timezone.
	(cal_client_ensure_timezone_on_server): new function to ensure that
	a given timezone is on the server.

	* gui/e-cell-date-edit-text.c: new subclass of ECellText to display
	and edit a date value.

	* cal-util/cal-recur.c (cal_obj_byday_expand_monthly): changed week_num
	to -week_num when calculating the weeks to go back from the end of the
	month for things like BYDAY=-2WE. Fixes bug #11525.
	(cal_recur_generate_instances_of_rule): only go up to MAX_YEAR (2037).
	We can't really handle anything past that anyway.
	(cal_recur_ensure_rule_end_date): initialize cb_date.end_date to 0,
	so if the RULE doesn't generate COUNT instances we save 0 as the
	time_t.

2001-10-22  Federico Mena Quintero  <federico@ximian.com>

	* gui/tasks-control-factory.c (tasks_control_factory_fn): Put up a
	warning dialog box if we failed to create the tasks control.
	Fixes bug #13033.

2001-10-22  JP Rosevear  <jpr@ximian.com>

	* gui/e-itip-control.c (set_date_label): write out the correct
	time in the control

	* pcs/cal.c (build_fb_seq): utility function to build sequences of
	f/b data
	(impl_Cal_get_free_busy): use above so we never return a NULL

	* conduits/calendar/calendar-conduit-config.h
	(calconduit_save_configuration): fix c/p error
	(calconduit_load_configuration): ditto

2001-10-22  JP Rosevear  <jpr@ximian.com>
	
	* gui/dialogs/meeting-page.c (meeting_page_destroy): we don't need
	to save the state

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_destroy):
	ditto

	* gui/e-meeting-model.c (build_etable): listen for the etable
	being destroyed
	(table_destroy_cb): save the state when the etable is destroyed

2001-10-21  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/schedule-page.c (init_widgets): listen for changes
	in the date editors
	(schedule_page_set_dates): update the times when they change
	elsewhere
	(update_time): set the time in the dialog
	(time_changed_cb): notify of changed times
	
	* gui/dialogs/comp-editor.c (page_dates_changed_cb): don't call
	the set dates function on the page that noted the change
	(page_summary_changed_cb): same for set summary function
	
	* gui/dialogs/event-page.c (update_time): move time setting stuff
	to util function
	(event_page_set_dates): use it
	(event_page_fill_component): ditto

	* gui/e-meeting-time-sel.h: fix comment

2001-10-19  Federico Mena Quintero  <federico@ximian.com>

	* gui/alarm-notify/alarm-notify.c (add_uri_to_load): Do not assert
	if we fail to load the URI list.  This would of course have been a
	bonobo-conf activation problem.
	(remove_uri_to_load): Likewise.

	* gui/alarm-notify/notify-main.c (load_calendars): Likewise.

	* gui/alarm-notify/alarm-queue.c (load_missed_alarms): Make the
	time range half-open so that we do not display the last alarm
	twice.

2001-10-19  Rodrigo Moya <rodrigo@ximian.com>

	* gui/calendar-model.c (calendar_model_set_status_message): make
	it a public function

	* gui/e-tasks.c (e_tasks_open): display progress messages
	(cal_opened_cb): clean up status bar messages

	* gui/gnome-cal.c (gnome_calendar_open): display progress messages
	(client_cal_opened_cb): clean up status bar messages

2001-10-19  Rodrigo Moya <rodrigo@ximian.com>
	
	* gui/calendar-model.c (set_status_message): new function
	(update_query): call set_status_message
	(query_query_done_cb):
	(query_eval_error_cb): clean up status bar messages
	(get_location, set_location): new functions for setting and
	retrieving the location in the calendar model

2001-10-19  Rodrigo Moya <rodrigo@ximian.com>

	* gui/component-factory.c (owner_set_cb): keep a reference to the
	EvolutionShellClient component

	* gui/e-week-view.c (e_week_view_set_status_message): new function
	(update_query): call e_week_view_set_status_message
	(query_query_done_cb):
	(query_eval_error_cb): clean up status bar messages

	* gui/e-day-view.c (e_day_view_set_status_message): new function
	(update_query): call e_day_view_set_status_message
	(query_query_done_cb):
	(query_eval_error_cb): clean up status bar messages

	* gui/Makefile.am: added EVOLUTION_IMAGESDIR to CFLAGS
	
2001-10-18  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c
	(e_meeting_time_selector_on_invite_others_button_clicked): call
	the invite others dialog in the model

	* gui/e-meeting-attendee.c (e_meeting_attendee_get_atype): pick
	attendee type based on role and cutype

	* gui/e-meeting-attendee.h: remove proto

	* gui/Makefile.am: compile select names idl

	* gui/e-meeting-model.h: new proto

	* gui/dialogs/meeting-page.c: remove invite others dialogs bits
	from here

	* gui/e-meeting-model.c (e_meeting_model_invite_others_dialog):
	and put them here
	
	* gui/dialogs/Makefile.am: compile corba bits in parent dir

	* gui/dialogs/comp-editor-util.h: reflect above in includes

	* gui/dialogs/e-delegate-dialog.c: ditto

	* gui/dialogs/schedule-page.c: ditto and clean includes
	
2001-10-18  Larry Ewing  <lewing@ximian.com>

	* gui/alarm-notify/alarm-notify-dialog.c: add html widget
	(url_requested_cb): add function to load images from file as they
	are requested.
	(write_html_heading): convert to using html.
	(alarm_notify_dialog): convert to use html display.
	(make_html_display): this is the function the custom widget in the
	galde file uses to create the html widget.

	* gui/alarm-notify/alarm-notify.glade: add placeholder for the
	custom html widget.

	* gui/alarm-notify/Makefile.am: add flags for gtkhtml and gal.
	
2001-10-18  Federico Mena Quintero  <federico@ximian.com>

	Adds session management for the alarm daemon.  Also makes it store
	a list of calendars to be monitored.  Those calendars will all be
	loaded when the alarm daemon starts up.

	* idl/evolution-calendar.idl (AlarmNotify): Removed the ::die()
	method.  The alarm daemon now handles termination via the session
	manager's commands.

	* gui/alarm-notify/notify-main.c (set_session_parameters): New
	function, sets some parameters so that the session manager can
	restart the daemon via the evolution-alarm-client program.  Also,
	sets up the "die" signal so that the daemon can terminate when the
	session ends.
	(load_calendars): New function to load the calendars on startup.
	(main): Set the session parameters.  Load the calendars on startup.

	* gui/alarm-notify/alarm-notify.c (alarm_notify_add_calendar): New
	function, moved over from the impl_ function.  Added a
	load_afterwards argument to indicate whether the calendar should
	just be loaded or if it should also be added to the list of
	calendars to load on startup.
	(AlarmNotify_addCalendar): Use alarm_notify_add_calendar().
	(AlarmNotify_removeCalendar): Remove the calendar from the list of
	calendars to load on startup.

	* gui/alarm-notify/save.c (save_calendars_to_load): New function,
	saves a sequence of the URIs to load.
	(get_calendars_to_load): New function, loads a sequence of
	calendars to load.

	* gui/alarm-notify/alarm.h: Removed stale prototype for alarm_init().

	* gui/component-factory.c (remove_folder): Ask the alarm daemon to
	stop monitoring alarms for the folder that is being deleted.

2001-10-18  JP Rosevear  <jpr@ximian.com>

	* gui/e-meeting-time-sel.c

	* gui/e-meeting-time-sel-item.c
	(e_meeting_time_selector_item_paint_day_top): use 12 or 24 hour
	settings

	* gui/e-meeting-time-sel.c: strings for 12 hour setting
	(e_meeting_time_selector_construct): increase width slightly
	
	* gui/e-meeting-time-sel.h: extern the new char array

2001-10-18  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-component.[ch] (cal_component_get_location):
	(cal_component_set_location): new functions

2001-10-18  JP Rosevear  <jpr@ximian.com>
	
	* gui/e-meeting-model.c (process_callbacks): util routine to
	handle calling back
	(async_close): use above
	(e_meeting_model_refresh_busy_periods): ditto

2001-10-17  JP Rosevear  <jpr@ximian.com>

	* conduits/todo/todo-conduit.c (local_record_from_comp): translate
	1-5 priorites to 1-9 priorities better
	(comp_from_remote_record): ditto

2001-10-17  JP Rosevear  <jpr@ximian.com>
	
	* idl/evolution-calendar.idl: allow some decent exceptions

2001-10-17  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/query.c (match_component): there may be cases when the backend
	will return an invalid component from a valid UID (an UID returned
	by the get_uids method), so don't abort if that's the case

2001-10-15  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/cal-prefs-dialog.glade: removed Help button. Do we have
	any others?

2001-10-15  Larry Ewing  <lewing@ximian.com>

	* gui/dialogs/comp-editor.c (set_icon_from_comp): remove warnings.

2001-10-15  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (process_multi_day):
	function to break up multi day events into single events for both
	evo and the pilot and create new CalClientChange structures
	(pre_sync): call above function, and adjust changed list if
	necessary

2001-10-15  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (is_all_day): util function
	to determine if event is all day
	(local_record_from_comp): use new util function
	(comp_from_remote_record): kill use of deprecated time functions

2001-10-13  Larry Ewing  <lewing@ximian.com>

	* gui/dialogs/comp-editor.c (real_edit_comp): call
	set_icon_from_comp.
	(set_icon_from_comp): set the window icon from the comp.
	(make_icon_from_comp): get the icon path based on comp type.
	
	* gui/dialogs/Makefile.am (iconsdir): EVOLUTION_ICONSDIR bits.

2001-10-13  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/task-editor.c (task_editor_send_comp): send
	cancellation comp if necessary

2001-10-12  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/alarm-page.c: return fill_component success

	* gui/dialogs/task-page.c: ditto

	* gui/dialogs/task-details-page.c: ditto

	* gui/dialogs/schedule-page.c: ditto

	* gui/dialogs/recurrence-page.c: ditto

	* gui/dialogs/event-page.c: ditto

	* gui/dialogs/meeting-page.c: use e_notice instead of
	duplicate_error
	(meeting_page_get_cancel_comp): duh, deleted_attendees is an array
	now
	(meeting_page_fill_component): spew gui errors if there is no
	organizer or no attendees, return success

	* gui/dialogs/event-editor.c (event_editor_send_comp): always call
	parent method and don't send the cancellation comp if the method
	is publish
	(refresh_meeting_cmd): use the orginal comp to refresh
	(forward_cmd): prompt the user for the version they want to send
	(current, original)

	* gui/dialogs/task-editor.c (forward_cmd): as above
	(refresh_task_cmd): ditto

	* gui/dialogs/comp-editor-page.c
	(comp_editor_page_fill_component): return boolean of whether the
	component could be filled or not

	* gui/dialogs/comp-editor-page.h: update proto

	* gui/dialogs/comp-editor.c (prompt_to_save_changes): take a param
	on whether to try and send or not
	(comp_editor_get_current_comp): only fill component if its changed
	(comp_editor_save_comp): prompt user as well

	* gui/dialogs/comp-editor.h: change proto

	* gui/itip-utils.c: replace error_dialog with e_notice
	(comp_content_type): specify charset

2001-10-11  Larry Ewing  <lewing@ximian.com>

	* gui/e-itip-control.c: large reworking of i18n tagging and now
	uses gtk_html_stream write and U_ where appropriate.  More to
	come.

2001-10-10  Larry Ewing  <lewing@ximian.com>

	* gui/e-itip-control.c (init): set the default character set to
	utf-8.

2001-10-10  Federico Mena Quintero  <federico@ximian.com>

	* pcs/cal-factory.c (lookup_backend): Return the original key in
	the hash table if requested.
	(backend_last_client_gone_cb): Use lookup_backend() so that we
	have the URI mangling done for us.
	(impl_CalFactory_open): The type should be GtkType *, not GtkType!

2001-10-10  JP Rosevear  <jpr@ximian.com>

	* cal-client/cal-client.c (cal_set_mode_cb): remove unneeded
	assertions

2001-10-10  JP Rosevear  <jpr@ximian.com>
	
	* pcs/cal-factory.c (add_uri): fix logic checks

	* gui/dialogs/event-editor.c (event_editor_init): init the
	exisiting_org boolean
	(set_menu_sens): base sensitivity on existing_org boolean
	(event_editor_edit_comp): set exisiting_org boolean

	* gui/dialogs/task-editor.c: same as above

	* gui/calendar-offline-handler.c (add_connection): handle the
	protocol or host being unknown

	* cal-util/cal-component.c (cal_component_has_organizer):
	implement

2001-10-09  Federico Mena Quintero  <federico@ximian.com>

	Fixes bug #884.

	* gui/alarm-notify/save.[ch]: New files with functions to
	save/load the last notification time.

	* gui/alarm-notify/alarm-queue.c (alarm_trigger_cb): Save the last
	notification time.
	(alarm_queue_init): Load the last notification time when the
	daemon is inited.
	(alarm_queue_add_client): Load the alarms that we missed while the
	alarm daemon was not running.
	(cal_opened_cb): Likewise.

	* gui/alarm-notify/Makefile.am (evolution_alarm_notify_SOURCES):
	Added save.[ch] to the list of sources.

2001-10-09  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (get_address): util function to get address
	(itip_addresses_get_default): get only the default address
	(itip_address_free): free single address
	(itip_addresses_free): use above
	(comp_limit_attendees): limit the number of attendees to one, the
	user
	(comp_sentby): set the sentby parameter if the user is not the
	organizer
	(comp_minimal): remove extraneous info for send (for refresh and
	declinecounter)
	(comp_compliant): remove all alarms, do various things to make the
	components comply with itip spec based on method
	(itip_send_comp): use comp_compliant method

	* gui/itip-utils.h: new protos

	* gui/e-itip-control.c: rescan the component when necessary
	(get_next): don't get stuck in infinite loop if there are no
	viewable components
	(e_itip_control_set_data): if there are no viewable components,
	spit an error message

	* gui/dialogs/meeting-page.h: tidy

	* gui/dialogs/meeting-page.c (meeting_page_fill_widgets): use
	organizer's cn if possible
	(other_clicked_cb): no longer doing the sent by stuff directly,
	hide more widgets

	* pcs/query.c: use bonobo exception stuff

	* cal-util/cal-component.c (cal_component_rescan): have the comp
	rescan its libical component (for when you change things directly)
	(free_icalcomponent): take a param on whether to free the
	component or just clean up the mappings
	(cal_component_has_attendees): util function

	* cal-util/cal-component.h: new protos
	
2001-10-09  Rodrigo Moya <rodrigo@ximian.com>

	* pcs/cal-factory.c (lookup_backend, add_backend): deal correctly with
	URIs to be inserted into the hash table, so that we don't add the same
	backend over and over because the URI strings were different (although
	refering to the same backend)

	* pcs/cal-backend-file.c (mail_account_*): moved to a common place
	(cal_backend_file_open): check if "uristr != NULL" and not
	"uri != NULL"

	* pcs/cal-backend-util.c: moved to here

	* gui/e-day-view.c: add missing header file

2001-10-09  Dan Winship  <danw@ximian.com>

	* gui/e-meeting-model.c (process_free_busy_comp): Fix incorrect
	variable name check.

2001-10-03  JP Rosevear  <jpr@ximian.com>

	* gui/itip-utils.c (itip_send_comp): refactor functionality into
	several function
	(comp_string): if we are publishing, empty the attendee list

	* gui/dialogs/event-editor.c (schedule_meeting_cmd): when we
	schedule a new meeting, mark the event editor as changed

	* pcs/cal.c (cal_class_init): get correct parent class

	* gui/dialogs/comp-editor.c (comp_editor_merge_ui): use the
	generated ui component name

2001-10-03  Rodrigo Moya <rodrigo@ximian.com>

	* gui/component-factory.c:
	* gui/calendar-offline-handler.c:
	* gui/comp-editor-factory.c: replace use of gnome_vfs_uri with e_uri

	* gui/e-meeting-model.c (start_addressbook_server): make it return void,
	since the return value does not mind

	* pcs/cal.c:
	* pcs/cal-factory.c:
	* pcs/cal-backend.[ch]: don't use GnomeVFS for URI management
	
	* pcs/cal-backend-file.c: ditto, only use GnomeVFS for internal
	operations

	* cal-client/cal-client.c (cal_client_open_calendar): don't CORBA_exception_free
	before checking for exceptions

2001-10-03  Christopher James Lahey  <clahey@ximian.com>

	* gui/e-calendar-table.etspec: Added priorities to a bunch of
	these columns.  Fixes Ximian bug #7158.

2001-10-03  Damon Chaplin  <damon@ximian.com>

	* gui/comp-util.c (cal_comp_util_add_exdate): save the EXDATE as a
	DATE-TIME value, since we know the exact time. Fixes bug #11278.
	(Before we were setting is_date, but icaltime_from_timet_with_zone()
	didn't convert it properly. We need to figure out how to handle DATEs
	when using time_t's.)

	* gui/dialogs/recurrence-page.c (get_exception_string): use
	e_time_format_date_and_time() so we show the time as well, if the
	exception is a DATE-TIME value.

	* cal-util/timeutil.c: removed time_add_month(), time_year_begin(),
	time_month_begin() & time_week_begin() - old pre-timezone functions
	which we no longer use.

	* cal-util/cal-recur.c (cal_recur_from_icalproperty): set
	ir.until.is_date to FALSE before converting to a time_t.
	Hopefully fixes bug #5034.

2001-10-02  Ettore Perazzoli  <ettore@ximian.com>

	* gui/dialogs/comp-editor.c (setup_widgets): Use
	`bonobo_ui_component_new_default()', not
	`bonobo_ui_component_new()'.

2001-10-02  JP Rosevear  <jpr@ximian.com>

	* cal-client/cal-query.c: use bonobo-exception to tidy

2001-10-02  JP Rosevear  <jpr@ximian.com>
	
	* conduits/calendar/calendar-conduit.c (nth_weekday): handle -1 as
	well
	(comp_from_remote_record): fix monthly by day recurrences and
	handle "last" day type

2001-10-01  Damon Chaplin  <damon@ximian.com>

	* gui/dialogs/comp-editor.c (comp_editor_destroy): unref the page
	objects here, instead of in close_dialog(). (This was fixed a while
	ago, but accidentally reverted.) Fixes bug #7543.

2001-10-01  Federico Mena Quintero  <federico@ximian.com>

	* gui/alarm-notify/alarm-notify-dialog.c (alarm_notify_dialog):
	Set the window state to sticky.  Thanks to Peter Teichman for the
	suggestion.

2001-10-01  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (local_record_from_comp):
	Convert the comp exceptions to the pilot record
	(comp_from_remote_record): record exceptions on the desktop and
	use time zone stuff on recurrence end date

2001-10-01  JP Rosevear  <jpr@ximian.com>
	
	* pcs/cal-backend-file.c (cal_backend_file_compute_changes):
	strdup the uid to avoid double free, write out only after
	everything is done

2001-10-01  Rodrigo Moya <rodrigo@ximian.com>

	* gui/gnome-cal.c (gnome_calendar_open): don't use
	gnome_vfs_uri_is_local on URIs created with
	gnome_vfs_uri_new_private

2001-09-28  Damon Chaplin  <damon@ximian.com>

	* gui/print.c (print_comp_item): use bound_text to print the summary,
	so it wraps instead of being clipped to 1 line. Fixes part 3 of bug
	#10285, I think.

	* gui/dialogs/alarm-page.glade: left-aligned the Date/Time label.
	Also set the width of the Summary & Date/Time labels to 10, and set
	expand to TRUE, to make sure that the dialog doesn't keep getting
	wider as the summary text on the main page gets longer. Could possibly
	use an EClippedLabel here instead, so we get a '...' at the end if it
	is clipped.

	* gui/dialogs/recurrence-page.glade: changed Summary & Date/Time
	widths as above.

	* gui/print.c (print_calendar): use landscape mode for the month
	preview.
	(print_border_with_triangles): use EPSILON to account for floating
	point errors. Hopefully fixes part 2b of bug #10285.

2001-09-28  JP Rosevear  <jpr@ximian.com>

	* conduits/calendar/calendar-conduit.c (local_record_from_comp):
	Handle the fields and category we don't sync by making sure we
	don't overwrite them
	(local_record_to_pilot_record): use local record category
	(pre_sync): track db info

	* conduits/calendar/calendar-conduit.h: db info field

	* conduits/todo/todo-conduit.[hc]: same as above

	* pcs/cal-backend-file.c
	(cal_backend_file_compute_changes_foreach_key): create a dummy
	component of the right type and strdup the uid
	(cal_backend_file_compute_changes): sync the db hash after each
	change and free the uid

2001-09-28  JP Rosevear  <jpr@ximian.com>
	
	* cal-client/cal-client.c (cal_client_open_calendar): init the
	execption rather than freeing it

2001-09-28  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c (cal_client_construct): use bonobo-exception
	for exceptions
	(cal_client_open_calendar): likewise

2001-09-27  Ettore Perazzoli  <ettore@ximian.com>

	* gui/calendar-commands.c (pixmaps): Update pixmap menu paths;
	/menu/ComponentToolsPlaceholder/Tools ->
	/menu/Tools/ComponentPlaceholder .
	* gui/tasks-control.c: Likewise.

2001-09-27  Rodrigo Moya <rodrigo@ximian.com>

	* idl/evolution-calendar.idl: added InvalidURI and UnsupportedMethod
	exceptions to the CalFactory interface

	* pcs/cal-factory.c (impl_CalFactory_open): raise InvalidURI exception on
	URI errors and UnsupportedMethod when we don't support the method for
	a given URI
	
2001-09-26  Rodrigo Moya <rodrigo@ximian.com>

	* cal-client/cal-client.c: added support for using multiple calendar
	factories
	(cal_client_uri_list): use the list of factories loaded for this
	CalClient

2001-09-26  Damon Chaplin  <damon@ximian.com>

	* gui/e-calendar-table.c (date_compare_cb): 
	(percent_compare_cb): 
	(priority_compare_cb): added comparison functions for these special
	cell types. But the date and percent ones don't work yet due to the
	use of static text buffers for return cell values.
	(e_calendar_table_init): added the comparison functions to the
	ETableExtras. NOTE: task_compare_cb() never seems to be called.
	I'm not sure why it is there.

	* gui/e-calendar-table.etspec: set the comparison function names for
	the date/percent/priority fields.

	* cal-util/cal-util.c (cal_util_priority_to_string): 
	(cal_util_priority_from_string): new utility functions.

	* gui/calendar-model.c (get_priority): 
	(set_priority): used above utility functions, and removed the warning
	dialog which isn't useful now that the field isn't editable.

	* gui/dialogs/event-page.c (times_updated): handle timezones and for
	all-day events make sure it stays an all-day event after adjusting.
	Fixes bugs #5945 and #10222.

	* gui/calendar-commands.c (pixmaps): fixed the E_PIXMAP paths - the
	edit items were moved beneath 'EditPlaceholder'. This gets rid of
	those long Bonobo warnings! (and we get the icons back)

	* gui/dialogs/comp-editor.c (pixmaps): removed the PrintPreview toolbar
	icon, since it doesn't appear in the xml file. Gets rid of warning.

	* gui/dialogs/event-page.c (notify_dates_changed): new function to
	emit the notification signal when the dates are changed. It also
	handles timezones now.

	* gui/dialogs/comp-editor-page.h (CompEditorPageDates): used
	CalComponentDateTime for start/end/due so we have the timezone as well
	as the time.

	* gui/dialogs/comp-editor-util.c (comp_editor_dates): updated to get
	the timezones as well as the times.
	(comp_editor_free_dates): new function needed to free all the structs.

	* gui/dialogs/recurrence-page.c (recurrence_page_set_dates): added call
	to preview_recur() to make sure the preview gets updated.

	* gui/dialogs/alarm-page.c (alarm_page_fill_widgets): free the
	CompEditorPageDates struct after use.

	* gui/tag-calendar.c (tag_calendar_by_comp): added 'comp_is_on_server'
	argument. If FALSE, we try to use builtin timezones first. This is
	needed for the recurrence page of the event editor, because the
	timezones may not have been added to the server yet. This and the
	changes to the notification stuff should fix bug #5034.

	* gui/gnome-cal.c (dn_query_obj_updated_cb): call above
	tag_calendar_by_comp() with TRUE since the events will be on the
	server in this case.

	* gui/e-day-view-layout.c:
	* gui/e-day-view.c: made sure an event always takes up at least one
	row, even when the start & end times are the same. Fixes bug #5944.
	I don't know if we should try to also handle events with the end time
	before the start time.

	* gui/e-week-view.c (e_week_view_style_set): check that the small font
	is actually smaller than the normal font. If it isn't, don't use it.
	Hopefully fixes bug #6876.
	(e_week_view_on_new_appointment): if only one day is selected, then
	we set the initial time of the event to 1/2-hour from the start of the
	working day, to differentiate 'New Appointment' from 'New All Day
	Event'. Fixes bug #8892.

	* gui/e-day-view.c (e_day_view_on_new_appointment): do the same as the
	above.

2001-09-26  Federico Mena Quintero  <federico@ximian.com>

	Fixes the GUI part of bug #7892.

	* gui/dialogs/alarm-page.c (get_alarm_duration_string): Return
	NULL if the duration is zero.
	(get_alarm_string): Handle duration of zero.  Also, hopefully
	make the strings be more l10n-friendly.

	* gui/alarm-notify/alarm.c (alarm_ready_cb): I am a moron.  Fix
	reversed test.

2001-09-26  JP Rosevear  <jpr@ximian.com>

	* gui/dialogs/comp-editor.c (comp_editor_destroy): disconnect
	signals first thing

2001-09-26  Dan Winship  <danw@ximian.com>

	* gui/Makefile.am (evolution_calendar_LDFLAGS): Add
	-export-dynamic to make glade custom widgets work on non-Linux.

2001-09-26  Rodrigo Moya <rodrigo@ximian.com>

	* cal-util/cal-util.h: added CAL_MODE_INVALID to CalMode enum

2001-09-26  JP Rosevear  <jpr@ximian.com>

	* pcs/cal.h: new proto

	* pcs/cal.c (impl_Cal_set_mode): implement set mode method
	(cal_class_init): set setMode function in epv
	(cal_notify_mode): notify listener of mode change

	* pcs/cal-factory.c (add_uri): deal with UriType renaming

	* pcs/cal-backend.h: add new virtual methods and protos

	* pcs/cal-backend.c (cal_backend_class_init): init new virtual
	methods to null
	(cal_backend_set_mode): sets mode
	(cal_backend_get_mode): gets mode

	* pcs/cal-backend-file.c (cal_backend_file_class_init): overide
	get_mode and set_mode methods
	(cal_backend_file_get_mode): return mode
	(notify_mode): have listeners notified of the set mode call
	(cal_backend_file_set_mode): set the mode by indicating not
	supported

	* cal-client/cal-listener.h: update proto

	* cal-client/cal-listener.c (impl_notifyCalSetMode): implement set
	mode callback
	(cal_listener_construct): take set mode callback
	(cal_listener_new): ditto

	* cal-client/cal-client.h: update protos, add signal proto

	* cal-client/cal-client.c (cal_client_class_init): add
	cal_set_mode signal
	(cal_set_mode_cb): handle set mode callback from listener
	(cal_client_open_calendar): pass additional param to cal_listener_new
	(cal_client_set_mode): wrapper to set the calendar mode

	* idl/evolution-calendar.idl: make UriType into CalMode, add
	SetModeStatus enum and notifyCalSetMode method to the listener

	* gui/calendar-offline-handler.c (create_connection_list): fetch
	the uri list ourselves
	(impl_prepareForOffline): reflect param change of
	create_connect_list
	(update_offline): ditto
	(backend_cal_set_mode): set mode call back
	(backend_cal_opened): cal opened call back, set mode to local
	(impl_goOffline): reflect UriType renaming

	* cal-util/cal-util.h: rename UriType to CalMode

2001-09-25  Federico Mena Quintero  <federico@ximian.com>

	Warning fixes courtesy of Chris Lahey <clahey@ximian.com>.

	* gui/e-itip-control.c (write_html): Warning fixes.  Also, don't
	strdup() more than necessary.

	* gui/e-meeting-time-sel.c (e_meeting_time_selector_refresh_cb):
	Warning fixes.

	* gui/itip-utils.c (itip_addresses_get): Warning fixes.

	* gui/print.c (print_day_background): Warning fixes.

	* gui/dialogs/alarm-options.c (alarm_to_aalarm_widgets): Warning
	fixes.
	(alarm_to_palarm_widgets): Likewise.

	* gui/dialogs/delete-comp.c: #include "../calendar-config.h"

2001-09-25  Federico Mena Quintero  <federico@ximian.com>

	* gui/alarm-notify/alarm.c (alarm_ready_cb): Check that the
	timeout is not set up before we create a new one; the alarm_fn
	callback may cause the alarm system to re-enter and add a new
	alarm.  Fixes bug #10840.
	(pop_alarm): Assert that there is at least one alarm in the queue.

